
#ifndef __VerletMethod__
#define __VerletMethod__
#include "kSanMethodPlugIn.h"


typedef struct VerletMethodType 
{
	long numSequentialNoTimestepChange;
	kSanSimulation *sim;
	particle *basePart;
	kSanGroup **baseGroup;
	kSanAtomtype **baseType;

  	VSList accels;
  	double maxDelPos;
  	double maxDelSafetyFactor;
  	double verletDeltaT;
  	long verletItersPerSimIter;
  	long verletItersDone;
  	long numGroups;
}
VerletMethod;

typedef struct nextGpPositionsInfoType
{
	kozoObject *verletObj;
	VerletMethod *verlet;
	kSanSimulation *sim;
	kSanAtomtype **baseAT;
	kSanGroup *gp;
	long numPartsInGroup;
	long *gpPartList;
	// the issue here is that kSan is allowed to and does switch atoms to the other side of the cell
	// so, we always have to record these as delPos rather than absolute!
	kSanVector *accelArray ;
}
nextGpPositionsInfo;


#endif