// kSanApplicationPublic.h  
#ifndef __kSanAppFunctions__
#define __kSanAppFunctions__

#include "kSanPlugIn.h"
#include "kSanAtomtype.h"

#define  myFillPattern 0
#define  groupPattern 0
#define  myGrayPattern 1
#define  myVertPattern 2
#define  myHorizPattern 3
#define  myLToRPattern 4
#define  myRToLPattern 5
#define  myBrickPattern 6
#define  myBlockPattern 7
#define  mySelectionPattern 8

#define kSystemPattern 0
#define kGrayPattern 4
#define kBlackPattern 1

#define  myWhiteColour 9
#define  myGrayColour 8
#define  myDefaultColour 0
#define  mySelectionColour 8
#define  myRedColour 1
#define  myGreenColour 2
#define  myBlueColour 3
#define  myCyanColour 4
#define  myMagentaColour 5
#define  myYellowColour 6
#define  myBlackColour 7
#define  atomtypesColour 10
#define  groupColour 20
#define  highlightColour 30
#define  gradedColour 35

short getAppResRefNum(void);
short getIntlRezOffset( void );
OHObject * getFrontSim (void);
short myPickAColor(RGBColor *theColor, unsigned char * displayText) ;

void setColour( short  colourIndex );
RGBColor getColour( short  colourIndex );
Pattern getPattern (short patternIndex);
void setPattern(short index);
void setSelectionsMenuItems(short hasSelections);
FSSpec *getAppSpec(void);
short keyIsPressed(unsigned short k);

void setMenuItem(short whichMenu, short whichItem, Handle sHandle);
void setMenuText (short whichMenu, short whichIndex, StringHandle mySH);
void setMenuEnabled(short whichMenu, short whichItem, short enable);
short  setMenuToSTR(short whichMenu, short whichItem, short StrRezId, Str255 defaultString);
void appSetCursor(short theCursor);


OHObject *appGetSimFromName (Str255 theName);
OHObject *appGetWinFromName (Str255 theName);

UniversalProcPtr getDefaultAEHandler(void);

#endif