// kSanAppPublic.h 
#ifndef __kSanAppPublic__
#define __kSanAppPublic__

#include "kSanObject.h"
//#include "kSanPlugIn.h"
#include "kSanAtomtype.h"
#include "kSanUnits.h"
#include "kSanMenuDefines.h"

#define myFillPattern 0
#define groupPattern 0
#define myGrayPattern 1
#define myVertPattern 2
#define myHorizPattern 3
#define myLToRPattern 4
#define myRToLPattern 5
#define myBrickPattern 6
#define myBlockPattern 7
#define mySelectionPattern 8


#define myWhiteColour 0
#define myGrayColour 1
#define myDefaultColour 0
#define mySelectionColour 8
#define myRedColour 2
#define myGreenColour3
#define myBlueColour 4
#define myCyanColour 5
#define myMagentaColour 6
#define myYellowColour 7
#define myBlackColour 8
#define myDarkGrayColour 9
#define atomtypesColour 10
#define groupColour 20
#define highlightColour 30
#define gradedColour 35



short myPickAColor(RGBColor *theColor, unsigned char * displayText) ;
kozoObject *getFrontSim (void);
RGBColor randomColour(void);
RGBColor newColour(short index);

void setColour( short colourIndex );
RGBColor getColour( short colourIndex );
Pattern getPattern (short patternIndex);
void setPattern(short index);
void setSelectionsMenuItems(short hasSelections);
long plugMenuRefCountAdd(long val) ;

 short setMenuToSTR( DescType whichItem, short StrRezId, Str255 defaultString);
kozoObject * kSanAppGetDefaultPlugIn (DescType whichModule);

void initAGMenu(kozoObject *mBarOb);
void initSimMenu(kozoObject *mBarOb);
void initParticleMenu(kozoObject *mBarOb);
kozoObject * kSanMenuItemAllocateWithThreeArgs(kozoObject *menuObj, ProcPtr proc, long arg1, long arg2, long arg3, char *name);

#endif