
#ifndef __kSanColourPlugIn__
#define __kSanColourPlugIn__
#include "kSanPlugIn.h"
#include "kSanAGWindowPublic.h"

typedef struct kSanColourPlugInType 
{
	kozoObject *cpiObj;
 	void (*colourOneParticle) ( struct kSanColourPlugInType *api, kSanSimulation *sim, grafData *thisGrafData);
	void (*colourParticleList) (  struct kSanColourPlugInType *api, kSanSimulation *sim, grafData *baseGrafData, long howMany);
	void *colourPlugPrivateData;
}
kSanColourPlugIn;

#define cpiData(obj) ((kSanColourPlugIn *)kozoObjectGetPrivateData(obj, ClassColourPlugIn))

short ColourPlugInConstructor (KozoDispatchStack *ds, constructorMethodArgs *cma);
short  ColourPlugInDestructor (KozoDispatchStack *ds, destructorMethodArgs* dma);
short ColourPlugInGetData (KozoDispatchStack *ds, getMethodArgs *gma);
short ColourPlugInSetData (KozoDispatchStack *ds, setMethodArgs *sma);
short ColourPlugInDoMessage (KozoDispatchStack *ds, doMessageMethodArgs *dmma);

void colourOneParticleNoColour(  kSanColourPlugIn *api, kSanSimulation *sim, grafData *thisGrafData);
void setAllColoursNoColour(  kSanColourPlugIn *api, kSanSimulation *sim, grafData *baseGrafData, long howMany);
void getTemperatureColour(float temp, RGBColor *theColour);
void getGrayscaleColour(float temp, RGBColor *theColour);


#endif