
#ifndef __kSanPotentialPlugIn__
#define __kSanPotentialPlugIn__
#include "kSanPlugIn.h"

#define kPotentialDataRezType 'potD'

#define ppiData(obj) ((kSanPotentialPlugIn *)kozoObjectGetPrivateData(obj, ClassPotentialPlugIn))
#define updateScreeningArray( sim,basePart,partIndex) sim->potentialPlugIn->fillScreeningArray( sim->potentialPlugIn,sim,basePart,partIndex)

short PotentialPlugInConstructor (KozoDispatchStack *ds, constructorMethodArgs *cma);
short  PotentialPlugInDestructor( kozoObject *api);
short PotentialPlugInGetData (KozoDispatchStack *ds, getMethodArgs *gma);
short PotentialPlugInSetData (KozoDispatchStack *ds, setMethodArgs *sma);
short PotentialPlugInDoMessage (KozoDispatchStack *ds, doMessageMethodArgs *dmma);
 void calcScreeningFactors (kSanPotentialPlugIn *ppi) ;
 

short NoInteractionManyParticleEnergyCalc (kSanPotentialPlugIn *ppi,  kSanSimulation *sim, long firstPart, long lastPart, double *retVal) ;
short NoInteractionManyParticleForceCalc(kSanPotentialPlugIn *ppi,  kSanSimulation *sim, long firstPart, long lastPart) ;
short NoInteractionManyParticleForceAndEnergyCalc (kSanPotentialPlugIn *ppi,  kSanSimulation *sim, long firstPart, long lastPart, double *retVal) ;
short NoInteractionOneParticleForceCalc(kSanPotentialPlugIn *ppi, kSanSimulation *sim, long whichPart) ;
short NoInteractionOneParticleVirialCalc (kSanPotentialPlugIn *ppi, kSanSimulation *sim, long whichPart, kSanMatrix  *rMat) ;
short NoInteractionOneParticleEnergyCalc (kSanPotentialPlugIn *ppi, kSanSimulation *sim, long whichPart, double *retVal);
short NoInteractionScreeningDifferential(kSanPotentialPlugIn *ppi,  kSanSimulation *sim,  particle *basePart, long partIndex, 
		 long whichNeighbor,  kSanVector * theScreeningDifferential);
short NoInteractionFillScreeningDifferentialArray(kSanPotentialPlugIn *ppi,  kSanSimulation *sim,  particle *basePart, long partIndex, 
		  kSanVector * screeningDifferentialArray);
short NoInteractionScreeningFunction( kSanPotentialPlugIn *ppi,  kSanSimulation *sim,  particle *basePart, long partIndex, 
		 long whichNeighbor, double *theScreening);
short NoInteractionFillScreeningArray(kSanPotentialPlugIn *ppi, kSanSimulation *sim,  particle *basePart, long partIndex );

#endif


