#include "kSanClassDefines.h"
#include "kSanParticleRegistry.h"

#define kSanAEIterateMessage 'Iter'

#define keyIterationMultiple 'kItr'
#define keyFractionalStrain 'Hzmv'
#define kSanAEStrainMessage  'Hzmi'
#define kSanAEThermalizeMessage  'Thrm'
#define kSanSimResetIDsEvent 'ID=='
#define kSanSimReorderEvent 'Ordr'
#define kSimUpdateEnergyMessage '^dtE'
#define kSimClockToggleMessage 'clk'

#define kMakeParticleMessage 'npt'
#define kAtomInfoMessage 'nf'
#define kThermalizeMessage kSanAEThermalizeMessage
#define kSetToZeroMessage   'stZ'
#define kCalcEMessage 'clc'
#define kGroupSelectedParticlesMessage 'grp'
#define kResetGroupsMessage 'rgp'
#define kMergeGroupsMessage 'mgp'
#define kSanSimDoInitialCellMessage 'dic'

#define kInvalWorldsMessage '!vlW'
#define kMaintainMenusMessage 'mMnu'
#define kSanInitMessage 'Init'
#define kSimContinuingBackupMessage '>Bk^'  // the message you get when a simulation exceeds a save count
#define kDoCollectionMessage 'Coll'

#define pPotentialMethodObjDeprecated 'PtOb'  --> replace with specific type wanted
#define pIterationMethodObjDeprecated 'MtOb'
#define pCellResizeObjDeprecated 'CROb'
 
 
#define pNoseTimeConst 'nosT'
#define pNoseDensity 'nosD'
#define pDoCooling 'Teql'
#define pRedrawFreq 'drw'
#define pNeighborSearchFreq 'NN '
#define pCellResizeFreq 'rsz'
#define pDataCalcFreq 'clc'
#define pClockRunning 'clck'
#define pEqTemperature 'k3Tq'
#define pTemperature 'k3T '
#define pTime    'k3t '
#define pIterations 'k3It'
#define pTimestep 'k3dt'
#define pDeltaT pTimestep 
#define pMenusDirty 'men*'
#define pCopytext 'CpyT'

#define pCellResizeMethod ClassCellResizePlugIn 
#define pIterationMethod ClassMethodPlugIn  
#define pPotentialMethod ClassPotentialPlugIn 
#define pCutoffs 'Cutf'
#define pInnerCutoff 'inCt'
#define pOuterCutoff 'ouCt'
#define pNeighborCutoffExtra 'ncXt'
#define pAutomaticUpdate 'a^dt'
#define kVirialFunction 'virl'
#define pPlugInType 'PItp'

// counter / threshholds
#define pUniqueParticleCounter  'uPCt'
#define pRedrawPeriod  'RDr#'
#define pTempCorrPeriod  'TCr#'
#define pMemoryCleanupPeriod  'MmC#'
#define pAutoSavePeriod  'ASv#'
#define pNeighborRecalcPeriod  'NRC#'
#define pVelocityCenteringPeriod  'VlC#'
#define pCellPressureCheckPeriod  'CPC#'
  
#define pParticleData 'Dat'
#define pNumParts 'num'
#define pSelectedList 'sel'
#define pHighlightList 'hil'
#define pParticleUniqueIDs 'uID'
#define pParticlePositions 'pos'
#define pParticleVelocities 'vel'
#define pParticleTypes 'typ'
#define pParticleGroups 'grp'
 