
#include "kSanObject.h"
#define nilPointer 0L
#define iAlertTextItem 2
#define kDefaultAlertID 400

void doAlert (Str255 myString)
{
	ParamText (myString, 0L, 0L, 0L);
	CautionAlert(kDefaultAlertID,0L);
}


pascal void  *alertThread 
	(void *stringResID, short intlRezOffset, UniversalProcPtr callback)
{
	short rezErr = noErr;
	short rezID;
	void *retVal = nilPointer;
	StringHandle myStringH ;
	StringPtr   myString;
	
	rezID = (*((long *)stringResID));
	myStringH = GetString (rezID + intlRezOffset);
	rezErr = ResError();
	if (rezErr)
	{
		myStringH = GetString (rezID);
		rezErr = ResError();
	}
	if (!rezErr)
	{
		HLock ((Handle) myStringH);
		myString = (*myStringH);
		showThreadedAlert (myString, callback);
		HUnlock((Handle) myStringH);
	}
	return (retVal);
}

void showThreadedAlert (Str255 myString, UniversalProcPtr callback)
{
	DialogPtr dialog;
	short		itemType;
	Rect		itemRect;
	GrafPtr oldPort;
	Handle textHandle;
	
	GetPort(&oldPort);
	dialog = GetNewDialog(kAlertDialogResID, nilPointer,(WindowPtr) -1L);
	if (dialog !=  nilPointer)
	{
		ShowWindow(dialog);
		SetPort(dialog);
		GetDialogItem (dialog,iAlertTextItem,&itemType,&textHandle,&itemRect);
		SetDialogItemText(textHandle, myString);
		while ( ! Button())
		{
			CallUniversalProc(callback, kVoidNoStackPtrProc);
		}

		DisposeDialog (dialog);
		SetPort(oldPort);
	}
}

pascal void  *sAlertThread (char *aString,  UniversalProcPtr callback)
{
	void *retVal = nilPointer;	
//	showThreadedAlert((Str255)aString, callback);
	return (retVal);
}
