#include "kSanAGWindow.h"
#include "MacOSDefines.h"

void magnifyButtonProc(AGPane *ag, long data)
{
	float newMag;
	newMag =  ag->windowView.magnification * 1.3;
	if  (keyWasPressed(kShiftKeyCode, theKeys)) newMag *= 3;

	kozoSetDataPtr((kozoObject *)ag,  pMagnification,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	callDoMessage (ag, kInvalWorldMessage, 0L);
}

void unmagnifyButtonProc(AGPane *ag, long data)
{
	float newMag;
	newMag =  ag->windowView.magnification * 0.8;
	if  (keyWasPressed(kShiftKeyCode, theKeys)) newMag *= 0.33;

	kozoSetDataPtr((kozoObject *)ag,  pMagnification,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	callDoMessage (ag, kInvalWorldMessage, 0L);
}

void closerButtonProc(AGPane *ag, long data)
{
	float newMag;
	newMag =  ag->windowView.perspective * 0.8;
	if  (keyWasPressed(kShiftKeyCode, theKeys)) newMag *= 0.33;

	kozoSetDataPtr((kozoObject *)ag,  pPerspective,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	callDoMessage (ag, kInvalWorldMessage, 0L);
}

void furtherButtonProc(AGPane *ag, long data)
{
	float newMag;
	newMag =  ag->windowView.perspective * 1.3;
	if  (keyWasPressed(kShiftKeyCode, theKeys)) newMag *= 3;

	kozoSetDataPtr((kozoObject *)ag,  pPerspective,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	callDoMessage (ag, kInvalWorldMessage, 0L);
}

void largerButtonProc(AGPane *ag, long data)
{
	float newMag;
	newMag =  ag->windowView.particleSize * 1.1;
	if  (keyWasPressed(kShiftKeyCode, theKeys)) newMag *= 2;

	kozoSetDataPtr((kozoObject *)ag,  pSizeFactor,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	callDoMessage (ag, kInvalWorldMessage, 0L);
}

void smallerButtonProc(AGPane *ag, long data)
{
	float newMag;
	newMag =  ag->windowView.particleSize * 0.9;
	if  (keyWasPressed(kShiftKeyCode, theKeys)) newMag *= 0.5;

	kozoSetDataPtr((kozoObject *)ag,  pSizeFactor,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	callDoMessage (ag, kInvalWorldMessage, 0L);
}

void rollCellButtonProc(AGPane *ag, long data)
{
	 AGPaneSetMouseMode(ag, kMouseManipulation);
}
void selectFingerButtonProc(AGPane *ag, long data)
{
	 AGPaneSetMouseMode(ag, kSelectAndHighlight);
}
