#include "kSanApplication.h"
#include "OHMenu.h"
#include "OHProc.h"


 
kozoObject * kSanMenuItemAllocateWithThreeArgs(kozoObject *menuObj, ProcPtr proc, long arg1, long arg2, long arg3, char *name)
{
 	long numArgs = 3;
 	kozoObject *theItem = nilPointer;
 	
	kozoNew6DataPtrs(&theItem, ClassMenuItem, menuObj, 
					pName, typeChar, name, strlen(name),
					pProcPtr, typeProcPtr, &proc, sizeof(long),
					pArgument1, typeLongInteger, &arg1, sizeof(long),
					pArgument2, typeLongInteger, &arg2, sizeof(long),
					pArgument3, typeLongInteger, &arg3, sizeof(long),
					pNumArgs, typeLongInteger, &numArgs, sizeof(long)  );
 
	return (theItem);
}

short  setMenuToSTR( DescType whichItem, short StrRezId, Str255 defaultString)
{
#pragma unused(defaultString)
	short err = noErr;
	OHString ohs;
	AEDesc nameDesc = gNilDesc;
	
	 err = OHStringCreateR(&ohs, StrRezId);
	if (!err) err = OHStringGetAEDesc(&ohs, typeIntlText, &nameDesc);
	if (!err) err = kozoSetData (OHGetNamedReference(globalAppObject, whichItem), pName, &nameDesc);
	
	AEDisposeDesc (&nameDesc);
	OHStringDispose(&ohs);
 	return (err);
}

