#include "kSanFilePlugIn.h"
 short  FileModuleGetData (KozoDispatchStack *ds, getMethodArgs *gma);

short initClassFilePlugIn (void)
{
	short err = noErr;
	kozoClass *newClass;
	kozoObject *co;

	newClass = addClass(&co,ClassFilePlugIn, ClasskSanPlugIn, sizeof (kSanFilePlugIn), "no plug in");
	if (newClass)
	{
		err =	setFuncs(newClass, 0L,  FilePlugInConstructor,
		nilPointer, FileModuleGetData, nilPointer, nilPointer,
		 nilPointer, nilPointer, nilPointer, nilPointer);
	}
	else
	{
		err = true;
	}
	return (err);
}
short  FilePlugInConstructor (KozoDispatchStack *ds, constructorMethodArgs *cma)
{
	short err = noErr;
	kSanFilePlugIn *api = (kSanFilePlugIn *)ds->thisPD;
	kSanPlugIn *plug;
	plug = KDSGetPrivateData(ds, ClasskSanPlugIn  );
  	err = dispatchLoop(ds, cma);

 	api->fpiObj = ds->obj;
 	plug->plugPrivateData = api;
  	plug->piType = ClassFilePlugIn;
	
	KDSReturnError(ds,err);
}
 short  FileModuleGetData (KozoDispatchStack *ds, getMethodArgs *gma)
{
	short err = noErr;
	DescType theKind = ClassFilePlugIn;
	kSanFilePlugIn *api = (kSanFilePlugIn *)ds->thisPD;

  	switch (gma->property)
	{
		case pKind:
			err = AECreateDesc(typeType, &theKind, sizeof(DescType), gma->result);
			break;
 		default:
			KDSReturnContinue(ds);
	}
	KDSDoneDispatch(ds);
	KDSReturnError(ds, err);
}
