#include "kSanSimulationPrivate.h"
#include "kSanSimDataWindow.h"
#include "kSanAGWindow.h"
#include "OHWindow.h"


 
short   spawnWindow (kSanSimulation *sim, BitList *useThisList, kozoObject **theNewWindow)
// the list starts from list[1]  list[0] holds number of list elements
{
	AEDesc initialData = {typeNull, nilPointer} ;
	kozoObject *oldAGWin  = nilPointer;
	kozoObject *newAGWin  = nilPointer;
	OHList partList ;
//	OHList *listUsed;
	Rect aRect;
	short setValues = false;
	short err = noErr;

	
	err = AECreateList(0L, nilPointer, true, &initialData);
	
 	oldAGWin =  kozoObjectGetNthItemOfClassX(simOBJ(sim),  ClassAGWindow, kFirstInList);
	if (oldAGWin) 
	{
		Point p = {20,20};
		AEDesc viewDesc = {typeNull, nilPointer} ;
		 err = kozoGetDataPtr(oldAGWin , pBounds,  typeQDRectangle, (Ptr)  &aRect,  sizeof(Rect) );
		 OHOffsetRect(&aRect, p,  &aRect);
		if (!err)  err = kozoGetData(oldAGWin , pViewMatrix, &viewDesc );
		if (!err) err = AEPutKeyDesc (&initialData, pViewMatrix, &viewDesc);
		OHDisposeDesc (&viewDesc);
	//	if (!err)  err = kozoGetData(oldAGWin , pHorizontalFractionScrolled, &viewDesc );
	//	if (!err) err = AEPutKeyDesc (&initialData, pHorizontalFractionScrolled, &viewDesc);
	//	OHDisposeDesc (&viewDesc);
	//	if (!err)  err = kozoGetData(oldAGWin , pVerticalFractionScrolled, &viewDesc );
	//	if (!err) err = AEPutKeyDesc (&initialData, pVerticalFractionScrolled, &viewDesc);
	//	OHDisposeDesc (&viewDesc);
	}
	else 
	{
		OHSetRect (&aRect, 60, 100, 300, 340);	
		err = noErr;
	}

	if (!err) err = AEPutKeyPtr (&initialData, pBounds, typeQDRectangle, (Ptr)  &aRect,  sizeof(Rect) );
	
	if ( useThisList)
	{
		OHList l;
		AEDesc listDesc = gNilDesc;
		OHListInitialize (&l);
	          err = BitListToOHList (useThisList, &l);
	          if (!err) err =  OHListToAEDesc (&l, &listDesc);
	          if (!err) err = AEPutKeyDesc (&initialData, pAGParticleList, &listDesc );
	          OHListDispose (&l);
	          AEDisposeDesc (&listDesc);
	}
	else
	{
	          if (!err) err = AEPutKeyDesc(&initialData, pIncludeAllParticles, &gTrueDesc );
	}
	
	if (!err) err = UINewObject ( ClassAGWindow, &initialData, simOBJ(sim), &newAGWin, kAEBeginning);
 
	if (!err) *theNewWindow = newAGWin;
	else  
	{
		if (newAGWin) kozoDispose(newAGWin);
		*theNewWindow = nilPointer;
	}
	disposeList (&partList);
	return (err);
}

void  changeParticleIndexInAllWindows (kSanSimulation *sim, long oldIndex, long newIndex)
{
	long oldAndNew[2];
	
	oldAndNew[0] = oldIndex;
	oldAndNew[1] = newIndex;
	kozoObjectMessageForContents(simOBJ(sim), ClassAGWindow,  kChangeParticleIndexMessage,   typeLongArray, &oldAndNew);
}
void simSetDebugString(kSanSimulation *sim, char *c)
{
	SimDataWindowDrawDebugString(simOBJ(sim), c);
}
