{	useful dcmd (not!) }
{	Created at MacHack 2000 by Philippe Casgrain }
{	philippe@casgrain.com }

{	This file is best viewed in a monospace font. }

{	This dcmd compiles well under MPW 3.2 using the old style interfaces. I have not }
{	attempted to make it compile under 3.3 and universal interfaces, mostly because }
{	I use the Pascal compiler which is 68k only so the new routine names don't  }
{	really matter. }

unit pi;

{$R-}
{ debug labels on. }
{$D+}

interface

	uses
		MemTypes, Packages, Scrap, {}
		dcmd; { Macsbug interface routines. }

	{ Public declaration for dcmdGlue. Must be in every dcmd. The name cannot be changed. }
	procedure CommandEntry (paramPtr: dcmdBlockPtr);

implementation

{-------------------------------------------------------------------------------------------}


{ This procedure is the main entry point for the dcmd.  It is the hook by which we get }
{	called by MacsBug to do our thing. It is basically the chance to key off the command }
{	line and do what it requests. }
	procedure CommandEntry (paramPtr: DCmdBlockPtr);
	begin
		case paramPtr^.request of
			dcmdInit: 
				; { We have no initalizations to do in this very simple dcmd }

			dcmdDoIt, dcmdHelp:  begin 
				dcmdDrawLine('                                                              ');
				dcmdDrawLine('                                                              ');
				dcmdDrawLine('                                                              ');
				dcmdDrawLine('##   ##   #######   #######   #######   ##   ##   ##       ###');
				dcmdDrawLine('##   ##   #######   #######   #######   ##   ##   ##       ###');
				dcmdDrawLine('##   ##   ###       ##        ##        ##   ##   ##       ###');
				dcmdDrawLine('##   ##   #######   #####     #####     ##   ##   ##       ###');
				dcmdDrawLine('##   ##   #######   #####     #####     ##   ##   ##        # ');
				dcmdDrawLine('##   ##       ###   ##        ##        ##   ##   ##          ');
				dcmdDrawLine('#######   #######   #######   ##        #######   #######  ###');
				dcmdDrawLine('#######   #######   #######   ##        #######   #######  ###');
				dcmdDrawLine('                                                              ');
				dcmdDrawLine('                                                              ');
				dcmdDrawLine('                                                              ');
			end; { dcmdDoIt, dcmdHelp }
				
		end; { case paramPtr^.request. }

	end; { CommandEntry }

end.