
#pragma once

//#include "ISO Reader.h"

typedef struct {
	FSItemRef	objRef;
	ItemID 		objID;
	ItemID 		parID;
	ItemID		objIdx;
} DirEntryInfo;

OSErr FFSGetParent (FSItemRef dirRef, ItemID *parID);
OSErr FFSGetParent (ItemID dirID, ItemID &parID);
OSErr FFSGetDir (Str31 name, ItemID parID, ItemID &destDirID);

OSErr GetNameOfDir (ItemID dirID, Str31 name);
OSErr GetDirRecRefByName (ItemID dir, StringPtr name, DirEntryInfo &info);
OSErr GetDirRef (Boolean highLevel, void *paramBlock, Boolean useIndex, DirEntryInfo &info);

void GetDefaultTypeAndCreator (StringPtr fileName, OSType *type, OSType *creator);
void InitTypeAndCreatorTranslation ();
void ExitTypeAndCreatorTranslation ();

Boolean HFSNamesMatch (const StringPtr name1, const StringPtr name2);

long RoundDown (long value, long bound);
long RoundUp (long value, long bound);

// EOF
