/*
 * Library for handling Pascal-Strings
 *
 * by Thomas Tempelmann, macdev@tempel.org
 */

#pragma push
#pragma cplusplus on

#include <MacTypes.h>

void	pstrcpy (StringPtr d, const StringPtr s);
void	pstrcat (StringPtr d, const StringPtr s);
void	pstrcatc (StringPtr d, const char* s);
void	pstrcatchar (StringPtr d, unsigned char c);
short	pfindchar (const StringPtr d, const unsigned char c);
void	pdelchars (StringPtr d, short offset, short len);
void	pstrins (StringPtr d, const StringPtr s, short offset);
short	pstrcmp (const StringPtr s1, const StringPtr s2);
short	pstrlen (const StringPtr s1);
void	pstrncpy (StringPtr d, const StringPtr s, short n);	// n: dest buffer size including length char
void	pstrupper (StringPtr d);
void	pstrextract (StringPtr d, const StringPtr s, short offset, short len);
short	pfindstr (const StringPtr d, const StringPtr s);
void	pstrnins (StringPtr d, short destSize, const StringPtr s, short offset);

#pragma pop
