/*

	UFSInstall.h
	
	Written by Thomas Tempelmann. Compiled by FDj.
	
*/
#pragma once

#include "FSM Stub.h"
#include "FSM Client Msgs.h"

class UFSInstall {
public:
	static OSErr FSUninstall (OSType signature);
	static OSErr FSAnnounceMount (short driveNum, OSType signature);
	static OSErr FSSpecifyResForkInfo (Ptr rfiPtr, OSType signature);
	static Boolean VolMountedByFS (UInt16 fsID);
	static Boolean IsFSInstalled (UInt16 fsID);
	static void FSMClientInstall (FSMEntryProc doFS, short *errCode, Str255 errMsg);
	static UInt16 FSMClientGetFSID (FSMEntryProc doFS);


	static FSMEntryProc LoadFS(ConstStr255Param resName);
	static void InstallFS(FSMEntryProc entryProc, OSType signature);
};
