/*	====================
 *	AEADescAppleEvent.hh
 *	====================
 */

#pragma once

#include "AEADesc.hh"

class AEADescAppleEvent : public AEADesc {
public:
	AEADescAppleEvent();
	AEADescAppleEvent(AEDesc inAEDesc);
	//AEADescAppleEvent(const AEDesc &inAEDesc);
	//AEADescAppleEvent(AEDesc *inAEDesc);
	AEADescAppleEvent(AEEventClass inEventClass, AEEventID inEventID, 
		const AEAddressDesc &inTarget, short inReturnID, long inTransactionID);
	virtual ~AEADescAppleEvent();
	
	virtual void Create(AEEventClass inEventClass, AEEventID inEventID, 
		const AEAddressDesc &inTarget, short inReturnID, long inTransactionID);
	
	virtual void GetParameter(AEKeyword inKeyword, DescType inDesiredType, 
		DescType &outTypeCode, void *outDataPtr, Size inMaximumSize, Size &outActualSize) 
		const;
	virtual void GetParameter(AEKeyword inKeyword, DescType inDesiredType, 
		AEDesc &outAEDesc) const;
	virtual void GetAttribute(AEKeyword inKeyword, DescType inDesiredType, 
		DescType &outTypeCode, void *outDataPtr, Size inMaximumSize, Size &outActualSize) 
		const;
	
	virtual void PutParameter(AEKeyword inKeyword, DescType inTypeCode, 
		const void *inDataPtr, Size inDataSize);
	virtual void PutParameter(AEKeyword inKeyword, const AEDesc &inAEDesc);
	virtual void PutParameter(AEKeyword inKeyword, AEADesc inDesc);
	virtual void PutAttribute(AEKeyword inKeyword, DescType inTypeCode, 
		const void *inDataPtr, Size inDataSize);
	virtual void PutAttribute(AEKeyword inKeyword, const AEDesc &inAEDesc);
	virtual void PutAttribute(AEKeyword inKeyword, AEADesc inDesc);
};
