/*	===============
 *	AEAModelRoot.hh
 *	===============
 */

#pragma once

#include "AEAModel.hh"

class AEATokenModel;
//class AEADescAppleEvent;

class AEAModelRoot : public AEAModel {
public:
	AEAModelRoot() {}
	virtual ~AEAModelRoot() {}
	
	virtual void KissGoodbye() {}
	
	virtual void MakeToken(AEATokenModel *&outToken);
	
	virtual DescType Type() const {return typeNull;}
	virtual DescType Class() const = 0;
	
	// The container proxy is an object that handles selecting contained objects.
	// It can be the same object or it can refer to another.
	//virtual AEAModelContainer &ContainerProxy() const /*= 0*/;
	//virtual CAEOMObject &Container() const /*= 0*/;
	virtual void GetContainerObjSpec(AEDesc &outAEDesc) const;
	
	virtual DescType PreferredKeyForm() const {return typeNull;}
	virtual void GetKeyData(DescType inKeyForm, AEDesc &outAEDesc) const;
	virtual void MakeObjSpecifier(AEDesc &outAEDesc) const;
	virtual void MakeDescriptor(AEDesc &outAEDesc) const {MakeObjSpecifier(outAEDesc);}
	
protected:
};
