/*	======================
 *	GenieHandlerOpenDoc.cc
 *	======================
 */

#include "PedestalDebugging.h"
#include "SiesString.hh"
#include "PedFSRef.hh"
#include "PedDataSourceFile.hh"
#include "PedStreamInputBufferedText.hh"
#include "PedDispenserString.hh"
#include "GenieHandlerOpenDoc.hh"
#include "execute.hh"


GenieHandlerOpenDoc::GenieHandlerOpenDoc(PedApplication &inApp)
: PedHandlerOpenDoc(inApp)
{
}

GenieHandlerOpenDoc::~GenieHandlerOpenDoc()
{
}

void
GenieHandlerOpenDoc::DoOpenDoc(FSSpec &inFSS)
{
	PedFSRef ref(inFSS);
	PedDataSourceFile *source = new PedDataSourceFile(ref);
	source->autorelease();
	PedStreamInputBufferedText *stream = new PedStreamInputBufferedText(*source);
	stream->autorelease();
	PedDispenserString *dispenser = new PedDispenserString(*stream);
	dispenser->autorelease();
	//new GenieShell;
	
	SiesString string;
	while (dispenser->GetString(string)) {
		long result = ::ExecuteCommand(string);
	}
}
