/*	============
 *	PedBuffer.hh
 *	============
 *	
 *	Implemented by PedBuffer.cc
 */

#pragma once

#include "PedObject.hh"

class PedBuffer : public PedObject {
public:
	PedBuffer(long inSize);
	PedBuffer(long inSize, char *inData);
	virtual ~PedBuffer();
	
	virtual long Length();
	virtual long Size();
	virtual char *Ptr();
	virtual void SetLength(long inLen);
	
protected:
	long mLen;
	long mSize;
	char *mPtr;
};
