/*	=====================
 *	PedDataSourceFile.hh
 *	=====================
 *	
 *	Implemented by PedDataSourceFile.cc
 */

#pragma once

#include "PedDataSource.hh"

class PedFSRef;
class PedAccessRaw;
class PedBuffer;

enum {
	kPedOpenDataFork = 0,
	kPedOpenResourceFork = 1,
};

class PedDataSourceFile : public PedDataSource {
public:
	PedDataSourceFile(PedFSRef &inFSRef, short inFork = 0);
	virtual ~PedDataSourceFile();
	
	virtual PedBuffer *GetNextBuffer();
	
protected:
	PedAccessRaw *mAccess;
};
