/*	========================
 *	PedViewScrollerSimple.hh
 *	========================
 *	
 *	Implemented by PedViewScrollerSimple.cc
 */

#pragma once

#include "PedViewScroller.hh"

class PedPaneSubView;
class PedViewScroll;

class PedViewScrollerSimple : public PedViewScroller {
public:
	PedViewScrollerSimple(PedPaneSubView &inSuperPane);
	virtual ~PedViewScrollerSimple();
	
	virtual void Dispose();
	
	virtual void GetAperture(Rect &outAperture);
	virtual void GetScrollPos(Point &outPos);
	virtual PedViewScroll *ScrollView();
	virtual PedPane *Pane();
	virtual void SetPane(PedPane *inPane);
	
	virtual void Scroll(short inH, short inV, bool inUpdate);
	
protected:
	virtual PedPane *MyPane();
	
protected:
	PedViewScroll *mScrollView;
	PedPaneSubView *mPane;
};
