/* XAutoReleasePool.hh */

#pragma once

#include "XObject.hh"
#include "XList.hh"

class XAutoReleasePool : virtual public XObject {
public:
	virtual void Add(XObject *inObject) {
		if (inObject) mList.Append(inObject);
	}
	virtual void Flush() {mList.Purge();}
protected:
	XList mList;
};
