/* PedAgentAboutBox.cc */

#include "PedestalDebugging.h"

#include "PedAgentAboutBox.hh"
#include "PedWindow.hh"
#include "PedPaneIcon.hh"

PedAgentAboutBox::PedAgentAboutBox()
: PedAgent(NULL)
{
	mPersistent = true;
}

PedAgentAboutBox::~PedAgentAboutBox()
{
}

void
PedAgentAboutBox::InitWindow()
{
	if (!mWindow) {
		// Note that at the moment, PedWindow() calls SetWindow(),
		// which sets mWindow, so this is redundant (but harmless).
		mWindow = new PedWindow(this);
		mWindow->SetTitle("\pPedestal");
		Rect bounds = {200, 300, 279, 379};
		mWindow->SetBounds(bounds);
		PedPaneIcon *pane = new PedPaneIcon(*mWindow);
		mWindow->SetPane(pane);
	}
}
