/* Gray Matter
 * Written at MacHack 2000 by Allon Stern
 * FREEWARE
 * Feel free to use this code for working your own hacks, or
 * extend the functionality!
 * However, please don't distribute modified versions as "Gray Matter" or
 * under my name.
 * If you have ideas you want me to incorporate into Gray Matter, send me
 * email at allon+palm@radioactive.org


This file doesn't do anything. Look at the other one.


 */
 
 
#include <Pilot.h>
#include <ScrDriverNew.h>
#include <SysEvtMgr.h>
#include <SystemPrv.h>
#include <FeatureMgr.h>
#include <SystemMgr.h>
//#include <Graffiti.h>

/***********************************************************************
 *
 *   Internal Constants
 *
 ***********************************************************************/
#define kHackFileCreator		'GrMr'
#define kHackCodeID				1000

/***********************************************************************
 *
 *   Function Prototypes
 *
 ***********************************************************************/

Err		MySysAppStartup(SysAppInfoPtr* appInfoPP, Ptr* prevGlobalsP, 
							Ptr* globalsPtrP);

Err		MySysAppStartup(SysAppInfoPtr* appInfoPP, Ptr* prevGlobalsP, 
							Ptr* globalsPtrP)
{
	Err (*oldtrap)(SysAppInfoPtr *, Ptr *, Ptr *);
	DWord temp; // for the feature manager call type checking
	Err err;
	Byte data = 0;
	DWord depth = 2;

	// Get the address of the old routine from HackMaster:
	err = FtrGet(kHackFileCreator,kHackCodeID,&temp);
	ErrFatalDisplayIf(err, "can't get real trap address");
	oldtrap=(Err (*)(SysAppInfoPtr *, Ptr *, Ptr *))temp;

//	if((*appInfoPP)->cmd == sysAppLaunchCmdNormalLaunch)
//		err = ScrDisplayMode(scrDisplayModeSet, NULL, NULL, &depth, false);
//		err = FtrSet(sysFtrCreator, sysFtrNumDisplayDepth, 2);


	return oldtrap (appInfoPP, prevGlobalsP, globalsPtrP);
}


