#ifndef __GLOBAL__

#define __GLOBAL__ 1

typedef struct {
	UInt8 mem[255];
} Page, *PagePtr;

typedef void (*myfuncPtr)(void);


typedef struct {
	UInt8 opCode;
	UInt8 baseCode;
	myfuncPtr fun;
	char*	name;
	UInt8	mode;
} OpTable;
#define kNumMemPages	255

extern Page* gMyMemoryPages;
extern OpTable gOpCodeBase[];
extern UInt8* gPageZero;
extern UInt8* gStack;
extern UInt16 pc;
extern UInt8 regA, regX, regY, regP, sp;
extern UInt8* gStartofProg;

extern UInt8 gNumOpCodes;
extern Boolean gDone;

#endif