enum {
	OPCODEMODE(ADC, Immediate),
	OPCODEMODE(ADC, Absolute),
	OPCODEMODE(ADC, ZeroPage),
	OPCODEMODE(ADC, IndX),
	OPCODEMODE(ADC, IndY),
	OPCODEMODE(ADC, ZeroPageX),
	OPCODEMODE(ADC, AbsoluteX),
	OPCODEMODE(ADC, AbsoluteY),
	OPCODEMODE(AND, Immediate),
	OPCODEMODE(AND, Absolute),
	OPCODEMODE(AND, ZeroPage),
	OPCODEMODE(AND, IndX),
	OPCODEMODE(AND, IndY),
	OPCODEMODE(AND, ZeroPageX),
	OPCODEMODE(AND, AbsoluteX),
	OPCODEMODE(AND, AbsoluteY),
	OPCODEMODE(ASL, Absolute),
	OPCODEMODE(ASL, ZeroPage),
	OPCODEMODE(ASL, Accumulator),
	OPCODEMODE(ASL, ZeroPageX),
	OPCODEMODE(ASL, AbsoluteX),
	OPCODEMODE(BCC, Relative),
	OPCODEMODE(BCS, Relative),
	OPCODEMODE(BEQ, Relative),
	OPCODEMODE(BNE, Relative),
	OPCODEMODE(BMI, Relative),
	OPCODEMODE(BPL, Relative),
	OPCODEMODE(BVC, Relative),
	OPCODEMODE(BVS, Relative),
	OPCODEMODE(BIT, Absolute),
	OPCODEMODE(BIT, ZeroPage),
	OPCODEMODE(BRK, None),
	OPCODEMODE(CLC, None),
	OPCODEMODE(CLD, None),
	OPCODEMODE(CLI, None),
	OPCODEMODE(CLV, None),
	OPCODEMODE(CMP, Immediate),
	OPCODEMODE(CMP, Absolute),
	OPCODEMODE(CMP, ZeroPage),
	OPCODEMODE(CMP, IndX),
	OPCODEMODE(CMP, IndY),
	OPCODEMODE(CMP, ZeroPageX),
	OPCODEMODE(CMP, AbsoluteX),
	OPCODEMODE(CMP, AbsoluteY),
	OPCODEMODE(CPX, Immediate),
	OPCODEMODE(CPX, Absolute),
	OPCODEMODE(CPX, ZeroPage),
	OPCODEMODE(CPY, Immediate),
	OPCODEMODE(CPY, Absolute),
	OPCODEMODE(CPY, ZeroPage),
	OPCODEMODE(DEC, Absolute),
	OPCODEMODE(DEC, ZeroPage),
	OPCODEMODE(DEC, ZeroPageX),
	OPCODEMODE(DEC, AbsoluteX),
	OPCODEMODE(DEX, None),
	OPCODEMODE(DEY, None),
	OPCODEMODE(EOR, Immediate),
	OPCODEMODE(EOR, Absolute),
	OPCODEMODE(EOR, ZeroPage),
	OPCODEMODE(EOR, IndX),
	OPCODEMODE(EOR, IndY),
	OPCODEMODE(EOR, ZeroPageX),
	OPCODEMODE(EOR, AbsoluteX),
	OPCODEMODE(EOR, AbsoluteY),
	OPCODEMODE(INC, Absolute),
	OPCODEMODE(INC, ZeroPage),
	OPCODEMODE(INC, ZeroPageX),
	OPCODEMODE(INC, AbsoluteX),
	OPCODEMODE(INX, None),
	OPCODEMODE(INY, None),
	OPCODEMODE(JMP, Absolute),
	OPCODEMODE(JMP, Indirect),
	OPCODEMODE(JSR, Absolute),
	OPCODEMODE(LDA, Immediate),
	OPCODEMODE(LDA, Absolute),
	OPCODEMODE(LDA, ZeroPage),
	OPCODEMODE(LDA, IndX),
	OPCODEMODE(LDA, IndY),
	OPCODEMODE(LDA, ZeroPageX),
	OPCODEMODE(LDA, AbsoluteX),
	OPCODEMODE(LDA, AbsoluteY),
	OPCODEMODEEXCEPTION(LDX, Immediate, LDX_Immediate),
	OPCODEMODE(LDX, Absolute),
	OPCODEMODE(LDX, ZeroPage),
	OPCODEMODE(LDX, AbsoluteY),
	OPCODEMODE(LDX, ZeroPageY),
	OPCODEMODEEXCEPTION(LDY, Immediate, LDY_Immediate),
	OPCODEMODE(LDY, Absolute),
	OPCODEMODE(LDY, ZeroPage),
	OPCODEMODE(LDY, ZeroPageX),
	OPCODEMODE(LDY, AbsoluteX),
	OPCODEMODE(LSR, Absolute),
	OPCODEMODE(LSR, ZeroPage),
	OPCODEMODE(LSR, Accumulator),
	OPCODEMODE(LSR, ZeroPageX),
	OPCODEMODE(LSR, AbsoluteX),
	OPCODEMODE(NOP, None),
	OPCODEMODE(ORA, Immediate),
	OPCODEMODE(ORA, Absolute),
	OPCODEMODE(ORA, ZeroPage),
	OPCODEMODE(ORA, IndX),
	OPCODEMODE(ORA, IndY),
	OPCODEMODE(ORA, ZeroPageX),
	OPCODEMODE(ORA, AbsoluteX),
	OPCODEMODE(ORA, AbsoluteY),
	OPCODEMODE(PHA, None),
	OPCODEMODE(PHP, None),
	OPCODEMODE(PLA, None),
	OPCODEMODE(PLP, None),
	OPCODEMODE(ROL, Absolute),
	OPCODEMODE(ROL, ZeroPage),
	OPCODEMODE(ROL, Accumulator),
	OPCODEMODE(ROL, ZeroPageX),
	OPCODEMODE(ROL, AbsoluteX),
	OPCODEMODE(ROR, Absolute),
	OPCODEMODE(ROR, ZeroPage),
	OPCODEMODE(ROR, Accumulator),
	OPCODEMODE(ROR, ZeroPageX),
	OPCODEMODE(ROR, AbsoluteX),
	OPCODEMODE(RTI, None),
	OPCODEMODE(RTS, None),
	OPCODEMODE(SBC, Immediate),
	OPCODEMODE(SBC, Absolute),
	OPCODEMODE(SBC, ZeroPage),
	OPCODEMODE(SBC, IndX),
	OPCODEMODE(SBC, IndY),
	OPCODEMODE(SBC, ZeroPageX),
	OPCODEMODE(SBC, AbsoluteX),
	OPCODEMODE(SBC, AbsoluteY),
	OPCODEMODE(SEC, None),
	OPCODEMODE(SED, None),
	OPCODEMODE(SEI, None),
	OPCODEMODE(STA, Absolute),
	OPCODEMODE(STA, ZeroPage),
	OPCODEMODE(STA, IndX),
	OPCODEMODE(STA, IndY),
	OPCODEMODE(STA, ZeroPageX),
	OPCODEMODE(STA, AbsoluteX),
	OPCODEMODE(STA, AbsoluteY),
	OPCODEMODE(STX, Absolute),
	OPCODEMODE(STX, ZeroPage),
	OPCODEMODE(STX, ZeroPageY),
	OPCODEMODE(STY, Absolute),
	OPCODEMODE(STY, ZeroPage),
	OPCODEMODE(STY, ZeroPageX),
	OPCODEMODE(TAX, None),
	OPCODEMODE(TAY, None),
	OPCODEMODE(TSX, None),
	OPCODEMODE(TXA, None),
	OPCODEMODE(TXS, None),
	OPCODEMODE(TYA, None)
};

