// ===========================================================================
//	MultiMonitorApp.h
// ===========================================================================

#ifndef _H_MultiMonitorApp
#define _H_MultiMonitorApp
#pragma once

#include <LDocApplication.h>

class MultiMonitorApp : public LDocApplication
{
	public:
								MultiMonitorApp();
		virtual					~MultiMonitorApp();

		virtual Boolean			ObeyCommand(
									CommandT			inCommand,
									void*				ioParam = nil);	

		virtual void			FindCommandStatus(
									CommandT			inCommand,
									Boolean&			outEnabled,
									Boolean&			outUsesMark,
									UInt16&				outMark,
									Str255				outName);

		virtual LModelObject*	MakeNewDocument();

				void			DoTest();

	protected:
		virtual void			StartUp();
		virtual	void			Initialize();
		
				void			RegisterClasses();
};

#endif // _H_MultiMonitorApp

