//source based on Chirp INIT. (author forgotten)



// Includes
#include <Events.h>
#include <Resources.h>
#include <Memory.h>
#include <ToolUtils.h>
#include <Sound.h>
#include <Gestalt.h>
#include <QDOffscreen.h>
#include <math64.h>
#include <Quickdraw.h>

/* Autre stuff.  Basically just makes sure that the correct code to patch the
   trap is for the right system.
*/
	#define SetCurrentA4() 0
	#define SetA4(x) 0
#define kLogReps 10 //the keys gathered before the result is logged
	ProcInfoType __procinfo = kCStackBased
			 | RESULT_SIZE(kFourByteCode)
			 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(void *)));

#ifndef kPowerPCArch
#define kPowerPCArch 'pwpc'
#endif


//magic offset of the start of the VRAM Buffer, REQUIRES  a G4 (look at MCAM_GetBufPtrs, after it executes this magic number (for the computer exicuting it) can be found on r7)
#define kVRAM ((Ptr)0x94008000)
//#define kOffset 1024

typedef struct {
	UInt32	fCode;
	UInt32	fData;
} TVec, *TVecPtr;

//	__ptr_glue		-	glue for function calls through pointers
//
//	Call the function whose 2-word TVector address is in R12.
//

asm void __ptr_glue(void);
asm void __ptr_glue(void)
{
		smclass	GL
		lwz		r0,0(r12)
		stw		RTOC,20(SP)
		mtctr	r0
		lwz		RTOC,4(r12)
		bctr
}


// Prototypes
pascal void (*gOldInitGraf)(void* qdGlobals);
pascal void NewInitGraf(void* qdGlobals);

OSErr ReadFile( void );
void Do32BitBlockMove(register char* source, register char* dest, register unsigned long bytes );
UInt32 NewMCAM_ShowBuffer(void* pParam1, void* pParam2);
pascal short NewSystemEvent(EventRecord *theEvent);
pascal short (*gOldSystemEvent)(EventRecord *theEvent);
OSErr OutputPicture(void);

enum {
	uppSystemEventProcInfo = kPascalStackBased | RESULT_SIZE(kTwoByteCode) | 
		STACK_ROUTINE_PARAMETER(1, kFourByteCode)
};


enum {
	kInitGrafInfo = kPascalStackBased | RESULT_SIZE(SIZE_CODE(0)) | 
		STACK_ROUTINE_PARAMETER(1, kFourByteCode)
};

typedef UInt32(*MyProcPtr)(void* pParam1, void* pParam2);
//typedef UInt32 (*MyProcPtr)(void* pParam1,pParam2);
// Constants

#define kBlockSize 1024 * 1024 * 4
#define kVRAMOffset	((Ptr)0x94CC7000)
#pragma mark Globals
// globals
TVecPtr				gOldVec = nil;
char				gCheckEvents = true;
unsigned long		gBufferOffset = 1024 * 767;

void main(void)
{
	THz		oldZone;
	Handle	iCode = nil;
	OSErr		theErr = noErr;
	
	iCode = Get1Resource('INIT',0);
	DetachResource(iCode);
	HLock(iCode);
	if(!iCode)
	{
		Debugger();
		return;
	}
	
	oldZone = GetZone();						// get the old sone before we SetZone to SystemZone();
	SetZone(SystemZone());					// so we can restore it on the way out
	
	gOldInitGraf = (void *) GetToolTrapAddress(_InitGraf); // get old trap data into our var..

	SetToolTrapAddress(NewRoutineDescriptor((ProcPtr) &NewInitGraf,
	    kInitGrafInfo,kPowerPCISA), _InitGraf); 		// patch ourselves in.	
	
	SetZone(oldZone);							// restore old zone as we leave
}




pascal void NewInitGraf(void* qdGlobals)
{
	long			bytes = sizeof(long);
	OSErr			theErr = noErr;
	
	
	
	CallUniversalProc((RoutineDescriptor*)gOldInitGraf,kInitGrafInfo,qdGlobals);
	
	
	
	if((*(long*)0x0910) == 0x1A417070)//requires the name of the dvd player to be "Apple DVD Player(Will Run)"
	{
		gOldSystemEvent = (void *) GetToolTrapAddress(0xA9B2); // get old trap data into our var..

		SetToolTrapAddress(NewRoutineDescriptor((ProcPtr) &NewSystemEvent,
	    uppSystemEventProcInfo,kPowerPCISA), 0xA9B2); 		// patch ourselves in.
	}
	
	
}

UInt32 NewMCAM_ShowBuffer(void* pParam1, void* pParam2)
{	
	
	return (UInt32)((MyProcPtr)gOldVec)(pParam1,pParam2);
}


// Our patch
pascal short NewSystemEvent(EventRecord *theEvent)
{
	OSErr						theErr = noErr;
	
	if(gCheckEvents)
	{
		CFragLoadOptions		findFlags =	kFindCFrag;
		CFragConnectionID		connID = nil;
		Ptr						mainAddr;
		Str255					symName = "MCAM_ShowBuffer";
		CFragSymbolClass		symClass;
		Ptr						symAddr = nil;
		Str255						errStr;
		
		theErr = GetSharedLibrary("\pATI IDCT", kPowerPCArch, findFlags, &connID, &mainAddr, errStr);
		if(theErr)
		{
			goto end;
		}
		
		theErr = GetIndSymbol(connID, 11, symName, &symAddr, &symClass); //10 = MCAM_ShowBuffer
		if(theErr) DebugStr("\pError, GetIndSymbol!");
		//we already know it is a TVector
		
		
		
		gOldVec = (TVecPtr)NewPtr(sizeof(TVec));
		*gOldVec = *((TVecPtr)symAddr);
		*((TVecPtr)symAddr) = *((TVecPtr)&NewMCAM_ShowBuffer);
		
		gCheckEvents = false;
	}
end:
		
		if(theEvent->what == keyDown)
		{
			
			if(theEvent->modifiers & cmdKey && theEvent->modifiers & shiftKey)
			{
				if(((theEvent->message) & 0xFF) == '\\')
				{
					theErr = OutputPicture();
					if(theErr) Debugger();
					SysBeep(0);
					SysBeep(0);
				}
			}
		}
		
		return CallUniversalProc((UniversalProcPtr)gOldSystemEvent, uppSystemEventProcInfo, theEvent);
}




OSErr OutputPicture(void)
{
	OSErr		theErr = noErr;
	FSSpec		logFile;
	short		fileRef = -1;
	short		n;
	long		sysDirID;
	static long	outNum = 0;
	Str15		numStr;
	Str31		fileName = "\pDVD Output ";
	GDHandle	mainDev = GetMainDevice();
	long		bytes = 0;
	PixMapHandle mainPixMap = (**mainDev).gdPMap;
	Rect mainScreenRect;
makeFile:
	
	outNum++;
	NumToString(outNum,numStr);
	
	for(n = 1;n < fileName[0]; n++)
	{
		fileName[fileName[0] + n] = numStr[n];
	}
	fileName[0] += numStr[0];
	
	theErr = FindFolder(kOnSystemDisk, kSystemFolderType, 
			kDontCreateFolder, &n, &sysDirID);
	
	theErr = FSMakeFSSpec(n, sysDirID, fileName, &logFile);
	if ( theErr )
	{
		if( theErr == -48 )
		{
			goto makeFile;
		}
		
		if(theErr != -43) //-43 = file does not exist error
		{
			goto end;
		}
		theErr = FSpCreate(&logFile, 'ttxt', 'TEXT', smSystemScript);
		if ( theErr != noErr)// && theErr != -48)
		{
			goto end;
		}
	}
	
	mainScreenRect = (**mainDev).gdRect;
	gBufferOffset = (mainScreenRect.bottom - mainScreenRect.top) * (mainScreenRect.right - mainScreenRect.left);
	//qd.screenBits.bounds.bottom * qd.screenBits.bounds.right;	
	
	
	gBufferOffset *= (**mainPixMap).pixelSize / 8;
	
	theErr = FSpOpenDF(&logFile, fsRdWrPerm, &fileRef);
	if( theErr != noErr )
	{
		goto end;
	}
	/*
	theErr = SetFPos(fileRef, fsFromLEOF,0);
	if( theErr != noErr )
	{
		SysBeep(0);
		return theErr;
	}
	*/
	
	
	bytes = kBlockSize;
	theErr = FSWrite(fileRef,&bytes,kVRAMOffset + gBufferOffset );
end:
	if(fileRef != -1) FSClose(fileRef);
	return theErr;
}