/****************************************************************************************
	BetterBitStream.h
	
	Copyright  1999 Red Shed Software. All rights reserved.
	by Jonathan 'Wolf' Rentzsch (jon@redshed.net)
	
	Commenter	Date				Comment
	---------	-----------------	-----------------------------------------------------
	wolf		Thu, Mar 18, 1999	Created.
	
	************************************************************************************/

#ifndef		_BetterBitStream_
#define		_BetterBitStream_

	extern
	void
InsertBetterBitStream(
	void	**bitStream,	//	->	A pointer to a pointer to a buffer.
							//	<-	Incremented with each filled byte.
	UInt32	*bitPosition,	//	->	Where to put the bit.
							//	<-	Incremented.
	UInt8	bit );			//	->	What value to insert.


	extern
	UInt8					//	<-	The retrieved bit.
GetBetterBitStream(
	void	**bitStream,	//	->	A pointer to a pointer to a buffer.
							//	<-	When a byte is emptied, the pointer is
							//		automatically incremented.
	UInt32	*bitPosition );	//	->	Current position in the buffer.
							//	<-	Automatically incremented.

#endif	//	_BetterBitStream_