// Action.h

#ifndef Action_h
#define Action_h

class Action
  {
	public:
		virtual bool CanUndo() const;
		virtual void Undo() = 0;
		
		virtual bool CanRedo() const;
		virtual void Redo() = 0;
		
		virtual void Commit( bool done );
		
		static Action& Nothing(); 
		static Action& Irreversible(); 
  };

#endif
