// ApplicationFocus.cp

#ifndef ApplicationFocus_h
#include "ApplicationFocus.h"
#endif
#ifndef Process_h
#include "Process.h"
#endif

ApplicationFocus& ApplicationFocus::The()
  {
	static ApplicationFocus application;
	return application;
  }

void ApplicationFocus::Resume()
  {
	if ( !Active() )
		Activate();
  }

void ApplicationFocus::Suspend()
  {
	if ( Active() )
		Deactivate();
  }

void ApplicationFocus::SynchronizeWithProcessManager()
  {
	if ( Process::Application() == Process::Front() )
		Resume();
	 else
		Suspend();
  }
