// Enableable.cp

#ifndef Enableable_h
#include "Enableable.h"
#endif

void Enableable::Enable()
  {
	Assert( !enabled );
	BeEnabled();
	enabled = true;
  }

void Enableable::Disable()
  {
	Assert( enabled );
	BeDisabled();
	enabled = false;
  }

void Enableable::SetEnabled( bool b )
  {
	Assert( b == !!b );
	if ( enabled == b )
		return;
	
	if ( b )
		BeEnabled();
	 else
		BeDisabled();
	
	enabled = b;
  }
