// Announcer.cp

#ifndef Announcer_h
#include "Announcer.h"
#endif
#ifndef EarBase_h
#include "EarBase.h"
#endif
#ifndef ListLoop_h
#include "ListLoop.h"
#endif

Announcer::Announcer()
  {
  }

Announcer::~Announcer()
  {
	for ( ListLoop<EarBase> ear(ears); ear.Unfinished(); ear++ )
		ear->HearDestruction();
	
	ears.RemoveAll();
  }

void Announcer::Announce()
  {
	for ( ListLoop<EarBase> ear(ears); ear.Unfinished(); ear++ )
		ear->HearAnnouncement();
  }
