// PostponedEar.h

#ifndef PostponedEar_h
#define PostponedEar_h

#ifndef PostponedEarBase_h
#include "PostponedEarBase.h"
#endif
#ifndef Method_h
#include "Method.h"
#endif

template < class Head >
class PostponedEar: public PostponedEarBase
  {
	private:
		Method< void (Head::*)() > action;
	
	public:
		PostponedEar( Head& head, void (Head::*nerve)() )
		  : PostponedEarBase( action ),
			 action( head, nerve )
		  {}

		PostponedEar( const Announcer& announcer,
						  Head& head,
						  void (Head::*nerve)() )
		  : PostponedEarBase( action, announcer ),
			 action( head, nerve )
		  {}
  };

#endif
