// Toggle.cp

#ifndef Toggle_h
#include "Toggle.h"
#endif

Toggle::Toggle( bool initialValue )
  : value( initialValue )
  {
  }

void Toggle::Set()
  {
	if ( !value )
	  {
		value = true;
		Announce();
	  }
  }

void Toggle::Clear()
  {
	if ( value )
	  {
		value = false;
		Announce();
	  }
  }

void Toggle::Flip()
  {
	value = !value;
	Announce();
  }

void Toggle::operator=( bool newValue )
  {
	if ( value != newValue )
	  {
		value = newValue;
		Announce();
	  }
  }
