// AEAddress.h

#ifndef AEAddress_h
#define AEAddress_h

#ifndef Process_h
#include "Process.h"
#endif
#ifndef FileSignature_h
#include "FileSignature.h"
#endif
#ifndef AEDescriptor_h
#include "AEDescriptor.h"
#endif
#ifndef ConstData_h
#include "ConstData.h"
#endif

class AEAddress: public AEDescriptor
  {
	public:
		AEAddress( const Process& process )
		  : AEDescriptor( ConstData( &process.Number(),
		  									  sizeof( process.Number() ) ),
		  						AEType( typeProcessSerialNumber ) )
		  {}
		
		AEAddress( const FileSignature& signature )
		  : AEDescriptor( ConstData( &signature, sizeof( signature ) ),
		  						AEType( typeApplSignature ) )
		  {}
  };

#endif
