// AEAttribute.cp

#ifndef AEAttribute_h
#include "AEAttribute.h"
#endif
#ifndef OSError_h
#include "OSError.h"
#endif
#ifndef ConstData_h
#include "ConstData.h"
#endif
#ifndef AEEvent_h
#include "AEEvent.h"
#endif

void AEAttribute::operator=( const AEDescriptor& in )
  {
	Assert( !Event().IsNull() );
	ThrowOSError( AEPutAttributeDesc( &Event(), Key().Key(), &in ) );
  }

void AEAttribute::Set( AEType type, ConstData data )
  {
	Assert( !Event().IsNull() );
	ThrowOSError( AEPutAttributePtr( &Event(),
												Key().Key(),
												type.Type(),
												data.Start(),
												data.Length() ) );
  }
