// AppleEventLink.h

#ifndef AppleEventLink_h
#define AppleEventLink_h

#ifndef AEVerb_h
#include "AEVerb.h"
#endif
#ifndef Integers_h
#include "Integers.h"
#endif

class AppleEventMethodBase;

class AppleEventLink
  {
	private:
		const AEVerb verb;
		
		static pascal OSErr HandleAppleEvent( const AppleEvent *event,
														  AppleEvent *reply,
														  int32 method );
		// not implemented:
			AppleEventLink( const AppleEventLink& );
			void operator=( const AppleEventLink& );
		
	public:
		AppleEventLink( AEVerb, AppleEventMethodBase& );
		~AppleEventLink();
  };

#endif
