// AEListItem.h

#ifndef AEListItem_h
#define AEListItem_h

#ifndef ConstAEListItem_h
#include "ConstAEListItem.h"
#endif

class AEList;
class Buffer;
class AEDescriptor;

class AEListItem: public ConstAEListItem
  {
	public:
		AEListItem( AEList& theList, uint32 theIndex )
		  : ConstAEListItem( theList, theIndex )
		  {}
		
		AEList& List() const				{ return const_cast<AEList&>( ConstAEListItem::List() ); }

		void Remove();
		
		void operator=( const AEDescriptor& );
		void Set( AEType, ConstData );
  };

#endif
