// AEMember.cp

#ifndef AEMember_h
#include "AEMember.h"
#endif
#ifndef OSError_h
#include "OSError.h"
#endif
#ifndef ConstData_h
#include "ConstData.h"
#endif
#ifndef AEStruct_h
#include "AEStruct.h"
#endif

void AEMember::Remove()
  {
	Assert( !Record().IsNull() );
	ThrowOSError( AEDeleteKeyDesc( &Record(), Key().Key() ) );
  }

void AEMember::operator=( const AEDescriptor& in )
  {
	Assert( !Record().IsNull() );
	ThrowOSError( AEPutKeyDesc( &Record(), Key().Key(), &in ) );
  }

void AEMember::Set( AEType type, ConstData data )
  {
	Assert( !Record().IsNull() );
	ThrowOSError( AEPutKeyPtr( &Record(),
										Key().Key(),
										type.Type(),
										data.Start(),
										data.Length() ) );
  }
