// AEBoolean.h

#ifndef AEBoolean_h
#define AEBoolean_h

#ifndef AESimpleDescriptor_h
#include "AESimpleDescriptor.h"
#endif

class AEBoolean: public AESimpleDescriptor< typeBoolean, uint8 >
  {
	private:
		typedef AESimpleDescriptor< typeBoolean, uint8 > Inherited;
	
	public:
		AEBoolean()		{}
		AEBoolean( bool value )
		  : AESimpleDescriptor< typeBoolean, uint8 >( value )
		  {}
		
		bool Value() const				{ return Inherited::Value() != 0; }
		void Set( bool value )			{ Inherited::Set( value ); }
		
		void operator=( bool value )	{ Set( value ); }
  };

#endif
