// AESuite.h

#ifndef AESuite_h
#define AESuite_h

#include <AppleEvents.h>

class AESuite
  {
	private:
		AEEventClass suite;
	
	public:
		AESuite( AEEventClass theSuite )
		  : suite( theSuite )
		  {}
	
		static AESuite Core()					{ return AESuite( kCoreEventClass ); }
		
		AEEventClass Suite() const				{ return suite; }
		
		bool operator==( AESuite t ) const	{ return suite == t.suite; }
		bool operator!=( AESuite t ) const	{ return suite != t.suite; }
  };

#endif
