// AEType.h

#ifndef AEType_h
#define AEType_h

#include <AppleEvents.h>

class AEType
  {
	private:
		DescType type;
			
	public:
		AEType( DescType theType )
		  : type( theType )
		  {}
	
		static AEType Null()						{ return AEType( typeNull ); }
		static AEType Any()						{ return AEType( typeWildCard ); }
		
		DescType Type() const					{ return type; }
		
		bool operator==( AEType t ) const	{ return type == t.type; }
		bool operator!=( AEType t ) const	{ return type != t.type; }
  };

#endif
