// AEVerb.h

#ifndef AEVerb_h
#define AEVerb_h

#ifndef AESuite_h
#include "AESuite.h"
#endif

class AEVerb
  {
	private:
		AESuite suite;
		AEEventID event;
		
	public:
		AEVerb( AESuite theSuite, AEEventID theEvent )
		  : suite( theSuite ),
			 event( theEvent )
		  {}

		AEVerb( AEEventClass theSuite, AEEventID theEvent )
		  : suite( AESuite( theSuite ) ),
			 event( theEvent )
		  {}
		
		AESuite Suite() const					{ return suite; }
		AEEventID Event() const					{ return event; }
		
		bool operator==( AEVerb v ) const	{ return suite == v.suite && event == v.event; }
		bool operator!=( AEVerb v ) const	{ return suite != v.suite || event != v.event; }
  };

#endif
