// Application.h

#ifndef Application_h
#define Application_h

#ifndef ApplicationBase_h
#include "ApplicationBase.h"
#endif
#ifndef CommandLink_h
#include "CommandLink.h"
#endif
#ifndef Quitting_h
#include "Quitting.h"
#endif

class Application: public ApplicationBase
  {
	private:
		CommandLink< Creating > creatingLink;
		CommandLink< Opening > openingLink;
		CommandLink< Quitting > quittingLink;
		
	public:
		Application( uint32 masterPointers = 128,
						 uint32 extraStackSpace = 0 );
  };

#endif
