// ClickHandler.h

#ifndef ClickHandler_h
#define ClickHandler_h

#ifndef WindowLocator_h
#include "WindowLocator.h"
#endif

class MouseDownEvent;

class ClickHandler: public WindowLocator
  {
	protected:
		~ClickHandler()			{}
	
	public:
		virtual void HandleClickInDesktop( const MouseDownEvent& );
		
		virtual void HandleClickInMenuBar( const MouseDownEvent& );
		
		virtual void HandleClickInSystemWindow( const MouseDownEvent& );
		
		virtual void HandleClickInWindowContent( const MouseDownEvent& );
		virtual void HandleClickInDragRegion( const MouseDownEvent& );
		virtual void HandleClickInGrowBox( const MouseDownEvent& );
		virtual void HandleClickInCloseBox( const MouseDownEvent& );
		virtual void HandleClickInZoomIn( const MouseDownEvent& );
		virtual void HandleClickInZoomOut( const MouseDownEvent& );
  };

#endif
