// MouseEventHandler.h

#ifndef MouseEventHandler_h
#define MouseEventHandler_h

#ifndef ClickHandler_h
#include "ClickHandler.h"
#endif

class MouseDownEvent;
class MouseUpEvent;
class MouseMovedEvent;

class MouseEventHandler: public ClickHandler
  {
	protected:
		MouseEventHandler()			{}
	
	public:
		virtual void HandleMouseDownEvent( const MouseDownEvent& );
		virtual void HandleMouseUpEvent( const MouseUpEvent& );
		virtual void HandleMouseMovedEvent( const MouseMovedEvent& );
  };

#endif
