// WindowEventHandler.h

#ifndef WindowEventHandler_h
#define WindowEventHandler_h

class ActivateEvent;
class DeactivateEvent;
class UpdateEvent;

class WindowEventHandler
  {
	protected:
		~WindowEventHandler()			{}
	
	public:
		virtual void HandleActivateEvent( const ActivateEvent& );
		virtual void HandleDeactivateEvent( const DeactivateEvent& );
		virtual void HandleUpdateEvent( const UpdateEvent& );
  };

#endif
