// HasFace.cp

#ifndef HasFace_h
#include "HasFace.h"
#endif

void HasFace::SetFace( const ::Face& newFace )
  {
	if ( face == newFace )
		return;
	
	face = newFace;
	FaceChanged();
  }

void HasFace::SetFont( FontNumber newFont )
  {
	if ( Font() == newFont )
		return;
	
	face.SetFont( newFont );
	FaceChanged();
  }

void HasFace::SetSize( FontSize newSize )
  {
	if ( Size() == newSize )
		return;
	
	face.SetSize( newSize );
	FaceChanged();
  }

void HasFace::SetStyle( ::Style newStyle )
  {
	if ( Style() == newStyle )
		return;
	
	face.SetStyle( newStyle );
	FaceChanged();
  }
