// HasForegroundColor.h

#ifndef HasForegroundColor_h
#define HasForegroundColor_h

#ifndef NamedColors_h
#include "NamedColors.h"
#endif

class HasForegroundColor
  {
	private:
		RGBColor foreground;
	
	protected:
		~HasForegroundColor()					{}

		virtual void ForegroundColorChanged() = 0;
		
	public:
		HasForegroundColor( RGBColor color = NamedColors::black )
		  : foreground( color )
		  {}
		
		const RGBColor& ForegroundColor() const		{ return foreground; }
		void SetForegroundColor( const RGBColor& );
  };

#endif
