// HasHorizontalJustification.h

#ifndef HasHorizontalJustification_h
#define HasHorizontalJustification_h

class Justification;

class HasHorizontalJustification
  {
	private:
		const Justification *horizontal;
	
	protected:
		~HasHorizontalJustification()			{}

		virtual void HorizontalJustificationChanged() = 0;
		
	public:
		HasHorizontalJustification( const Justification& j )
		  : horizontal( &j )
		  {}
		
		const Justification& HorizontalJustification() const		{ return *horizontal; }
		void SetHorizontalJustification( const Justification& );
  };

#endif
