// HasVerticalJustification.h

#ifndef HasVerticalJustification_h
#define HasVerticalJustification_h

class Justification;

class HasVerticalJustification
  {
	private:
		const Justification *vertical;
	
	protected:
		~HasVerticalJustification()			{}

		virtual void VerticalJustificationChanged() = 0;
		
	public:
		HasVerticalJustification( const Justification& j )
		  : vertical( &j )
		  {}
		
		const Justification& VerticalJustification() const		{ return *vertical; }
		void SetVerticalJustification( const Justification& );
  };

#endif
