// ClickCounterAt.h

#ifndef ClickCounterAt_h
#define ClickCounterAt_h

#ifndef ClickCounter_h
#include "ClickCounter.h"
#endif

template < class Location >
class ClickCounterAt: public ClickCounter
  {
	private:
		Location lastClicked;
	
	public:
		void Count( const MouseDownEvent& event,
						const Location& where )
		  {
			ClickCounter::Count( event, where == lastClicked );
			lastClicked = where;
		  }
  };

#endif
