// GlobalClipboard.cp

#ifndef GlobalClipboard_h
#include "GlobalClipboard.h"
#endif
#ifndef Clipboard_h
#include "Clipboard.h"
#endif

bool GlobalClipboard::valid = true;

void GlobalClipboard::Validate()
  {
	if ( !valid )
	  {
		Clipboard::FlushAll();
		valid = true;
	  }
  }

void GlobalClipboard::Changed()
  {
	Clipboard::InvalidateAll();
	valid = true;
  }
