// ScrapType.h

#ifndef ScrapType_h
#define ScrapType_h

#ifndef Integers_h
#include "Integers.h"
#endif

class ScrapType
  {
	private:
		uint32 type;
			
	public:
		explicit ScrapType( uint32 value );
	
		static ScrapType Text()						{ return ScrapType( 'TEXT' ); }
		static ScrapType Picture()					{ return ScrapType( 'PICT' ); }
		
		uint32 Value() const							{ return type; }
		
		bool operator==( ScrapType s ) const	{ return type == s.type; }
		bool operator!=( ScrapType s ) const	{ return type != s.type; }
  };

#endif
