// CommandHandler.h

#ifndef CommandHandler_h
#define CommandHandler_h

#ifndef CommandLink_h
#include "CommandLink.h"
#endif

template < class Protocol >
class CommandHandler: public Protocol
  {
	private:
		CommandLink< Protocol > link;
	
	protected:
		~CommandHandler()						{}
	
	public:
		CommandHandler( Focus& focus )
		  : link( focus, *this )
		  {}
		
		Enableable& Link()					{ return link; }
		const Enableable& Link() const	{ return link; }
  };

#endif
