// Quitting.h

#ifndef Quitting_h
#define Quitting_h

#ifndef SavingOption_h
#include "SavingOption.h"
#endif

class Quitting
  {
	protected:
		~Quitting()						{}
	
	public:
		virtual bool IsQuitting() const = 0;

		virtual bool CanStartQuitting() const = 0;
		virtual bool CanStopQuitting() const = 0;
		
		virtual void StartQuitting( SavingOption save = SavingOption::ask ) = 0;
		virtual void StopQuitting() = 0;
		
		virtual bool ApplicationCanExit() const = 0;

		void QuitAskingToSave()		{ StartQuitting( SavingOption::ask ); }
  };

#endif
