// Undoing.h

#ifndef Undoing_h
#define Undoing_h

class ConstData;

class Undoing
  {
	protected:
		~Undoing()			{}

	public:
		virtual bool ActionIsDone() const = 0;
		virtual ConstData ActionName() const = 0;
		
		virtual bool CanUndo() const = 0;
		virtual void Undo() = 0;
		
		virtual bool CanRedo() const = 0;
		virtual void Redo() = 0;

		bool CanUndoOrRedo() const;
		void UndoOrRedo();
  };

#endif
