// ControlIdler.h

#ifndef ControlIdler_h
#define ControlIdler_h

#ifndef ListLink_h
#include "ListLink.h"
#endif
#ifndef Enableable_h
#include "Enableable.h"
#endif

class ControlView;
class ControlIdlerList;
class RegionObject;

class ControlIdler: public Enableable
  {
	friend class ControlIdlerList;
	
	private:
		ListLink<ControlIdler> link;
		ControlView& view;
		bool started;
		
		void PrepareToIdle( RegionObject& visibleArea );
		void StopIdling();
		
	protected:
		virtual void BeEnabled();
		virtual void BeDisabled();
		
	public:
		ControlIdler( ControlView&, bool startEnabled );
		~ControlIdler();
  };

#endif
