// ControlNonThumb.h

#ifndef ControlNonThumb_h
#define ControlNonThumb_h

#ifndef ControlPart_h
#include "ControlPart.h"
#endif

class ControlNonThumb: public ControlPart
  {
	private:
		static pascal void TrackNonIndicator( ControlHandle control,
														  int16 part );

	protected:
		virtual ControlActionUPP Action();
		
	public:
		ControlNonThumb( ControlView& theControl,
							  int16 theCode,
							  Functor< void(*)() > *track,
							  Functor< void(*)() > *hit )
		  : ControlPart( theControl, theCode, track, hit )
		  {}
  };

#endif
