// CancelButton.h

#ifndef CancelButton_h
#define CancelButton_h

#ifndef PushButton_h
#include "PushButton.h"
#endif
#ifndef CommandHandler_h
#include "CommandHandler.h"
#endif
#ifndef EscapeKeys_h
#include "EscapeKeys.h"
#endif
#ifndef StopKeys_h
#include "StopKeys.h"
#endif

class CancelButton: public PushButton,
						  public CommandHandler<EscapeKeys>,
						  public CommandHandler<StopKeys>
  {		
	public:
		CancelButton( Window&, Functor< void(*)() >&, ConstPString );
		CancelButton( Window&, Functor< void(*)() >&, ResourceID cicn, ConstPString );
		CancelButton( Window&, Functor< void(*)() >&, ConstPString, ResourceID cicn );
		
		virtual void EscapeKey( const KeystrokeEvent& );
		virtual void StopKey( const KeystrokeEvent& );
  };

#endif
