// ColumnSeparator.cp

#ifndef ColumnSeparator_h
#include "ColumnSeparator.h"
#endif

int32 ColumnSeparator::BestWidth( Range32 bounds ) const
  {
	return bounds.WeaklyRestrict( 6 );
  }

int32 ColumnSeparator::MinimumHeight() const
  {
	return 3;
  }

int32 ColumnSeparator::MinimumWidth() const
  {
	return 6;
  }

int32 ColumnSeparator::MaximumHeight() const
  {
	return 3;
  }
