// RowSeparator.cp

#ifndef RowSeparator_h
#include "RowSeparator.h"
#endif

int32 RowSeparator::BestHeight( Range32 bounds ) const
  {
	return bounds.WeaklyRestrict( 6 );
  }

int32 RowSeparator::MinimumHeight() const
  {
	return 6;
  }

int32 RowSeparator::MinimumWidth() const
  {
	return 3;
  }

int32 RowSeparator::MaximumWidth() const
  {
	return 3;
  }
