// BackgroundColorMaintainer.h

#ifndef BackgroundColorMaintainer_h
#define BackgroundColorMaintainer_h

#include <QuickDraw.h>

class GrafPortObject;

class BackgroundColorMaintainer
  {
	private:
		GrafPortObject& port;
		RGBColor old;
		
	public:
		BackgroundColorMaintainer();
		BackgroundColorMaintainer( const RGBColor& toUse );

		~BackgroundColorMaintainer()	{ Reset(); }
		
		void Reset() const;
  };

#endif
