// ForegroundColorMaintainer.h

#ifndef ForegroundColorMaintainer_h
#define ForegroundColorMaintainer_h

#ifndef __APPEARANCE__
#include <Appearance.h>
#endif

class GrafPortObject;
class GraphicsDeviceObject;

class ForegroundColorMaintainer
  {
	private:
		GrafPortObject& port;
		RGBColor old;
		
	public:
		ForegroundColorMaintainer();
		ForegroundColorMaintainer( const RGBColor& toUse );
		ForegroundColorMaintainer( ThemeTextColor, const GraphicsDeviceObject& );

		~ForegroundColorMaintainer()	{ Reset(); }
		
		void Reset() const;
  };

#endif
