// PenModeMaintainer.cp

#ifndef PenModeMaintainer_h
#include "PenModeMaintainer.h"
#endif
#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

PenModeMaintainer::PenModeMaintainer()
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().PenMode() )
  {
  }

PenModeMaintainer::PenModeMaintainer( PatternMode toUse )
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().PenMode() )
  {
	port.SetPenMode( toUse );
  }

void PenModeMaintainer::Reset() const
  {
	port.SetPenMode( old );
  }
