// PenModeMaintainer.h

#ifndef PenModeMaintainer_h
#define PenModeMaintainer_h

#ifndef PatternMode_h
#include "PatternMode.h"
#endif

class GrafPortObject;

class PenModeMaintainer
  {
	private:
		GrafPortObject& port;
		PatternMode old;
		
	public:
		PenModeMaintainer();
		PenModeMaintainer( PatternMode toUse );

		~PenModeMaintainer()	{ Reset(); }
		
		void Reset() const;
  };

#endif
