// PortMaintainer.h

#ifndef PortMaintainer_h
#define PortMaintainer_h

#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

class PortMaintainer
  {
	private:
		GrafPortObject& old;
		
	public:
		PortMaintainer()
		  : old( GrafPortObject::Current() )
		  {}
		
		PortMaintainer( GrafPortObject& toUse )
		  : old( GrafPortObject::Current() )
		  {
			toUse.BeCurrent();
		  }

		~PortMaintainer()		{ Reset(); }
		
		void Reset() const	{ old.BeCurrent(); }
  };

#endif
