// ScreenLoop.h

#ifndef ScreenLoop_h
#define ScreenLoop_h

#ifndef GraphicsDeviceLoop_h
#include "GraphicsDeviceLoop.h"
#endif

class ScreenLoop: private GraphicsDeviceLoop
  {
	private:
		GraphicsDeviceLoop device;
	
		void Advance();
		
	public:
		ScreenLoop();

		bool Finished() const		{ return device.Finished(); }
		bool Unfinished() const		{ return device.Unfinished(); }
		
		void operator++();
		void operator++(int)			{ operator++(); }

		const GraphicsDeviceObject& operator*() const		{ return *device; }
		const GraphicsDeviceLoop& operator->() const		{ return device; }
  };

#endif
