// TemporaryPort.h

#ifndef TemporaryPort_h
#define TemporaryPort_h

#include <QuickDraw.h>

class GrafPortObject;

class TemporaryPort
  {
	private:
		GrafPortObject& old;
		CGrafPort personal;
		GrafPortObject *toUse;
		
		static bool sharedPortBusy;
		
		// not implemented:
			TemporaryPort( const TemporaryPort& );
			void operator=( const TemporaryPort& );
		
	public:
		TemporaryPort();
		~TemporaryPort();
		
		const GrafPortObject& Port() const		{ return *toUse; }
		GrafPortObject& Port()						{ return *toUse; }
  };

#endif
