// Event.h

#ifndef Event_h
#define Event_h

#ifndef Tick_h
#include "Tick.h"
#endif

class Event
  {
	private:
		const EventRecord asReceived;
		Tick when;

	protected:
		~Event()													{}
		
	public:
		Event( const EventRecord& event );

		Tick When()	const										{ return when; }
		
		const EventRecord& AsReceived() const			{ return asReceived; }
  };

#endif
