// DiskInsertionEvent.h

#ifndef DiskInsertionEvent_h
#define DiskInsertionEvent_h

#ifndef UserEvent_h
#include "UserEvent.h"
#endif

class DiskInsertionEvent: public UserEvent
  {
	private:
		const uint16 drive;
		const OSErr mountError;
		
	public:
		DiskInsertionEvent( const EventRecord& event );
		
		uint16 Drive() const			{ return drive; }
		OSErr MountError() const	{ return mountError; }
  };

#endif
