// UserEvent.cp

#ifndef UserEvent_h
#include "UserEvent.h"
#endif

UserEvent::UserEvent( const EventRecord& event )
  : Event( event ),
	 shift(			( event.modifiers & shiftKey )			!= 0 ),
	 control(		( event.modifiers & controlKey )			!= 0 ),
	 option(			( event.modifiers & optionKey )			!= 0 ),
	 command(		( event.modifiers & cmdKey )				!= 0 ),
	 capsLock(		( event.modifiers & alphaLock )			!= 0 ),
	 rightShift(	( event.modifiers & rightShiftKey )		!= 0 ),
	 rightControl(	( event.modifiers & rightOptionKey )	!= 0 ),
	 rightOption(	( event.modifiers & rightControlKey )	!= 0 )
  {
  }
