// QuitBlocker.h

#ifndef QuitBlocker_h
#define QuitBlocker_h

#ifndef Integers_h
#include "Integers.h"
#endif
#ifndef Assert_h
#include "Assert.h"
#endif

class QuitBlocker
  {
	private:
		static uint32 count;
		
	public:
		QuitBlocker()
		  {
			Assert( count < maxuint32 );
			count++;
		  }
		
		QuitBlocker( const QuitBlocker& )
		  {
			Assert( count < maxuint32 );
			count++;
		  }
		
		~QuitBlocker()
		  {
			Assert( count > 0 );
			count--;
		  }
		
		static bool AllowsQuit()		{ return count == 0; }
  };

#endif
