// AllocationBlock.h

#ifndef AllocationBlock_h
#define AllocationBlock_h

#ifndef Integers_h
#include "Integers.h"
#endif

class AllocationBlock
  {
	private:
		uint32 block;		// wishful thinking or HFS+?
	
	public:
		explicit AllocationBlock( uint32 value )
		  : block( value )
		  {}
	
		uint32 Block() const										{ return block; }
		
		bool operator==( AllocationBlock f ) const		{ return block == f.block; }
		bool operator!=( AllocationBlock f ) const		{ return block != f.block; }
  };

#endif
