// FileLoop.cp

#ifndef CatInfoLoop_h
#include "CatInfoLoop.h"
#endif

CatInfoLoop::CatInfoLoop()
  : directory( Volume( 0 ) ),
	 unfinished( false )
  {
  }

CatInfoLoop::CatInfoLoop( Directory theDirectory )
  : directory( theDirectory ),
	 index( 1 )
  {
	unfinished = info.TryToGet( directory, index );
  }

void CatInfoLoop::Start( Directory theDirectory )
  {
	directory = theDirectory;
	index = 1;
	unfinished = info.TryToGet( directory, index );
  }

void CatInfoLoop::operator++()
  {
	Assert( unfinished );
	Assert( index < maxint16 );
	index++;
	unfinished = info.TryToGet( directory, index );
  }
