// FileLoop.h

#ifndef CatInfoLoop_h
#define CatInfoLoop_h

#ifndef CatInfo_h
#include "CatInfo.h"
#endif

class CatInfoLoop
  {
	private:
		Directory directory;
		uint16 index;
		bool unfinished;
		
		CatInfo info;
	
	public:
		CatInfoLoop();
		CatInfoLoop( Directory );
		
		void Start( Directory );
		
		bool Finished() const					{ return !unfinished; }
		bool Unfinished() const					{ return unfinished; }
		
		void operator++();
		void operator++(int)						{ operator++(); }
		
		const CatInfo& operator*() const		{ return info; }
		const CatInfo *operator->() const	{ return &info; }
  };

#endif
