// FileInfoLoop.cp

#ifndef FileInfoLoop_h
#include "FileInfoLoop.h"
#endif

void FileInfoLoop::AdvanceToNextMatch()
  {
	while ( Unfinished() && (*this)->IsDirectory() )
		CatInfoLoop::operator++();
  }

FileInfoLoop::FileInfoLoop( Directory folder )
  : CatInfoLoop( folder )
  {
	AdvanceToNextMatch();
  }

void FileInfoLoop::Start( Directory folder )
  {
	CatInfoLoop::Start( folder );
	AdvanceToNextMatch();
  }

void FileInfoLoop::operator++()
  {
	CatInfoLoop::operator++();
	AdvanceToNextMatch();
  }
