// FileSignature.h

#ifndef FileSignature_h
#define FileSignature_h

#ifndef Integers_h
#include "Integers.h"
#endif

class FileSignature
  {
	private:
		uint32 signature;
		
	public:
		explicit FileSignature( uint32 value )
		  : signature( value )
		  {}
	
		uint32 Signature() const							{ return signature; }
		
		static FileSignature TeachText()					{ return FileSignature( 'ttxt' ); }
		static FileSignature Finder()						{ return FileSignature( 'MACS' ); }
  };

inline bool operator==( FileSignature a, FileSignature b )		{ return a.Signature() == b.Signature(); }
inline bool operator!=( FileSignature a, FileSignature b )		{ return a.Signature() != b.Signature(); }

#endif
