// TypedFileInfoLoop.h

#ifndef TypedFileInfoLoop_h
#define TypedFileInfoLoop_h

#ifndef CatInfoLoop_h
#include "CatInfoLoop.h"
#endif

class TypedFileInfoLoop: public CatInfoLoop
  {
	private:
		FileType type;
	
		void AdvanceToNextMatch();
		
	public:
		TypedFileInfoLoop()								{}
		TypedFileInfoLoop( FileType t ) 				: type( t )		{}
		TypedFileInfoLoop( FileType, Directory );

		void Start( Directory );
		void Start( Directory, FileType );
		
		void operator++();
		void operator++(int)								{ operator++(); }
  };

#endif
