// FileError.h

#ifndef FileError_h
#define FileError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class FileError: public OSError
  {
	public:
		FileError()						: OSError()		{}
		FileError( OSErr e )			: OSError( e )	{}
		FileError( OSError& e )		: OSError( e )	{}
  };

inline void ThrowFileError( OSErr e )
  {
	if ( e != noErr )
		throw FileError(e);
  }

#endif
