// MountError.h

#ifndef MountError_h
#define MountError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class MountError: public OSError
  {
	public:
		MountError( OSErr error )
		  : OSError( error )
		  {}
  };

inline void ThrowMountError( OSErr e )
  {
	if ( e != noErr )
		throw MountError(e);
  }

#endif
