// NotADirectoryError.h

#ifndef NotADirectoryError_h
#define NotADirectoryError_h

#ifndef FileError_h
#include "FileError.h"
#endif

class NotADirectoryError: public FileError
  {
	public:
		NotADirectoryError( OSErr error )
		  : FileError( error )
		  {}
		
		// Used for afpObjectTypeErr,
		// dupFNErr from findFolder
		// and internal errors
  };

#endif
