// FileSystem.h

#ifndef FileSystem_h
#define FileSystem_h

#ifndef Integers_h
#include "Integers.h"
#endif

class FileSystem
  {
	private:
		int16 id;
	
	public:
		explicit FileSystem( int16 value )
		  : id( value )
		  {}
	
		int16 ID() const									{ return id; }
		
		bool operator==( FileSystem f ) const		{ return id == f.id; }
		bool operator!=( FileSystem f ) const		{ return id != f.id; }
  };

#endif
