// VolumeLoop.h

#ifndef VolumeLoop_h
#define VolumeLoop_h

#ifndef VolumeInfo_h
#include "VolumeInfo.h"
#endif

class VolumeLoop
  {
	private:
		uint16 index;
		bool unfinished;
		
		VolumeInfo info;
	
		void GetInfo();
		
	public:
		VolumeLoop();
		
		bool Finished() const						{ return !unfinished; }
		bool Unfinished() const						{ return unfinished; }
		
		void operator++();
		void operator++(int)							{ operator++(); }
		
		const VolumeInfo& operator*() const		{ return info; }
		const VolumeInfo *operator->() const	{ return &info; }
  };

#endif
