// FaceMaintainer.cp

#ifndef FaceMaintainer_h
#include "FaceMaintainer.h"
#endif

FaceMaintainer::FaceMaintainer()
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().Face() )
  {
  }

FaceMaintainer::FaceMaintainer( const Face& toUse )
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().Face() )
  {
	port.SetFace( toUse );
  }

void FaceMaintainer::Reset() const
  {
	port.SetFace( old );
  }
