// FontNumber.h

#ifndef FontNumber_h
#define FontNumber_h

#ifndef Integers_h
#include "Integers.h"
#endif

class ConstPString;

class FontNumber
  {
	private:
		int16 number;
			
	public:
		explicit FontNumber( int16 value );
		explicit FontNumber( ConstPString );
	
		static FontNumber System();
		static FontNumber Application();
		
		int16 Value() const							{ return number; }
		
		bool operator==( FontNumber f ) const	{ return number == f.number; }
		bool operator!=( FontNumber f ) const	{ return number != f.number; }
  };

#endif
