// RegionID.h

#ifndef RegionID_h
#define RegionID_h

#ifndef Integers_h
#include "Integers.h"
#endif

#include <Script.h>

class RegionID
  {
	private:
		uint16 id;
	
	public:
		explicit RegionID( uint16 value )
		  : id( value )
		  {}
	
		static RegionID US()							{ return RegionID( verUS ); }
		
		uint16 ID() const								{ return id; }
		
		bool operator==( RegionID s ) const		{ return id == s.id; }
		bool operator!=( RegionID s ) const		{ return id != s.id; }
  };

#endif
