// DelayedMethod.h

#ifndef DelayedMethod_h
#define DelayedMethod_h

#ifndef Method_h
#include "Method.h"
#endif
#ifndef Delayer_h
#include "Delayer.h"
#endif

template < class TargetType >
class DelayedMethod: public Delayer
  {
	private:
		Method< void (TargetType::*)() > action;
		
	public:
		DelayedMethod( TargetType& t, void (TargetType::*m)() )
		  : action( t, m ),
			 Delayer( action )
		  {}
  };

#endif
