// MemoryFullError.h

#ifndef MemoryFullError_h
#define MemoryFullError_h

#ifndef MemoryError_h
#include "MemoryError.h"
#endif

#include <Errors.h>

class MemoryFullError: public MemoryError
  {
	public:
		MemoryFullError( OSErr error = memFullErr )
		  : MemoryError( error )
		  {}

		MemoryFullError( void *p )
		  : MemoryError( (p == 0) ? OSErr(memFullErr) : OSErr(noErr) )
		  {}
  };

#endif
