// AppearanceManagerUser.h

#ifndef AppearanceManagerUser_h
#define AppearanceManagerUser_h

#ifndef Integers_h
#include "Integers.h"
#endif

class AppearanceManagerUser
  {
	private:
		class Initializer;
		
		static uint16 GetVersion();
		
	public:
		AppearanceManagerUser();
		
		static uint16 Version();
		
		static bool Exists()							{ return Version() > 0; }
		static bool AtLeastVersion1_0_1()		{ return Version() >= 0x0101; }
		static bool AtLeastVersion1_1_0()		{ return Version() >= 0x0110; }
  };

#endif
