// Opening.h

#ifndef Opening_h
#define Opening_h

#ifndef FileType_h
#include "FileType.h"
#endif

#include <Files.h>

class FileLocation;
class CatInfo;

class Opening
  {
	protected:
		~Opening()		{}
	
		static pascal Boolean FileFilter( CInfoPBPtr, void * );

	public:
		virtual bool CanOpenFile() const;
		virtual bool CanOpen( const CatInfo& ) const;

		virtual FileLocation ChooseFile() const;
		
		virtual void OpenFile( const CatInfo& );
		virtual void PrintFile( const CatInfo& );

		virtual void ChooseAndOpenFile();
  };

#endif
