// PrintingError.h

#ifndef PrintingError_h
#define PrintingError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class PrintingError: public OSError
  {
	public:
		explicit PrintingError( OSErr e )	: OSError( e )		{}
		PrintingError( OSError& e )			: OSError( e )		{}
  };

inline void ThrowPrintingError( OSErr e )
  {
	if ( e != noErr )
		throw PrintingError(e);
  }

#endif
