// PageSetupInfo.h

#ifndef PageSetupInfo_h
#define PageSetupInfo_h

#ifndef Announcer_h
#include "Announcer.h"
#endif

#include <Printing.h>

class PrintManager;

class PageSetupInfo: public TPrint,
							public Announcer
  {
	private:
		TPrint& AsTPrint() 	{ return *this; }		
			// This gets around a bug in CW Pro 4
		
	public:
		explicit PageSetupInfo( PrintManager& );
		
		void ShowDialog( PrintManager& );
  };

#endif
