// PrintManager.cp

#ifndef PrintManager_h
#include "PrintManager.h"
#endif
#ifndef Assert_h
#include "Assert.h"
#endif
#ifndef PrintingError_h
#include "PrintingError.h"
#endif
#ifndef DialogManagerUser_h
#include "DialogManagerUser.h"
#endif

bool PrintManager::isOpen = false;

PrintManager::PrintManager()
  {
	DialogManagerUser();
	
	Assert( !IsOpen() );
	PrOpen();
	ThrowPrintingError( PrError() );
	isOpen = true;
  }

PrintManager::~PrintManager()
  {
	Assert( IsOpen() );
	isOpen = false;
	PrClose();
	DebugOSError( PrError() );
  }
