// TextEditClipboard.h

#ifndef TextEditClipboard_h
#define TextEditClipboard_h

#ifndef Clipboard_h
#include "Clipboard.h"
#endif

class TextEditClipboard: public Clipboard
  {
	private:
		TextEditClipboard()		{}
		~TextEditClipboard();
	
	protected:
		virtual void Import( const ScrapReader& );
		virtual void Export( ScrapWriter& ) const;
		virtual void Clear();
	
	public:
		static TextEditClipboard& The();
		
		uint32 Length();
  };

#endif
