// TextEditPaster.h

#ifndef TextEditPaster_h
#define TextEditPaster_h

#ifndef Paster_h
#include "Paster.h"
#endif
#ifndef TextEditClipboard_h
#include "TextEditClipboard.h"
#endif

#include <TextEdit.h>

struct DialogRecord;

class TextEditPaster: public Paster
  {
	private:
		const uint32 scrapLength;
	
	public:
		TextEditPaster();
		
		bool CanPasteTo( TEHandle ) const;
		
		void Paste( TEHandle ) const;
		void Paste( DialogRecord& d ) const;
  };

#endif
