// InvalidCanvasLoop.h

#ifndef InvalidCanvasLoop_h
#define InvalidCanvasLoop_h

#ifndef CanvasMaintainer_h
#include "CanvasMaintainer.h"
#endif
#ifndef CanvasLoopBase_h
#include "CanvasLoopBase.h"
#endif

class InvalidCanvasLoop: private CanvasLoopBase
  {
	private:
		CanvasMaintainer canvasMaintainer;
		
		void AdvanceToInvalid();
		
	public:
		InvalidCanvasLoop( const DrawsSpontaneously& );
		
		CanvasLoopBase::Finished;
		CanvasLoopBase::Unfinished;
		
		void operator++();
		void operator++(int)						{ operator++(); }

		CanvasLoopBase::operator*;
		CanvasLoopBase::operator->;
  };

#endif
