// ValidAndInvalidCanvasLoop.h

#ifndef ValidAndInvalidCanvasLoop_h
#define ValidAndInvalidCanvasLoop_h

#ifndef CanvasMaintainer_h
#include "CanvasMaintainer.h"
#endif
#ifndef CanvasLoopBase_h
#include "CanvasLoopBase.h"
#endif

class ValidAndInvalidCanvasLoop: private CanvasLoopBase
  {
	private:
		CanvasMaintainer canvasMaintainer;
		
	public:
		ValidAndInvalidCanvasLoop( const DrawsSpontaneously& );
		
		CanvasLoopBase::Finished;
		CanvasLoopBase::Unfinished;
		
		void operator++();
		void operator++(int)						{ operator++(); }

		CanvasLoopBase::operator*;
		CanvasLoopBase::operator->;
  };

#endif
