// ValidCanvasLoop.cp

#ifndef ValidCanvasLoop_h
#include "ValidCanvasLoop.h"
#endif

void ValidCanvasLoop::AdvanceToValid()
  {
	for ( ; Unfinished(); CanvasLoopBase::operator++() )
	  {
		Canvas().RestrictToValid();
		
		if ( Canvas().Visible() )
		  {
			canvasMaintainer.Use( Canvas() );
			return;
		  }
	  }
	canvasMaintainer.UseNone();
  }

ValidCanvasLoop::ValidCanvasLoop( const DrawsSpontaneously& view )
  : CanvasLoopBase( view )
  {
	AdvanceToValid();
  }

void ValidCanvasLoop::operator++()
  {
	CanvasLoopBase::operator++();
	AdvanceToValid();
  }
