// ValidCanvasLoop.h

#ifndef ValidCanvasLoop_h
#define ValidCanvasLoop_h

#ifndef CanvasMaintainer_h
#include "CanvasMaintainer.h"
#endif
#ifndef CanvasLoopBase_h
#include "CanvasLoopBase.h"
#endif

class ValidCanvasLoop: private CanvasLoopBase
  {
	private:
		CanvasMaintainer canvasMaintainer;
		
		void AdvanceToValid();
		
	public:
		ValidCanvasLoop( const DrawsSpontaneously& );
		
		CanvasLoopBase::Finished;
		CanvasLoopBase::Unfinished;
		
		void operator++();
		void operator++(int)						{ operator++(); }

		CanvasLoopBase::operator*;
		CanvasLoopBase::operator->;
  };

#endif
