// VerticalBar.h

#ifndef VerticalBar_h
#define VerticalBar_h

#ifndef SuggestsPaneSize_h
#include "SuggestsPaneSize.h"
#endif

template <int32 width>
class VerticalBar: public SuggestsPaneSize
  {
	public:
		virtual int32 MinimumWidth() const						{ return width; }
		virtual int32 MaximumWidth() const						{ return width; }
		virtual int32 BestHeight( Range32 bound ) const		{ return bound.Start(); }
  };

#endif
