// StackedPane.cp

#ifndef StackedPane_h
#include "StackedPane.h"
#endif
#ifndef Canvas_h
#include "Canvas.h"
#endif

void StackedPane::Adjust( Canvas& canvas ) const
  {
	Assert( link.Owned() );
	
	PaneStack::PaneLoop obstruction( link );
	for ( obstruction--; obstruction.Unfinished(); obstruction-- )
		canvas.ObstructOffScreen( obstruction->Bounds() );
	
	RectangularPane::Adjust( canvas );
  }
