// RuledPaneColumnOfHeight.h

#ifndef RuledPaneColumnOfHeight_h
#define RuledPaneColumnOfHeight_h

#ifndef PaneColumnOfHeight_h
#include "PaneColumnOfHeight.h"
#endif
#ifndef ViewCell_h
#include "ViewCell.h"
#endif
#ifndef HorizontalBar_h
#include "HorizontalBar.h"
#endif

template <uint32 nonRulePanes>
class RuledPaneColumnOfHeight: public PaneColumnOfHeight< 2 * nonRulePanes - 1 >
  {
	public:
		RuledPaneColumnOfHeight()
		  {
			static const HorizontalBar<1> horizontalLine;
			for ( uint32 i = 1; i < 2 * nonRulePanes - 1; i+=2 )
			  {
				PaneColumnOfHeight::operator[](i).SetContent( ViewCell::Black() );
				PaneColumnOfHeight::operator[](i).SetSizer( horizontalLine );
			  }
		  }
		
		RectangularPane& operator[]( uint32 i )
		  {
			return PaneColumnOfHeight::operator[]( 2*i );
		  }
		
		const RectangularPane& operator[]( uint32 i ) const
		  {
			return PaneColumnOfHeight::operator[]( 2*i );
		  }
  };

#endif
