// ConformsToPaneSize.cp

#ifndef ConformsToPaneSize_h
#include "ConformsToPaneSize.h"
#endif
#ifndef AcceptsConformanceToSize_h
#include "AcceptsConformanceToSize.h"
#endif
#ifndef Assert_h
#include "Assert.h"
#endif
#ifndef DrawsSpontaneously_h
#include "DrawsSpontaneously.h"
#endif

ConformsToPaneSize::ConformsToPaneSize()
  : conformTo( 0 ),
	 paneSize( 0, 0 ),
	 paneSizeKnown( false )
  {
  }

ConformsToPaneSize::~ConformsToPaneSize()
  {
	if ( conformTo != 0 )
	  {
		Assert( conformTo->conformingView == this );
		Assert( conformTo->paneSize == paneSize );
		Assert( conformTo->paneSizeKnown == paneSizeKnown );
		
		conformTo->conformingView = 0;
	  }
  }

void ConformsToPaneSize::PaneSizeChanged()
  {
	Invalidate();
  }
