// DrawsSpontaneously.h

#ifndef DrawsSpontaneously_h
#define DrawsSpontaneously_h

#ifndef ListOf_h
#include "ListOf.h"
#endif
#ifndef View_h
#include "View.h"
#endif

class Pane;

class DrawsSpontaneously: virtual public View
  {
	friend class Pane;
	friend class CanvasLoopBase;

	private:
		mutable ListOf< Pane > panes;
		
	protected:
		DrawsSpontaneously()		{}
		~DrawsSpontaneously();
		
		void Invalidate() const;
		void Redraw();
		void Update();
  };

#endif
