// CellVisitor.h

#ifndef CellVisitor_h
#define CellVisitor_h

#ifndef Rectangle_h
#include "Rectangle.h"
#endif

class ViewCell;
class Canvas;

class CellVisitor
  {
	private:
		Rectangle destination;
		
	protected:
		~CellVisitor()			{}
	
	public:
		CellVisitor( const Rectangle& theDestination )
		  : destination( theDestination )
		  {}
		
		const Rectangle& Destination() const	{ return destination; }
		
		virtual void Visit( ViewCell&, const Canvas& ) = 0;
  };

#endif
