// GrayRegion.h

#ifndef GrayRegion_h
#define GrayRegion_h

#ifndef Rectangle_h
#include "Rectangle.h"
#endif

#include <QuickDraw.h>

class GrayRegion
  {
	private:
		const RgnHandle region;
	
		GrayRegion();
		
		// not implemented:
			GrayRegion( const GrayRegion& );
			void operator=( const GrayRegion& );
	
	public:
		static const GrayRegion& The();
		
		operator RgnHandle() const		{ return region; }
		Rectangle Bounds() const;
  };

#endif
