// WindowManagerUser.cp

#ifndef WindowManagerUser_h
#include "WindowManagerUser.h"
#endif
#ifndef FontManagerUser_h
#include "FontManagerUser.h"
#endif
#ifndef ProcessInfo_h
#include "ProcessInfo.h"
#endif

#include <Windows.h>

WindowManagerUser::WindowManagerUser()
  {
	static bool initialized = false;
	
	if ( !initialized )
	  {
		Assert( !ProcessInfo::Application().OnlyBackground() );

		FontManagerUser();
		InitWindows();
		initialized = true;
	  }
  }
