// BitArray.h

#ifndef BitArray_h
#define BitArray_h

#ifndef BitArrayBase_h
#include "BitArrayBase.h"
#endif

template < uint32 bitCount >
class BitArray: public BitArrayBase
  {
	private:
		Unit bits[ (bitCount + unitLength - 1) / unitLength ];
	
	public:
		BitArray()
		  : BitArrayBase( bits, bitCount )
		  {}
		
		BitArray( bool initialValue )
		  : BitArrayBase( bits, bitCount, initialValue )
		  {}
  };

#endif
