// ConstBuffer.cp

#ifndef ConstBuffer_h
#include "ConstBuffer.h"
#endif
#ifndef Buffer_h
#include "Buffer.h"
#endif

ConstBuffer& operator>>( ConstBuffer& from, Buffer& to )
  {
	Data limitedTo( to.Unused() );
	limitedTo.LimitLength( from.UnusedLength() );
	
	from >> limitedTo;
	to.AdvanceMark( limitedTo.Length() );
	
	Assert( to.Exhausted() || from.Exhausted() );
	
	return from;
  }
