// TypedBufferOfSize.h

#ifndef TypedBufferOfSize_h
#define TypedBufferOfSize_h

#ifndef BufferOf_h
#include "BufferOf.h"
#endif

template < class Element, uint32 size >
class TypedBufferOfSize: public BufferOf< Element >
  {
	private:
		Element space[ size ];
	
	public:
		TypedBufferOfSize()
		  : BufferOf<Element>( ArrayOf<Element>( space, size ) )
		  {}
  };

#endif
