// Data.cp

#ifndef Data_h
#include "Data.h"
#endif

const Data Data::operator<<( ConstData r ) const
  {
	Assert( !Null() );
	Assert( !r.Null() );
	
	const uint8 *from = r.Start();
	uint8 *to = Start();
	
	uint8 *stop = to + r.BoundedLength( Length() );
	
	while ( to < stop )
		*to++ = *from++;

	return Data( to, End() );
  }
