// Sign.h

#ifndef Sign_h
#define Sign_h

template < class Value >
inline Value Abs( Value v )
  {
	return ( v < 0 ) ? -v : v;
  }

template < class Value >
inline Value Sign( Value v )
  {
	return ( v > 0 )
			 ? 1
			 : ( v < 0 )
			 	? -1
			 	: 0;
  }

#endif
