// StackLoopBase.h

#ifndef StackLoopBase_h
#define StackLoopBase_h

#ifndef ConstStackLoopBase_h
#include "ConstStackLoopBase.h"
#endif

class StackLoopBase: private ConstStackLoopBase
  {		
	public:
		StackLoopBase( StackBase& stack )
		  : ConstStackLoopBase( stack )
		  {}
		
		// Access declarations are broken in templates in CW Pro 5
		//using ConstStackLoopBase::Finished;
		//using ConstStackLoopBase::Unfinished;
		//using ConstStackLoopBase::operator++;
		bool Finished() const			{ return ConstStackLoopBase::Finished(); }
		bool Unfinished() const			{ return ConstStackLoopBase::Unfinished(); }
		void operator++()					{ ConstStackLoopBase::operator++(); }
		void operator++(int)				{ ConstStackLoopBase::operator++(0); }
		
		void *Position() const
		  {
			return const_cast<void *>( ConstStackLoopBase::Position() );
		  }
  };

#endif
