#ifndef _MACPRINT_
#define _MACPRINT_

#include <MacTypes.h>
#include <stdarg.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif


// Default: MacPrintEnabled false
#ifndef MACPRINTENABLED
	#define MACPRINTENABLED			0
#endif


void MacPrint_printf(const char *format,...);
void MacPrint_vprintf(const char *format,va_list arg);
void MacPrint_printmem(const void *data,size_t len);
void MacPrint_fprintf(const char *log,const char *format,...);
void MacPrint_vfprintf(const char *log,const char *format,va_list arg);
void MacPrint_fprintmem(const char *log,const void *data,size_t len);


#ifdef __cplusplus
}
#endif

#endif /* _MACPRINT_ */
