#ifndef _STRINGUTILS_
#define _STRINGUTILS_

#include <ctype.h>
#include <MacTypes.h>
#include <size_t.h>

#ifdef __cplusplus
extern "C" {
#endif


int strcmpnc(const char *s1,const char *s2);
int strncmpnc(const char *s1,const char *s2,size_t n);
unsigned char *pstrcat(unsigned char *dst,const unsigned char *src);
unsigned char *pstrcpy(unsigned char *dst,const unsigned char *src);
unsigned char *pstrncpy(unsigned char *dst,const unsigned char *src,size_t n);
int pstrcmp(const unsigned char *s1,const unsigned char *s2);
int pstrcmpnc(const unsigned char *s1,const unsigned char *s2);
unsigned char *ctopstr(unsigned char *dst,const char *src);
char *ptocstr(char *dst,const unsigned char *src);
char *GetCString(char *str,short strID);
StringPtr GetPString(StringPtr str,short strID);
char *GetIndCString(char *str,short strListID,short index);
StringPtr GetIndPString(StringPtr str,short strListID,short index);
char *GetAppNameCString(char *name);
StringPtr GetAppNamePString(StringPtr name);


#ifdef __cplusplus
}
#endif

#endif /* _STRINGUTILS_ */
