
#ifndef __peColourPlugIn__
#define __peColourPlugIn__

#define typePEColourPlugInData 'PECd' // an array of two floats
 #include "kSanAGWindowPublic.h"
#include "kSanColourPlugIn.h"

typedef struct PEColourPlugInType 
{
	float minPE;
	float maxPE;
	float inverseRange;
}
PEColourPlugIn;


short PEColourPlugInConstructor (KozoDispatchStack *ds, constructorMethodArgs *cma);
short  PEColourPlugInDestructor (KozoDispatchStack *ds, destructorMethodArgs* dma);
short PEColourPlugInGetData (KozoDispatchStack *ds, getMethodArgs *gma);
short PEColourPlugInSetData (KozoDispatchStack *ds, setMethodArgs *sma);
short PEColourPlugInDoMessage (KozoDispatchStack *ds, doMessageMethodArgs *dmma);

void colourOneParticleByPE( kSanColourPlugIn *api, kSanSimulation *sim, grafData *thisGrafData);
void setAllColoursByPE(  kSanColourPlugIn *api, kSanSimulation *sim, grafData *baseGrafData, long howMany);
void getPEColour (PEColourPlugIn *pecpi, double energy, RGBColor *rgb);

#endif