#ifndef __kSanAtomTypes__
#define __kSanAtomTypes__
#define kSanAtomicSymbol 'k3AS'
#define kSanAtomicMass 'k3AW'
#define kSanAtomicName 'k3AN'
#include "kSanAppStructs.h"
void initClassAtomTypes(void);

short makeAtomtypeObjSpecifier(long whichType, AEDesc *theSpec);
short makeAtomtypePropertyObjSpecifier(long whichType, AEDesc *theSpec, long propID);
void setATColour(short index, RGBColor *newC);
void setATAtomicNumber(short index, short an);
void setATMass(short index, double newMass);
void setATName(short index, char *newName);
RGBColor getATColour(short index);

short getAN(short index)   ;
short getTypeFromMass(double theMass) ; // returns the atom type corresponding to 
short  getTypeFromText(AEDesc *atomTypeDesc);
short getTypeFromAtomicData (short aNum, double aMass);
short addToAtomtypes (typespecs *newTypes);
void getNthAtomtype(long  thisIndex, typespecs * theSpecs);

short addAtomtype (double aMass, short aNum, short *newType);
short atomicNumberOfAtomicSymbol(char *p);
void removeLeadingSpaces(char *p, long maxCopy);
short periodicTableString(short aNum, long whatValue,char * tableString );
float periodicTableValue(short aNum, long whatValue);
typespecs *lockAtomTypes(void)  ;
void releaseAtomTypes(void) ;

short	DoAtomInfoDialog	(long whichType);

#endif