
#ifndef __kSanCellResizePlugIn__
#define __kSanCellResizePlugIn__
#define kResizerDataRezType 'rszD'
#include "kSanPlugIn.h"

short CellResizePlugInConstructor (KozoDispatchStack *ds, constructorMethodArgs *cma);
short  CellResizePlugInDestructor (KozoDispatchStack *ds, destructorMethodArgs* dma);
short CellResizePlugInGetData (KozoDispatchStack *ds, getMethodArgs *gma);
short CellResizePlugInSetData (KozoDispatchStack *ds, setMethodArgs *sma);
short CellResizePlugInDoMessage (KozoDispatchStack *ds, doMessageMethodArgs *dmma);

short simCalcLinearStress (kSanSimulation *sim, kSanVector *linStress);
short simCalcLinearStressFromVirial (kSanSimulation *sim, kSanVector *linStress);
short simGetMomenta(kSanSimulation *sim, kSanVector *vec);
short simCalcLinearStressNumerically(kSanSimulation *sim, kSanVector *linStress);
short simCalcVirialPressure (kSanSimulation *sim, kSanVector *vPress);
short simCalcKineticPressure (kSanSimulation *sim, kSanVector *kPress);
short simCalcCellMechPressure ( kSanSimulation *sim, kSanVector *stressVec);
short simScaleAndCalcStress(kSanSimulation *sim, kSanVector *dirVec , double *stress);


#endif