
#ifndef __kSanDialogs__
#define __kSanDialogs__

#include "kSanRezIDs.h"

#define kMinDouble 1E-10

#define kDisableControl 255
#define kUnselected 0

#define kSaveData 1
#define kDontSaveData 3

#define	iCGResetEditItem		4
#define	iCGToleranceEditItem		6

#define	iTimestepEditItem		4
#define	iAlphaNoughtEditItem		6
#define	iAlphaOneEditItem		8
#define	iAlphaTwoEditItem		10
#define	iAlphaThreeEditItem		12
#define	iAlphaFourEditItem		14
#define	iAlphaFiveEditItem		16
#define	iGearEConservationCheckItem		18
#define	iGearVCenteringCheckItem		19
#define	iVerletDiffAccountingCheckItem		6
#define	iVerletEConservationCheckItem		7
#define	iVerletVCenteringCheckItem		8

#define	iMeamPopupItem		3

#define	iENoughtEditItem 		6
#define	iRNoughtEditItem 		8
#define	ialphaSubiEditItem 			10
#define	iASubiEditItem 				12
#define	iBetaZeroSubiEditItem 		14
#define	iBetaOneSubiEditItem 		16
#define	iBetaTwoSubiEditItem 		18
#define	iBetaThreeSubiEditItem 		20
#define	iTauZeroSubiEditItem 		22
#define	iTauOneSubiEditItem 		24
#define	iTauTwoSubiEditItem 		26
#define	iTauThreeSubiEditItem 		28
#define	iZetaSubdEditItem 			30
#define	iSOneSubiEditItem 			32
#define	iSTwoSubiEditItem 			34
#define	iSThreeSubiEditItem 		36

#define	iLJAExponentItem 		10
#define	iLJRExponentItem 		6
#define	iLJAPrefactorItem 		8
#define	iLJRPrefactorItem 		4
#define	iLJForceShiftItem 		12
#define	iLJRNoughtItem 			14


#define iMinNeighborsEditItem 26
#define iMaxNeighborsEditItem 27
#define iMinNeighborsTextItem 28
#define iMaxNeighborsTextItem 29



#define	ixEditItem 	5
#define	iyEditItem 	7
#define	izEditItem 	9
#define	ifccRadio 	10
#define	ibccRadio 	11
#define	iscRadio 	12
#define	idcRadio 	13
#define	iemptyRadio 	14
#define	ilcEditItem 15
#define	iRootTwoCheckItem 16



#define iXCheckItem 3
#define iYCheckItem 4
#define iZCheckItem 5
#define iCellXDimEditItem 6		
#define iCellYDimEditItem 7		
#define iCellZDimEditItem 8	
#define iScaleWithCellCheckItem 12
#define iCurveCheckItem 13

#define iXYAngleCheckItem 14
#define iYZAngleCheckItem 15
#define iZXAngleCheckItem 16
#define iCellAlphaEditItem 17
#define iCellBetaEditItem 18
#define iCellGammaEditItem 19
	
#define iScaleFactorEditItem 4
#define iXReflectCheckItem 5
#define iYReflectCheckItem 6
#define iZReflectCheckItem 7

#define	iInnerEditItem 		4
#define	iOuterEditItem 		6
#define	iCMaxEditItem 		8
#define	iCMinEditItem 		10
#define	iUseBaskesCheckItem 	13


#define	ipxEditItem 7
#define	ipyEditItem 8
#define	ipzEditItem 9
#define	ivxEditItem 14
#define	ivyEditItem 15
#define	ivzEditItem 16
#define	ipotentialEStaticItem 20
#define	ikineticEStaticItem 22
#define	iEditAtomPopupItem 23
#define	iEditAtomRevertButton 24
#define	iNumberOfParticleStaticItem 18

#define	iDataPlugInPopup 8
#define	iLoopNumberEditItem 6
#define	iInUseCheckItem 5
#define	iSetDataPlugInValuesButton 3
#define	iEditPlugInParamsButton 10
#define	iCallDataPlugInButton 4

#define inAxItem 4
#define inAyItem 5
#define inAzItem 6
#define inBxItem 10
#define inByItem 11
#define inBzItem 12
#define inCxItem 16
#define inCyItem 17
#define inCzItem 28
#define ioAxItem 28
#define ioAyItem 29
#define ioAzItem 30
#define ioBxItem 31
#define ioByItem 32
#define ioBzItem 33
#define ioCxItem 34
#define ioCyItem 35
#define ioCzItem 36
#define iErrorString 40
#define iHuhButton 41

#include "OHDialogs.h"
#include "kSanObject.h"
#define kMaxDouble 1E20
#define kRadioSelected 1
#define kRadioUnselected 0


void  drawSample(DialogPtr dialog, double aRadius, RGBColor *aColour, Rect * pictRect);
short  kSanAboutBox (void);
short OpenAnywayDialog(void) ;

void  setStringText(Handle theTextHandle, short theID);
void DoMethodParamsDialog	(void);

#endif