#ifndef __kSanFileDefs__
#define __kSanFileDefs__

#define 	k3howManyActivePlugsResID 'Api#'
#define 	k3portRectRezType	'k3PR'	
#define 	k3worldRectRezType	'k3WR'		
#define 	k3windowViewRezType		'k3WV'
#define 	k3doubleRezType		'k3DB'
#define  k3doubleVectorRezType 'k3DV'
#define 	k3longRezType		'k3LI'
#define 	k3shortRezType		'k3SI'

#define 	k3groupInfoRezType	'k3GI'	
#define 	k3groupNameRezType	'k3GN'
#define   k3groupNumPartsRezType 'k3G#'
#define 	k3typespecsRezType	'k3TP'
#define    k3typespecsNameRezType 'k3TN'
#define 	k3partListRezType  'k3PL'
#define 	k3groupListRezType 'k3GL'
#define 	k3numWindowPartsRezType 'k3NP'
// double resources
#define 	k3deltaTResID		 128
#define 	k3coolingFactorResID	129	
#define 	k3eqTempResID			130
#define 	k3neighborCutoffExtraResID			131
#define 	k3timeElapsedResID		132
#define 	k3outerCutoffResID		136
#define 	k3innerCutoffResID		137
#define 	k3screeningCMinResID		138
#define 	k3screeningCMaxResID		139

#define 	 k3noseMassResID 142
#define 	 k3noseTimeConstResID 143
//#define 	k3thetaAngleResID			140
//#define 	k3phiAngleResID				141
#define 	k3cellAlphaResID			148
#define 	k3cellBetaResID			  149
#define 	k3cellGammaResID			150

#define 	k3cellXResID			133 // use double vector
#define 	k3cellYResID			134
#define 	k3cellZResID			135
#define 	k3StrainStressXResID  151 // use double vector
#define 	k3StrainStressYResID  152
#define 	 k3StrainStressZResID  153
#define 	k3ShearStressXResID  154 // use double vector
#define 	 k3ShearStressYResID  155
#define 	k3ShearStressZResID  156
// doubleVector
#define 	k3StrainStressResID  151
#define 	k3ShearStressResID  152
#define   k3CellEdgesResID  153

// long resources	
#define 	k3numItersResID		128
#define 	k3numPartsResID		129
#define 	k3constrainedInXResID	130
#define 	k3constrainedInYResID	131
#define 	k3constrainedInZResID		132	
#define 	k3potentialTypeResID		133	
#define 	k3methodTypeResID			134
#define 	k3screeningTypeResID		135	
#define 	k3MeamElementResID			137
#define 	k3typesOfAtomsResID   138
#define 	k3howManyGroupsResID  139
#define   k3uniqueParticleCounterResID 140	
	
// mac atoms defs	
#define 	kMAatomdefs 1 
#define 	kMAatoms 2
#define 	kMAmove 3 
#define 	kMAscale 4
#define 	kMAtransform 5
#define 	kMAignore 6
#define 	kMAend 7



#endif