
#ifndef __kSanMethodPlugIn__
#define __kSanMethodPlugIn__
#include "kSanPlugIn.h"

#define kMethodDataRezType 'mthD'

#define mpiData(obj) ((kSanMethodPlugIn *)kozoObjectGetPrivateData(obj, ClassMethodPlugIn))

short MethodPlugInConstructor (KozoDispatchStack *ds, constructorMethodArgs *cma);
short  MethodPlugInDestructor (KozoDispatchStack *ds, destructorMethodArgs* dma);
short MethodPlugInGetData (KozoDispatchStack *ds, getMethodArgs *gma);
short MethodPlugInSetData (KozoDispatchStack *ds, setMethodArgs *sma);
short MethodPlugInDoMessage (KozoDispatchStack *ds, doMessageMethodArgs *dmma);

short defaultIteration (  kSanMethodPlugIn *mpi, kSanSimulation *sim) ;
short defaultCooling (  kSanMethodPlugIn *mpi, kSanSimulation *sim, double *netTime, double *totKinEnergy);
void	storeOldPotentials(particle *basePart, long numParts);

#endif