#include "OHAEDescUtils.h"
 #define nilPointer 0L

short resolveSingleObjSpec(AEDesc *objSpec, long *theObj)
{
	short err = noErr;
	AEDesc token = {typeNull, nilPointer};
	
	if (objSpec->descriptorType != typeObjectSpecifier) err = errAEHandlerNotFound;
	if (!err)  err = AEResolve(objSpec, kAEIDoMinimum, &token);
	if (!err) 
	{
		if (token.descriptorType == cProperty)  err = errAEHandlerNotFound;
		else *theObj = (*(long *) (*token.dataHandle));
	}	
	AEDisposeDesc (&token);
	return (err);
}

short  extractSTR (Handle nameHandle, Str255 theName)
{
	char * p;
	short err = noErr;
	long size;
	p = (char *)theName;
	size = GetHandleSize(nameHandle);
	if  (size > 255)
	{
		 err = -1;
		 size = 255;
	}
	BlockMove((*nameHandle), p, size);
	return err;
}

