#include "kSanAGWindow.h"
#include "MacOSUtils.h"

short magnifyButtonProc (AGWindow *ag)
{
	float newMag;
	newMag =  ag->windowView.magnification * 1.3;
	if  (keyIsPressed(kShiftKeyCode)) newMag *= 3;

	kozoSetDataPtr(ag->win->obj,  pMagnification,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	dispatchNilMessage (ag->win->obj, kInvalGraphicsMessage);
	return (noErr);
}

short unmagnifyButtonProc(AGWindow *ag)
{
	float newMag;
	newMag =  ag->windowView.magnification * 0.8;
	if  (keyIsPressed(kShiftKeyCode)) newMag *= 0.33;

	kozoSetDataPtr(ag->win->obj,  pMagnification,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	dispatchNilMessage (ag->win->obj, kInvalGraphicsMessage);
	return (noErr);
}

short closerButtonProc(AGWindow *ag)
{
	float newMag;
	newMag =  ag->windowView.perspective * 0.8;
	if  (keyIsPressed(kShiftKeyCode)) newMag *= 0.33;

	kozoSetDataPtr(ag->win->obj,  pPerspective,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	dispatchNilMessage (ag->win->obj, kInvalGraphicsMessage);
	return (noErr);
}

short furtherButtonProc(AGWindow *ag)
{
	float newMag;
	newMag =  ag->windowView.perspective * 1.3;
	if  (keyIsPressed(kShiftKeyCode)) newMag *= 3;

	kozoSetDataPtr(ag->win->obj,  pPerspective,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	dispatchNilMessage (ag->win->obj, kInvalGraphicsMessage);
	return (noErr);
}

short largerButtonProc(AGWindow *ag)
{
	float newMag;
	newMag =  ag->windowView.particleSizeFactor * 1.1;
	if  (keyIsPressed(kShiftKeyCode)) newMag *= 2;

	kozoSetDataPtr(ag->win->obj,  pParticleSizeFactor,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	dispatchNilMessage (ag->win->obj, kInvalGraphicsMessage);
	return (noErr);
}

short smallerButtonProc(AGWindow *ag)
{
	float newMag;
	newMag =  ag->windowView.particleSizeFactor * 0.9;
	if  (keyIsPressed(kShiftKeyCode)) newMag *= 0.5;

	kozoSetDataPtr(ag->win->obj,  pParticleSizeFactor,  typeShortFloat, (Ptr) &newMag,  sizeof(float));
	dispatchNilMessage (ag->win->obj, kInvalGraphicsMessage);
	return (noErr);
}

short rollCellButtonProc(AGWindow *ag)
{
	 AGSetMouseMode( ag, kMouseManipulationMode);
	return (noErr);
}
short selectFingerButtonProc(AGWindow *ag)
{
	 AGSetMouseMode( ag, kSelectAndHighlightMode);
	return (noErr);
}
