#include <Sound.h>
#include "OHApplicationPublic.h"
#include "kSanDialog.h"
#include "kSanGroup.h"
#define kSanAboutPictItem 1
#define iBaseColourItem 9
 


void  	drawSample(DialogPtr dialog, double aRadius,
			RGBColor *aColour,  Rect * pictRect)
{
#pragma unused(dialog)
	short intRadius;
	RgnHandle oldClip;
	Rect circle;
	Point center;
	oldClip = NewRgn();
	GetClip (oldClip);
	ClipRect ( pictRect);
	
	if (aRadius == 0) intRadius = 15;
	else intRadius = 10 * aRadius;
	setColour(myWhiteColour); // erase
	FillRect(pictRect, &qd.black);

	RGBForeColor(aColour);
	centerOfRect(pictRect, &center);
	circle.right = center.h + intRadius;
	circle.left = center.h - intRadius;
	circle.top = center.v - intRadius;
	circle.bottom = center.v + intRadius;
	FillOval(&circle, &qd.black);
	setColour(myBlackColour);
	FrameOval(&circle);
	SetClip (oldClip);
	DisposeRgn (oldClip);	
}


/************  DoAboutBox   ****************/

short kSanAboutBox (void)
{
	OHBasicDialog dialog;
	
	Handle pictHandle;
	
	setupAppDialog	(&dialog, 139);	
	if ( ! dialog.done )	
	{
		GetDialogItem (dialog.dp,kSanAboutPictItem,&dialog.itemType,&pictHandle,&dialog.itemRect);
		DrawPicture ((PicHandle)pictHandle,&dialog.itemRect);				
	}
	while ( ! Button())
	{
	}
	OHBreakdownDialog	(&dialog);
	return (noErr);
}

short	OpenAnywayDialog(void) 
{
	OHBasicDialog dialog;
	
	setupAppDialog	(&dialog, kOpenAnywayDialogResID);
	while ( ! dialog.done )
	{
		ModalDialog( nilPointer,&dialog.itemHit);
		switch (dialog.itemHit)
		{
			case ok:
			case cancel:
				dialog.done = true;
				break;		
		}
	}
	OHBreakdownDialog(&dialog);
	return (dialog.itemHit);
}


