/******************************************************************************

StampAH.h

This file is furnished to you by Adobe Systems Incorporated 
under the terms of the Acrobat(r) Plug-ins Software 
Development Kit License Agreement.

Copyright (C) 1994-1997, Adobe Systems Inc.  All Rights Reserved.


Interface to Stamper annotation-related routines.

******************************************************************************/

#ifndef _H_StampAH
#define _H_StampAH

#include "AVExpT.h"

/* SetUpStamperAnnotHandler
** Creates and registers the Stamper annotation handler.
*/
void SetUpStamperAnnotHandler(void);

/* CreateAppleScriptAnnotationAt
** Creates an AppleScript annotation in the given page view at the given
** coordinates.
*/
ASBool CreateAppleScriptAnnotationAt(AVPageView pageView, Int16 x, Int16 y);

#endif /* !_H_StampAH */
