#pragma once

typedef STACK_UPP_TYPE (InitGrafProcPtr) 	InitGrafUPP;
typedef STACK_UPP_TYPE (ShowHideProcPtr)	ShowHideUPP;

enum { 
	initGraf_ProcInfo = kPascalStackBased
		| STACK_ROUTINE_PARAMETER (1, SIZE_CODE (sizeof (void*))),
		
	showHide_ProcInfo	=	kPascalStackBased
		| STACK_ROUTINE_PARAMETER (1, SIZE_CODE(sizeof(WindowRef)))
		| STACK_ROUTINE_PARAMETER (2, SIZE_CODE(sizeof(Boolean)))
};

#define NewInitGrafProc(userRoutine) 	\
	(InitGrafUPP) NewRoutineDescriptor ((ProcPtr)(userRoutine), initGraf_ProcInfo, GetCurrentArchitecture())
	
#define NewShowHideProc(userRoutine) \
	(ShowHideUPP) NewRoutineDescriptor ((ProcPtr)(userRoutine), showHide_ProcInfo, GetCurrentArchitecture())
	
#define CallInitGrafProc(userRoutine, globals) 	\
	CALL_ONE_PARAMETER_UPP((userRoutine), initGraf_ProcInfo, (globals))

#define	CallShowHideProc(userRoutine, window, hilite) \
	CALL_TWO_PARAMETER_UPP((userRoutine), showHide_ProcInfo, (window), (hilite))

enum
{
	kMicrosoftWindowDefinition	=	5
};

enum
{
	kMSAppListRsrcType	=	'MSAP'
};

