// DriverInstall.h

#pragma once

#include "Globals.h"

#ifdef __cplusplus
extern "C" {
#endif

#pragma options align=mac68k

typedef struct {
	long		volumeSize;	// in 512 byte blks
	//Boolean		inRAM;
	//ScriptCode	theScript;
} DriveCreationDesc;

OSErr InstallDriver ();
OSErr DeinstallDriver (Boolean deleteFiles);
OSErr InstallADrive (Boolean createNew, FSSpec *spec, DriveCreationDesc *creationParms, short &drvNum);
void MountAllDrives (void);
void RemoveADrive (short &drvNum);
DriveGlobalsPtr GetDriveGlobalsPtr (short drvNum);

typedef struct {
	Boolean	createNew;
	FSSpec	*spec;
	DriveCreationDesc	*creationParms;
	short	drvNum;
} InstallADrivePar;

#pragma options align=reset

#ifdef __cplusplus
}
#endif

// EOF
