/*
 * ISO Dir Locator Stub.cp
 *
 * Dummy replacement module for 'ISO Dir Locator.cp'
 */

#include "ISO Dir Locator.h"

/*
 * exported vars
 */
Boolean LocBufOverflow = false;



Boolean LocateBlkNumByName (short volID, long dirID, StringPtr nameToFind, DirLocRec &loc)
// The passed "nameToFind" must already be filtered with FilterMacName
{
	#pragma unused (volID, dirID, nameToFind, loc)
	
	InitDirLocRec (loc);
	return false;
}

Boolean LocateBlkNumByIndex (short volID, long dirID, long index, DirLocRec &loc)
{
	#pragma unused (volID, dirID, index, loc)

	InitDirLocRec (loc);
	return false;
}

Boolean DirLocGetNoOfDirRecs (short volID, long dirID, long& count)
{
	#pragma unused (volID, dirID, count)

	count = 0;
	return false;
}

void InitDirLocRec (DirLocRec &loc)
{
	loc.dirStartBlk = 0;
	loc.helper = nil;
	loc.prevBlk = 0;
}

void UpdateDirLocationBuffer (short volID, long dirID, Byte *dirSector, long entriesInBlk, DirLocRec& loc)
{
	#pragma unused (volID, dirID, dirSector, entriesInBlk, loc)

	// do nothing
}

void ClearLocBuffer (short volID)
// if volID==0, then reset all, otherwise clear only that volume's records
{
	#pragma unused (volID)

	// do nothing
}

void InitLocBuffer (Ptr start, long size)
{
	#pragma unused (start, size)

	// do nothing
}

// EOF
