/*
 * FSM Client Defs.h
 *
 * global settings & structures for the File System
 */

#pragma once

#include <MacHeaders.h>


#if powerc || __A5__
	// it's an app
	#define LOGGING 1
#else
	// it's a CODE rsrc
	#define GENERATE_INIT 1
	#ifndef LOGGING
		#define LOGGING 0
	#endif
#endif


#include "Logging.h"

enum {
	kFSID		= 'FS',	// (ID must be between $0100 and $7FFF!)
	kCreator	= 0x06130000 | kFSID
};

#define		kFSName "\pTT's and FDj's Sample FS"

#ifndef		SystemSixOrLater
#define		SystemSixOrLater
#endif

// EOF
