# Premake.mk
#
# Notes:

MANIFESTDIRNAME *= Manifest
RULESDIRNAME *= "(Rules)"
RULESDIR *= "$(PROJLABDIR)$(RULESDIRNAME):"
SRCMK *= "$(RULESDIR)Sources.mk"
IMPMK *= "$(RULESDIR)Imports.mk"
SRCLIST *= ":Manifest:Source.list"
IMPSCF *= ":Manifest:Imports.scf"

# The default target.
default : test premake

# Used for debugging makefiles.
test :;
#	echo ALLDEPS = '$(ALLDEPS)'

rulesdir : $(RULESDIR)

":%:" : "$(@:d:d)"  # This should work perfectly, but it doesn't.  dmake sucks.
#	Echo $$* = $*
#	Echo $$@ = $@
#	Echo $$(@:d:d) = $(@:d:d)
	Echo "Creating the $* directory."
	Echo "> $*"
	NewFolder '$@'

premake : rulesdir "$(SRCMK)" "$(IMPMK)"

"$(SRCMK)" : $(SRCLIST)
	MakeSource

"$(IMPMK)" : $(IMPSCF)
	MakeImports

.PHONY : test premake rulesdir
