/*	===============
 *	AEAModelName.hh
 *	===============
 */

#pragma once

#include "AEAModelProperty.hh"

class AEAModelName : public AEAModelProperty {
public:
	AEAModelName(const AEAModel &inContainer, const char *inStr); // C string
	AEAModelName(const AEAModel &inContainer, const unsigned char *inStr); // Pascal string
	virtual ~AEAModelName();
	
	virtual void MakeDescriptor(AEDesc &outAEDesc) const;
	
protected:
	Size mSize;
	char *mData;
};
