/*	===============
 *	AEAModelRoot.cc
 *	===============
 */

#include "AEADebugging.h"

#include <AEBuild.h>

#include "AEAModelRoot.hh"
#include "AEATokenModel.hh"
#include "AEADesc.hh"

void
AEAModelRoot::GetKeyData(DescType inKeyForm, AEDesc &outAEDesc) const
{
	outAEDesc.descriptorType = typeNull;
	outAEDesc.dataHandle = NULL;
}

void
AEAModelRoot::MakeToken(AEATokenModel *&outToken)
{
	outToken = new AEATokenModel(this);
}

void
AEAModelRoot::GetContainerObjSpec(AEDesc &outAEDesc) const
{
	outAEDesc.descriptorType = typeNull;
	outAEDesc.dataHandle = NULL;
}

void
AEAModelRoot::MakeObjSpecifier(AEDesc &outAEDesc) const
{
	outAEDesc.descriptorType = typeNull;
	outAEDesc.dataHandle = NULL;
}
