/* pathnames.hh */

#ifndef PATHNAMES_HH
#define PATHNAMES_HH

class SiesString;

typedef struct FSDirSpec {
	short reserved;
	short vRefNum;
	long dirID;
} FSDirSpec;

OSErr MangleMacFilename(const unsigned char *inName, unsigned char *outName);
OSErr UnmangleMacFilename(const unsigned char *inName, unsigned char *outName);

OSErr UnixPathname2DirAndName(const FSDirSpec &inCWD, const char *inPathname, FSDirSpec &outDir, SiesString &outFilename);
OSErr UnixRelativePathname2DirAndName(const FSDirSpec &inCWD, const char *inPathname, FSDirSpec &outDir, SiesString &outFilename);
OSErr DirAndName2UnixAbsolutePathname(const FSDirSpec *inDir, const char *inFilename, Handle ioPathname);

#endif
