/*	==============
 *	PedAgentDoc.hh
 *	==============
 *
 *	Implemented by PedAgentDoc.cc
 */

#pragma once

#include "PedAgent.hh"

class PedWindow;
class PedDocument;

class PedAgentDoc : public PedAgent {
public:
	PedAgentDoc(PedTask *inParent);
	virtual ~PedAgentDoc();
	
	virtual PedDocument *Document() = 0;
	
	virtual void InitWindow();
	
	virtual bool OpenWindow();
	virtual bool CloseWindow();
	
protected:
};
