/*	==================
 *	PedChoreGeneric.hh
 *	==================
 */

#ifndef PEDCHOREGENERIC_HH
#define PEDCHOREGENERIC_HH

#include "PedChore.hh"

typedef void (*GenericChoreFunc)(void *param);

class PedChoreGeneric : public PedChore {
public:
	PedChoreGeneric(GenericChoreFunc inFunc, void *inParam);
	virtual void Perform();
	
protected:
	GenericChoreFunc mFunc;
	void *mParam;
};

#endif
