/*	=====================
 *	PedDispenserString.hh
 *	=====================
 *	
 *	Implemented by PedDispenserString.cc
 */

#pragma once

#include "PedObject.hh"

class SiesString;
class PedStreamInputBuffered;

class PedDispenserString : public PedObject {
public:
	PedDispenserString(PedStreamInputBuffered &inStream);
	virtual ~PedDispenserString();
	
	virtual bool GetString(SiesString &outString);
	
protected:
	PedStreamInputBuffered &mStream;
	
};
