/*	===============
 *	PedMenuBar.hh
 *	===============
 */

#pragma once

#include "PedMenu.hh"
#include "PedMenuApple.hh"
#include "PedMenuFile.hh"
#include "PedMenuEdit.hh"

class PedApplication;

typedef short ResID;

class PedMenuBar {
public:
	PedMenuBar();
	virtual ~PedMenuBar();
	
	virtual PedMenu &AppleMenu() {return mAppleMenu;}
	virtual PedMenu &FileMenu() {return mFileMenu;}
	virtual PedMenu &EditMenu() {return mEditMenu;}
	//virtual MenuHandle MacMenuFromID(short inMenuID);
	//virtual PedMenu *MenuFromID(short inMenuID);
	//virtual void AttachItemToCommand();
	
	virtual void ProcessMenuItem(long inMenuItem);
	
protected:
	PedMenuApple mAppleMenu;
	PedMenuFile mFileMenu;
	PedMenuEdit mEditMenu;
};
