/* XObject.hh */

#pragma once

// We can't include this because it's a subclass, and it's including us.
class XAutoReleasePool;

class XObject {
public:
	XObject();
	virtual ~XObject() {}
	virtual XObject *retain();
	virtual XObject *release();
	virtual XObject *autorelease();
	static XAutoReleasePool &AutoReleasePool();
	static void SetAutoReleasePool(XAutoReleasePool *inPool);
protected:
	static XAutoReleasePool sDefaultPool, *sAutoReleasePool;
protected:
	long retainCount;
	bool autoReleaseFlag;
};
