/*	==================
 *	PedCommandClear.cc
 *	==================
 */

#include "PedestalDebugging.h"

#include <Windows.h>

#include "PedCommandClear.hh"
#include "PedWindow.hh"
#include "PedPane.hh"

void
PedCommandClear::Execute()
{
	WindowPtr w = ::FrontWindow();
	if (w != NULL)
		if (((WindowPeek)w)->windowKind == kPedestalWindowKind) {
			PedWindow *window = (PedWindow *)((WindowPeek)w)->refCon;
			ThrowIfNULL_(window);
			PedPane *pane = window->Pane();
			if (pane != NULL) {
				pane->Clear();
			} else
				DebugBeep();
		} else
			DebugBeep();
	else
		DebugBeep();
}
