/*	=============
 *	PedMenuBar.cc
 *	=============
 */

#include "PedestalDebugging.h"

#include <ToolUtils.h>

#include "PedMenuBar.hh"
#include "PedMenu.hh"
#include "PedApplication.hh"


PedMenuBar::PedMenuBar()
{
	mAppleMenu.AddToMenuBar();
	mFileMenu.AddToMenuBar();
	mEditMenu.AddToMenuBar();
	
	::InvalMenuBar();
}

PedMenuBar::~PedMenuBar()
{
}


void
PedMenuBar::ProcessMenuItem(long inMenuItem)
{
	short menuID, item;
	
	menuID = HiWord(inMenuItem);
	item = LoWord(inMenuItem);
	
	switch (menuID) {
		case 1:
			mAppleMenu.DoMenuItem(item);
			break;
		case 2:
			mFileMenu.DoMenuItem(item);
			break;
		case 3:
			mEditMenu.DoMenuItem(item);
			break;
		default:
			break;
	}
	
	::HiliteMenu(0);
}
