/*	===============
 *	PedPaneImage.cc
 *	===============
 */

#include "PedestalDebugging.h"

#include "PedPaneImage.hh"

#include "PedView.hh"

PedPaneImage::PedPaneImage(PedView &inSuperView)
: PedPane(inSuperView)
{
}

PedPaneImage::~PedPaneImage()
{
}

void
PedPaneImage::Draw()
{
	Rect rect;
	Point offset;
	rect = mBounds;
	mSuperView.GetWindowToLocalOffset(offset);
	::OffsetRect(&rect, offset.h, offset.v);
	::EraseRect(&rect);
}

void
PedPaneImage::Resize(short inWidth, short inHeight)
{
	PedPane::Resize(inWidth, inHeight);
	mSuperView.Refresh();
}
