/*	==============
 *	PedDocument.cc
 *	==============
 */

#include <Menus.h>

#include "DGDebugging.h"

#include "PedWindow.hh"
#include "PedChoreGeneric.hh"

#include "Ped1AppProcess.hh"
#include "PedApplication.hh"

#include "PedDocument.hh"
#include "PedFSRef.hh"

PedDocument::PedDocument()
: PedTask(NULL), mFile(NULL), mDirty(false)
{
}

PedDocument::~PedDocument()
{
	//if (mWindow) mWindow->release();
	//if (mPane) mPane->release();
	//if (mPort) mPort->release();
	if (mFile) mFile->release();
}

PedFSRef *
PedDocument::File()
{
	return mFile;
}

void
PedDocument::SetFile(PedFSRef &inFSRef)
{
	if (mFile) mFile->release();
	mFile = &inFSRef;
	inFSRef.retain();
}

bool
PedDocument::CloseWindow()
{
	if (mDirty) {
#if 0
		short response = QuerySaveChanges();
		if (response == qCancel) {
			return false;
		} else if (response == qSave) {
			Save();
		}
#endif
		DebugBeep();
	}
	return true;
}

void
PedDocument::Load()
{
	if (!mFile) return;
	//PedDataSourceFile *source = new PedDataSourceFile(*mFile);
	//source->autorelease();
	//PedStreamInputBuffered *stream = new PedStreamInputBuffered(*source);
	//stream->autorelease();
}

void
PedDocument::Store()
{

}
