/*	==============
 *	V3DAgentDoc.hh
 *	==============
 *
 *	Implemented by V3DAgentDoc.cc
 */

#pragma once

#include "PedAgentDoc.hh"

class PedWindow;
class V3DDocModel;

class V3DAgentDoc : public PedAgentDoc {
public:
	V3DAgentDoc(PedTask *inParent, V3DDocModel *inDocument);
	virtual ~V3DAgentDoc();
	
	virtual PedDocument *Document();
	
	virtual void InitWindow();
	
	// Event processing
	virtual void ProcessKey(EventRecord &inEvent);
	virtual void ProcessKey(char inChar, short inCode);
	
protected:
	V3DDocModel *mDocument;
};
