/*	==============
 *	V3DDocModel.hh
 *	==============
 *	
 *	Implemented by V3DDocModel.cc
 */

#pragma once

#include "PedDocument.hh"

class PedWindow;
class PedChore;
class C3DModel;
class V3DPanePort;

class V3DDocModel : public PedDocument {
public:
	V3DDocModel();
	virtual ~V3DDocModel();
	
	virtual C3DModel *Model();
	
	virtual void Load();
	virtual void Store();
	
protected:
	C3DModel *mModel;
	V3DPanePort *mPane;
	//C3DPort *mPort;
	PedChore *mAnimateChore;
};
