/*	==============
 *	V3DDemoMain.cc
 *	==============
 */

#include "Ped1ObjectDeity.hh"
#include "Ped1AppProcess.hh"
#include "PedApplication.hh"
#include "V3DDocModel.hh"
#include "V3DAgentDoc.hh"
#include "V3DHandlerOpenDoc.hh"


class V3DClassAgent : public PedClassAgent {
public:
	V3DClassAgent(PedTask *inPrimaryTask) : PedClassAgent(inPrimaryTask) {}
	virtual PedAgent *MakeAgent();
};

PedAgent *
V3DClassAgent::MakeAgent()
{
	//PedAgent *agent = new PedAgent(mPrimaryTask);
	V3DDocModel *doc = new V3DDocModel();
	PedAgent *agent = new V3DAgentDoc(mPrimaryTask, doc);
	doc->release();
	agent->autorelease();
	
	return agent;
}

/*
PedObject *MakeAgent();
PedObject *MakeAgent()
{
	V3DDocModel *agent = new V3DDocModel();
	agent->autorelease();
	return agent;
}
*/

int main(void)
{
	Ped1AppProcess aProcess;
	
	aProcess.Init();
	
	//gOD->RegisterFabricator('Agnt', &MakeAgent);
	
	PedApplication app;
	
	V3DClassAgent agentClass(&app);
	
	gOD->RegisterAgentClass(&agentClass);
	
	new V3DHandlerOpenDoc(app);
	
	aProcess.Call(app);
	
	return 0;
}
