#include <iostream>
#include <fstream>
using namespace std;

#include <StandardFile.h>
#include <TextUtils.h>

char makeHackerSpeak(char);

int main(void) {

	ifstream iStream( "test.txt" );
	ofstream oStream( "hacked.txt" );

	char theText[ 500 ];

	char g;

	while ( iStream.get(g) )
	{
		int charsInThisLine = 0;
		
		
		charsInThisLine++;
		
		oStream << makeHackerSpeak( g );

		if ( (charsInThisLine % 20) == 0 )
		{
			oStream << '\n';
		}
		
		if ( g == '\n' )
		{
			charsInThisLine = 0;
		}
	}

	//iStream >> c;

	/* Get the string */
	cout << "Say something (up to 499 characters): ";
	cin.getline(theText,499);

	/* Find out how long it is */
	int lookingAtThis = 0;
	int inputLength; // The input string length (minus the \0)
	while (true) {
		if (theText[lookingAtThis] == '\0') {
			inputLength = lookingAtThis - 1;
			break;
		} else {
			lookingAtThis++;
		}
	}

	/* Convert the String */
	for (int i = 0;i <= inputLength;i++)
		theText[i] = makeHackerSpeak(theText[i]);
		
	cout << "\n\nThe hackerSpeak version of your text is: " << theText;

}

char makeHackerSpeak(char theText) {
	
	char returnValue;
	
	switch ( theText ) {
		case 'a':
		case 'A':
			returnValue = '4';
			break;
		case 'c':
		case 'C':
			returnValue = 'k';
			break;
		case 'e':
		case 'E':
			returnValue = '3';
			break;
		case 'i':
		case 'I':
			returnValue = '1';
			break;
		case 'k':
		case 'K':
			returnValue = 'C';
			break;
		case 'o':
		case 'O':
			returnValue = '0';
			break;
		case 's':
		case 'S':
			returnValue = 'z';
			break;
		case 't':
		case 'T':
			returnValue = '7';
			break;
		case 'z':
		case 'Z':
			returnValue = 'S';
			break;
		
		
		default:
			returnValue = theText;
	}
	
	return returnValue;
}
