#pragma once

#include <LSingleDoc.h>
#include <LListener.h>
#include <UStandardDialogs.h>

class MultiMonitorDoc : public LSingleDoc, public LListener
{

public:
							MultiMonitorDoc(
								LCommander*			inSuper);

	virtual					~MultiMonitorDoc();

	virtual Boolean			ObeyCommand(
								CommandT			inCommand,
								void*				ioParam = nil);
								
	virtual void			FindCommandStatus(
								CommandT			inCommand,
								Boolean&			outEnabled,
								Boolean&			outUsesMark,
								UInt16&				outMark,
								Str255				outName);					


	virtual void	ListenToMessage(
							MessageT		inMessage,
							void*			ioParam);

private:
							MultiMonitorDoc();
							MultiMonitorDoc(const MultiMonitorDoc& inOriginal);
		MultiMonitorDoc&	operator=(const MultiMonitorDoc& inRhs);
};

