// ===========================================================================
//	CBasicApp.h					1994-1999 Metrowerks Inc. All rights reserved.
// ===========================================================================

#ifndef _H_CBasicApp
#define _H_CBasicApp
#pragma once

#include <LApplication.h>
#include <LListener.h>

class CBasicApp : public LApplication,
							LListener {

public:
							CBasicApp();
	virtual					~CBasicApp();

	virtual Boolean			ObeyCommand(
								CommandT			inCommand,
								void*				ioParam = nil);	

	virtual void			FindCommandStatus(
								CommandT			inCommand,
								Boolean&			outEnabled,
								Boolean&			outUsesMark,
								UInt16&				outMark,
								Str255				outName);

	virtual void			ListenToMessage(
								MessageT		inMessage,
								void*			ioParam);

protected:
	virtual void			StartUp();
	
			void			RegisterClasses();
			
			void			Unload();
			void			Load();
			UInt32			GetFlags();
			
			LStdCheckBox	*m3133T;
			LStdCheckBox	*mHeaders;
			LStdCheckBox	*mKitties;
			LStdCheckBox	*mHamster;

			UInt32 			moduleLibrary;

			enum	{
				cmd_Set		= 'set ',
				cmd_Load	= 'load',
				cmd_Unload	= 'unlo',
				id_3133T	= '3133',
				id_Headers	= 'H1  ',
				id_Kitties	= 'kitt',
				id_Hamster	= 'hams',
				
				kAlert_NeedsAutoPush	= 129,
				kAlert_NeedsLoading		= 130
				};
};

#endif // _H_CBasicApp