/******************************************************************************
**
**  Project Name:	DropShell
**     File Name:	DSGlobals.h
**
**   Description:	Globals used by DropShell
**
*******************************************************************************
**                       A U T H O R   I D E N T I T Y
*******************************************************************************
**
**	Initials	Name
**	--------	-----------------------------------------------
**	LDR			Leonard Rosenthol
**	MTC			Marshall Clow
**	SCS			Stephan Somogyi
**
*******************************************************************************
**                      R E V I S I O N   H I S T O R Y
*******************************************************************************
**
**	  Date		Time	Author	Description
**	--------	-----	------	---------------------------------------------
**	08/20/96			MTC		Merged into Single file, converted to C++
**	02/20/94			LDR		Added commenting for Metrowerks
**	12/09/91			LDR		Added gSplashScreen
**	11/24/91			LDR		Added some new #defs & a #inc for DSUtils
**	10/29/91			SCS		Changes for THINK C 5
**	10/28/91			LDR		Officially renamed DropShell (from QuickShell)
**	10/06/91	00:02	MTC		Converted to MPW C
**	04/09/91	00:03	LDR		Added to Projector
**
******************************************************************************/

#ifndef	__DSGLOBALS_H__
#define	__DSGLOBALS_H__

#define	kAppleNum	128
#define	kFileNum	129
#define	kEditNum	130
#define kToolsNum	131
		
#define	kAlertID		200

#define	kErrStringID	100
#define	kCantRunErr		1
#define	kInitAErr		2
#define	kInitProgErr	3
#define	kAEVTErr		4
		
		
#endif
