#ifndef _H_MyApp
#define _H_MyApp
#pragma once

#include <LDocApplication.h>


class MyApp : public LDocApplication {

public:
							MyApp();
	virtual					~MyApp();

	virtual LModelObject*	MakeNewDocument();
	virtual	void			OpenDocument(
								FSSpec*			inMacFSSpec);
	virtual void			PrintDocument(
								FSSpec*			inmacFSSpec);
	virtual	void			ChooseDocument();

	virtual	Boolean			ObeyCommand(
								CommandT		inCommand,
								void*			ioParam = nil);
	
	virtual	void			FindCommandStatus(
								CommandT		inCommand,
								Boolean&		outEnabled,
								Boolean&		outUsesMark,
								UInt16&			outMark,
								Str255			outName);								

protected:
	virtual	void			StartUp();
	
			void			RegisterClasses();

};

#endif // _H_MyApp