#include <MacMemory.h>
#include <MixedMode.h>
#include <Patches.h>
#include <Traps.h>
#include <A4Stuff.h>

#include "SignatureToApp.h"

// Prototypes
pascal void main(void);
pascal void SimpleTrap(void);


pascal void
main(void)
{
	OSErr	err;
	THz		currZone;
	
	EnterCodeResource();
	
	DetachResource(GetResource('INIT', 0));
	
	currZone = GetZone();
	SetZone(SystemZone());
	
	if (GetToolTrapAddress(0xABCD) == GetToolTrapAddress(_Unimplemented))
		SetToolTrapAddress((UniversalProcPtr)SimpleTrap, 0xABCD);
	
	SetZone(currZone);
	
	ExitCodeResource();
}


pascal void
SimpleTrap(void)
{
	EnterCodeResource();
	
	SignatureToApp(FOUR_CHAR_CODE('ttxt'), NULL, NULL, NULL, 
		Sig2App_LaunchApplication, launchContinue);
	
	ExitCodeResource();
}


