// WindowFocus.h

#ifndef WindowFocus_h
#define WindowFocus_h

#ifndef ListOf_h
#include "ListOf.h"
#endif
#ifndef ApplicationFocus_h
#include "ApplicationFocus.h"
#endif

class SubWindowFocus;

class WindowFocus: public Focus
  {
	friend class SubWindowFocus;
	
	private:
		ListOf< SubWindowFocus > subFoci;
		
	public:
		WindowFocus()
		  : Focus( below, ApplicationFocus::The() )
		  {}
  };

#endif
