// PostponedEarBase.h

#ifndef PostponedEarBase_h
#define PostponedEarBase_h

#ifndef EarBase_h
#include "EarBase.h"
#endif
#ifndef Postponer_h
#include "Postponer.h"
#endif

class PostponedEarBase: public EarBase
  {
	private:
		Postponer scheduler;
	
	public:
		PostponedEarBase( Functor< void(*)() >& );
		PostponedEarBase( Functor< void(*)() >&, const Announcer& );
		~PostponedEarBase();
		
		virtual void HearAnnouncement();
		virtual void HearDestruction();
		
		void Flush()		{ scheduler.Flush(); }
  };

#endif
