// AEAtomicType.h

#ifndef AEAtomicType_h
#define AEAtomicType_h

#ifndef Integers_h
#include "Integers.h"
#endif

#include <AppleEvents.h>
#include <Processes.h>
#include <Files.h>

template< DescType aeType > struct AEAtomicType {};

template<> struct AEAtomicType<typeBoolean>			{ typedef bool			Type; };
template<> struct AEAtomicType<typeChar> 				{ typedef char			Type; };
template<> struct AEAtomicType<typeLongInteger>		{ typedef int32		Type; };
template<> struct AEAtomicType<typeShortInteger>	{ typedef int16		Type; };
template<> struct AEAtomicType<typeMagnitude>		{ typedef uint32		Type; };
template<> struct AEAtomicType<typeEnumerated>		{ typedef int32		Type; };
template<> struct AEAtomicType<typeType>				{ typedef DescType	Type; };
template<> struct AEAtomicType<typeFSS>				{ typedef FSSpec 		Type; };
template<> struct AEAtomicType<typeKeyword>			{ typedef AEKeyword	Type; };

template<> struct AEAtomicType<typeProcessSerialNumber>
														{ typedef ProcessSerialNumber	Type; };

#endif
