// AEParameter.h

#ifndef AEParameter_h
#define AEParameter_h

#ifndef ConstAEParameter_h
#include "ConstAEParameter.h"
#endif

class AEDescriptor;

class AEParameter: public ConstAEParameter
  {
	public:
		AEParameter( AEEvent& theEvent, AEKey theKey )
		  : ConstAEParameter( theEvent, theKey )
		  {}
		
		AEEvent& Event() const		{ return const_cast<AEEvent&>( ConstAEParameter::Event() ); }

		void Remove();
		
		void operator=( const AEDescriptor& );
		void Set( AEType, ConstData );
  };

#endif
