// CoreEventHandler.cp

#ifndef CoreEventHandler_h
#include "CoreEventHandler.h"
#endif

CoreEventHandler::CoreEventHandler()
  : oapp( kCoreEventClass, kAEOpenApplication,	*this, &CoreEventHandler::OpenApplication ),
	 odoc( kCoreEventClass, kAEOpenDocuments,		*this, &CoreEventHandler::OpenDocuments ),
	 pdoc( kCoreEventClass, kAEPrintDocuments,	*this, &CoreEventHandler::PrintDocuments ),
	 quit( kCoreEventClass, kAEQuitApplication,	*this, &CoreEventHandler::QuitApplication ),
	 rapp( kCoreEventClass, 'rapp',					*this, &CoreEventHandler::ReopenApplication )
  {
  }

void CoreEventHandler::ReopenApplication( const AEEvent& event, AEEvent& reply )
  {
	OpenApplication( event, reply );
  }
