// CoreEventHandler.h

#ifndef CoreEventHandler_h
#define CoreEventHandler_h

#ifndef AppleEventHandler_h
#include "AppleEventHandler.h"
#endif

class CoreEventHandler
  {
	private:
		AppleEventHandler<CoreEventHandler> oapp;
		AppleEventHandler<CoreEventHandler> rapp;
		AppleEventHandler<CoreEventHandler> odoc;
		AppleEventHandler<CoreEventHandler> pdoc;
		AppleEventHandler<CoreEventHandler> quit;
		
	public:
		CoreEventHandler();
		
		virtual void OpenApplication(   const AEEvent& event, AEEvent& reply ) = 0;
		virtual void ReopenApplication( const AEEvent& event, AEEvent& reply );
		virtual void OpenDocuments(     const AEEvent& event, AEEvent& reply ) = 0;
		virtual void PrintDocuments(    const AEEvent& event, AEEvent& reply ) = 0;
		virtual void QuitApplication(   const AEEvent& event, AEEvent& reply ) = 0;
  };

#endif
