// AppleEventRecorder.cp

#ifndef AppleEventRecorder_h
#include "AppleEventRecorder.h"
#endif
#ifndef AppleEventRecorderList_h
#include "AppleEventRecorderList.h"
#endif

AppleEventRecorder::AppleEventRecorder()
  : link( this )
  {
	AppleEventRecorderList::The().Add( *this );
  }

AppleEventRecorder::~AppleEventRecorder()
  {
	AppleEventRecorderList::The().RemoveWithoutFlushing( *this );
  }

void AppleEventRecorder::Flush()
  {
	AppleEventRecorderList::The().Flush();
  }

