// AppleEventRecorder.h

#ifndef AppleEventRecorder_h
#define AppleEventRecorder_h

#ifndef ListLink_h
#include "ListLink.h"
#endif

class AEEvent;

class AppleEventRecorder
  {
	friend class AppleEventRecorderList;
	
	private:
		ListLink< AppleEventRecorder > link;
	
	public:
		AppleEventRecorder();
		~AppleEventRecorder();
		
		void Flush();
		
		virtual void Record( const AEEvent& ) = 0;
  };

#endif
