// AEMember.h

#ifndef AEMember_h
#define AEMember_h

#ifndef ConstAEMember_h
#include "ConstAEMember.h"
#endif

class AEDescriptor;

class AEMember: public ConstAEMember
  {
	public:
		AEMember( AEStruct& theRecord, AEKey theKey )
		  : ConstAEMember( theRecord, theKey )
		  {}
		
		AEStruct& Record() const		{ return const_cast<AEStruct&>( ConstAEMember::Record() ); }

		void Remove();
		
		void operator=( const AEDescriptor& );
		void Set( AEType, ConstData );
  };

#endif
