// BackgroundApplication.cp

#ifndef BackgroundApplication_h
#include "BackgroundApplication.h"
#endif
#ifndef FontManagerUser_h
#include "FontManagerUser.h"
#endif
#ifndef ProcessInfo_h
#include "ProcessInfo.h"
#endif

BackgroundApplication::BackgroundApplication( uint32 masterPointers,
															 uint32 extraStackSpace )
  : ApplicationBase( masterPointers, extraStackSpace )
  {
	Assert( ProcessInfo::Application().OnlyBackground() );
	
	FontManagerUser();
  }

bool BackgroundApplication::CanCreate() const
  {
	return true;
  }

void BackgroundApplication::Create()
  {
  }
