// NullEventHandler.cp

#ifndef NullEventHandler_h
#include "NullEventHandler.h"
#endif
#ifndef Delayer_h
#include "Delayer.h"
#endif
#ifndef IdleTimer_h
#include "IdleTimer.h"
#endif

void NullEventHandler::HandleNullEvent( const NullEvent& )
  {
	Delayer::ScheduleTasks();
	
	try
	  {
		IdleTimer timer( 4 );
		Postponer::Execute();
	  }
	 catch ( const IdleTimerExpired& )
	  {
	  }
  }
