// HasBackgroundColor.h

#ifndef HasBackgroundColor_h
#define HasBackgroundColor_h

#ifndef NamedColors_h
#include "NamedColors.h"
#endif

class HasBackgroundColor
  {
	private:
		RGBColor background;
	
	protected:
		~HasBackgroundColor()					{}
		
		virtual void BackgroundColorChanged() = 0;
		
	public:
		HasBackgroundColor( RGBColor color = NamedColors::white )
		  : background( color )
		  {}
		
		const RGBColor& BackgroundColor() const		{ return background; }
		void SetBackgroundColor( const RGBColor& );
  };

#endif
