// HasFace.h

#ifndef HasFace_h
#define HasFace_h

#ifndef Face_h
#include "Face.h"
#endif

class HasFace
  {
	private:
		::Face face;
		
	protected:
		~HasFace()					{}

		virtual void FaceChanged() = 0;
		
	public:
		HasFace( Face theFace )
		  : face( theFace )
		  {}
		
		const ::Face& Face() const				{ return face; }
		void SetFace( const ::Face& );
		
		FontNumber Font() const					{ return face.Font(); }
		void SetFont( FontNumber );
		
		FontSize Size() const					{ return face.Size(); }
		void SetSize( FontSize );

		::Style Style() const					{ return face.Style(); }
		void SetStyle( ::Style );
  };

#endif
