// Broadcaster.cp

#ifndef Broadcaster_h
#include "Broadcaster.h"
#endif
#ifndef BroadcastLoop_h
#include "BroadcastLoop.h"
#endif

template < class Protocol >
void Broadcaster<Protocol>::Send( void (Protocol::*message)() )
  {
	for ( BroadcastLoop<Protocol> receiver( *this );
			receiver.Unfinished();
			receiver++ )
		((*receiver).*message)();
  }
