// SavingOption.h

#ifndef SavingOption_h
#define SavingOption_h

class SavingOption
  {
	public:
		enum Choice
		  {
			save,
			dontSave,
			ask
		  };
	
	private:
		Choice choice;
	
	public:
		SavingOption( Choice c )
		  : choice( c )
		  {}
		
		operator Choice() const		{ return choice; }
		Choice Value() const			{ return choice; }
		
		bool operator==( Choice c )	{ return choice == c; }
		bool operator!=( Choice c )	{ return choice != c; }
  };

#endif
