// Receiver.h

#ifndef Receiver_h
#define Receiver_h

#ifndef BroadcastLink_h
#include "BroadcastLink.h"
#endif

template < class Protocol >
class Receiver: public Protocol,
					 public BroadcastLink< Protocol >
  {
	typedef Broadcaster< Protocol > Source;
	
	protected:
		~Receiver()								{}
	
	public:
		Receiver()
		  : BroadcastLink< Protocol >( *this )
		  {}

		Receiver( const Source& source )
		  : BroadcastLink< Protocol >( *this, source )
		  {}
  };

#endif
