// ControlDefinition.h

#ifndef ControlDefinition_h
#define ControlDefinition_h

#ifndef Integers_h
#include "Integers.h"
#endif

class ControlDefinition
  {
	private:
		int16 number;
		
	public:
		explicit ControlDefinition( int16 number, uint16 variation = 0 )
		  : number( int16( number | variation ) )
		  {}
		
		int16 Number() const									{ return number; }
		
		bool operator==( ControlDefinition f ) const	{ return number == f.number; }
		bool operator!=( ControlDefinition f ) const	{ return number != f.number; }
  };

#endif
