// ControlNonThumb.cp

#ifndef ControlNonThumb_h
#include "ControlNonThumb.h"
#endif

ControlActionUPP ControlNonThumb::Action()
  {
	#if GENERATINGCFM
		static RoutineDescriptor TrackNonIndicator =
			BUILD_ROUTINE_DESCRIPTOR( uppControlActionProcInfo,
											  &ControlNonThumb::TrackNonIndicator );
	#endif
				
	return &TrackNonIndicator;
  }

pascal void ControlNonThumb::TrackNonIndicator( ControlHandle control,
																int16 partCode )
  {
	if ( partCode == 0 )
		return;
	
	Assert( beingTracked->view.Control() == control );
	Assert( beingTracked->code == partCode );

	beingTracked->Track();
  }
