// ControlThumb.cp

#ifndef ControlThumb_h
#include "ControlThumb.h"
#endif

ControlActionUPP ControlThumb::Action()
  {
	#if GENERATINGCFM
		static RoutineDescriptor TrackIndicator =
			BUILD_ROUTINE_DESCRIPTOR( kPascalStackBased,
											  &ControlThumb::TrackIndicator );
	#else
		ControlActionUPP TrackIndicator =
			static_cast<ControlActionUPP>( &ControlThumb::TrackIndicator );
	#endif
				
	return &TrackIndicator;
  }

pascal void ControlThumb::TrackIndicator()
  {
	beingTracked->Track();
  }
