// DefaultButton.h

#ifndef DefaultButton_h
#define DefaultButton_h

#ifndef CommandHandler_h
#include "CommandHandler.h"
#endif
#ifndef ReturnKeys_h
#include "ReturnKeys.h"
#endif
#ifndef PushButton_h
#include "PushButton.h"
#endif

class Announcer;

class DefaultButton: public PushButton,
							public CommandHandler<ReturnKeys>
  {		
	public:
		DefaultButton( Window&, Functor< void(*)() >&, ConstPString );
		DefaultButton( Window&, Functor< void(*)() >&, ResourceID cicn, ConstPString );
		DefaultButton( Window&, Functor< void(*)() >&, ConstPString, ResourceID cicn );
		
		virtual void ReturnKey( const KeystrokeEvent& );
  };

#endif
