// ColumnSeparator.h

#ifndef ColumnSeparator_h
#define ColumnSeparator_h

#ifndef Separator_h
#include "Separator.h"
#endif
#ifndef SuggestsPaneSize_h
#include "SuggestsPaneSize.h"
#endif

class ColumnSeparator: public Separator,
							  virtual public SuggestsPaneSize
  {
	public:
		ColumnSeparator( Window& window )
		  : Separator( window )
		  {}
		
		virtual int32 BestWidth( Range32 bounds ) const;
		
		virtual int32 MinimumHeight() const;
		virtual int32 MinimumWidth() const;
		
		virtual int32 MaximumHeight() const;
  };

#endif
