// RowSeparator.h

#ifndef RowSeparator_h
#define RowSeparator_h

#ifndef Separator_h
#include "Separator.h"
#endif
#ifndef SuggestsPaneSize_h
#include "SuggestsPaneSize.h"
#endif

class RowSeparator: public Separator,
						  virtual public SuggestsPaneSize
  {
	public:
		RowSeparator( Window& window )
		  : Separator( window )
		  {}
		
		virtual int32 BestHeight( Range32 bounds ) const;
		
		virtual int32 MinimumHeight() const;
		virtual int32 MinimumWidth() const;
		
		virtual int32 MaximumWidth() const;
  };

#endif
