// Separator.cp

#ifndef Separator_h
#include "Separator.h"
#endif
#ifndef __APPEARANCE__
#include <Appearance.h>
#endif
#ifndef Canvas_h
#include "Canvas.h"
#endif

Separator::Separator( Window& theWindow )
  : ControlView( theWindow,
  					  ControlDefinition( kControlSeparatorLineProc ),
  					  "\p",
  					  0, 0, 0 )
  {
  }

void Separator::Draw( const Canvas& canvas ) const
  {
	EraseRect( &canvas.OnScreen() );
	ControlView::Draw( canvas );
  }
