// NamedColors.cp

#ifndef NamedColors_h
#include "NamedColors.h"
#endif

const RGBColor NamedColors::white				= { 0xffff, 0xffff, 0xffff };
const RGBColor NamedColors::lightGray			= { 0xc000, 0xc000, 0xc000 };
const RGBColor NamedColors::gray					= { 0x8000, 0x8000, 0x8000 };
const RGBColor NamedColors::darkGray			= { 0x4000, 0x4000, 0x4000 };
const RGBColor NamedColors::black				= { 0x0000, 0x0000, 0x0000 };

const RGBColor NamedColors::red					= { 0xffff, 0x0000, 0x0000 };
const RGBColor NamedColors::green				= { 0x0000, 0xffff, 0x0000 };
const RGBColor NamedColors::blue					= { 0x0000, 0x0000, 0xffff };

const RGBColor NamedColors::cyan					= { 0x0000, 0xffff, 0xffff };
const RGBColor NamedColors::magenta				= { 0xffff, 0x0000, 0xffff };
const RGBColor NamedColors::yellow				= { 0xffff, 0xffff, 0x0000 };

const RGBColor NamedColors::lightRed			= { 0xffff, 0x8000, 0x8000 };
const RGBColor NamedColors::lightGreen			= { 0x8000, 0xffff, 0x8000 };
const RGBColor NamedColors::lightBlue			= { 0x8000, 0x8000, 0xffff };

const RGBColor NamedColors::darkCyan			= { 0x0000, 0x8000, 0x8000 };
const RGBColor NamedColors::darkMagenta		= { 0x8000, 0x0000, 0x8000 };
const RGBColor NamedColors::darkYellow			= { 0x8000, 0x8000, 0x0000 };

const RGBColor NamedColors::darkRed				= { 0x8000, 0x0000, 0x0000 };
const RGBColor NamedColors::darkGreen			= { 0x0000, 0x8000, 0x0000 };
const RGBColor NamedColors::darkBlue			= { 0x0000, 0x0000, 0x8000 };

const RGBColor NamedColors::lightCyan			= { 0x8000, 0xffff, 0xffff };
const RGBColor NamedColors::lightMagenta		= { 0xffff, 0x8000, 0xffff };
const RGBColor NamedColors::lightYellow		= { 0xffff, 0xffff, 0x8000 };

const RGBColor NamedColors::greenishCyan		= { 0x0000, 0xffff, 0x8000 };
const RGBColor NamedColors::blueishCyan		= { 0x0000, 0x8000, 0xffff };

const RGBColor NamedColors::reddishMagenta	= { 0xffff, 0x0000, 0x8000 };
const RGBColor NamedColors::blueishMagenta	= { 0x8000, 0x0000, 0xffff };

const RGBColor NamedColors::reddishYellow		= { 0xffff, 0x8000, 0x0000 };
const RGBColor NamedColors::greenishYellow	= { 0x8000, 0xffff, 0x0000 };


const RGBColor NamedColors::mediumRed					= { 0xc000, 0x4000, 0x4000 };
const RGBColor NamedColors::mediumGreen				= { 0x4000, 0xc000, 0x4000 };
const RGBColor NamedColors::mediumBlue					= { 0x4000, 0x4000, 0xc000 };

const RGBColor NamedColors::mediumCyan					= { 0x4000, 0xc000, 0xc000 };
const RGBColor NamedColors::mediumMagenta				= { 0xc000, 0x4000, 0xc000 };
const RGBColor NamedColors::mediumYellow				= { 0xc000, 0xc000, 0x4000 };

const RGBColor NamedColors::mediumLightRed			= { 0xc000, 0x8000, 0x8000 };
const RGBColor NamedColors::mediumLightGreen			= { 0x8000, 0xc000, 0x8000 };
const RGBColor NamedColors::mediumLightBlue			= { 0x8000, 0x8000, 0xc000 };

const RGBColor NamedColors::mediumDarkCyan			= { 0x4000, 0x8000, 0x8000 };
const RGBColor NamedColors::mediumDarkMagenta		= { 0x8000, 0x4000, 0x8000 };
const RGBColor NamedColors::mediumDarkYellow			= { 0x8000, 0x8000, 0x4000 };

const RGBColor NamedColors::mediumDarkRed				= { 0x8000, 0x4000, 0x4000 };
const RGBColor NamedColors::mediumDarkGreen			= { 0x4000, 0x8000, 0x4000 };
const RGBColor NamedColors::mediumDarkBlue			= { 0x4000, 0x4000, 0x8000 };

const RGBColor NamedColors::mediumLightCyan			= { 0x8000, 0xc000, 0xc000 };
const RGBColor NamedColors::mediumLightMagenta		= { 0xc000, 0x8000, 0xc000 };
const RGBColor NamedColors::mediumLightYellow		= { 0xc000, 0xc000, 0x8000 };

const RGBColor NamedColors::mediumGreenishCyan		= { 0x4000, 0xc000, 0x8000 };
const RGBColor NamedColors::mediumBlueishCyan		= { 0x4000, 0x8000, 0xc000 };

const RGBColor NamedColors::mediumReddishMagenta	= { 0xc000, 0x4000, 0x8000 };
const RGBColor NamedColors::mediumBlueishMagenta	= { 0x8000, 0x4000, 0xc000 };

const RGBColor NamedColors::mediumReddishYellow		= { 0xc000, 0x8000, 0x4000 };
const RGBColor NamedColors::mediumGreenishYellow	= { 0x8000, 0xc000, 0x4000 };

const RGBColor NamedColors::appleGray1		= { 61166, 61166, 61166 };
const RGBColor NamedColors::appleGray2		= { 56797, 56797, 56797 };
const RGBColor NamedColors::appleGray3		= { 52428, 52428, 52428 };
const RGBColor NamedColors::appleGray4		= { 48059, 48059, 48059 };
const RGBColor NamedColors::appleGray5		= { 43690, 43690, 43690 };
const RGBColor NamedColors::appleGray6		= { 39321, 39321, 39321 };
const RGBColor NamedColors::appleGray7		= { 34952, 34952, 34952 };
const RGBColor NamedColors::appleGray8		= { 30583, 30583, 30583 };
const RGBColor NamedColors::appleGray9		= { 26214, 26214, 26214 };
const RGBColor NamedColors::appleGray10	= { 21845, 21845, 21845 };
const RGBColor NamedColors::appleGray11	= { 17476, 17476, 17476 };
const RGBColor NamedColors::appleGray12	= { 13107, 13107, 13107 };
const RGBColor NamedColors::appleGrayA1	= { 8738, 8738, 8738 };
const RGBColor NamedColors::appleGrayA2	= { 4369, 4369, 4369 };
