// TextModeMaintainer.cp

#ifndef TextModeMaintainer_h
#include "TextModeMaintainer.h"
#endif
#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

TextModeMaintainer::TextModeMaintainer()
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().TextMode() )
  {
  }

TextModeMaintainer::TextModeMaintainer( SourceMode toUse )
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().TextMode() )
  {
	port.SetTextMode( toUse );
  }

void TextModeMaintainer::Reset() const
  {
	port.SetTextMode( old );
  }
