// ResumeEvent.cp

#ifndef ResumeEvent_h
#include "ResumeEvent.h"
#endif
#ifndef SplitIntegers_h
#include "SplitIntegers.h"
#endif
#ifndef Assert_h
#include "Assert.h"
#endif

ResumeEvent::ResumeEvent( const EventRecord& event )
  : Event( event ),
	 convertClipboard( (event.message & convertClipboardFlag) != 0 )
  {
	Assert( event.what == osEvt );
	Assert( Byte3( event.message ) == suspendResumeMessage );
	Assert( (event.message & resumeFlag) != 0 );
  }
