// MouseDownEvent.cp

#ifndef MouseDownEvent_h
#include "MouseDownEvent.h"
#endif
#ifndef WindowObject_h
#include "WindowObject.h"
#endif

MouseDownEvent::MouseDownEvent( const EventRecord& event )
  : MouseEvent( event ),
	 activating( (event.modifiers & activeFlag) != 0 )
  {
	Assert( event.what == mouseDown );
	
	if ( !activating && HasWindow() && !Window().IsFrontmost() )
		activating = true;
  }
