// MouseEvent.cp

#ifndef MouseEvent_h
#include "MouseEvent.h"
#endif
#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif
#ifndef WindowObject_h
#include "WindowObject.h"
#endif

MouseEvent::MouseEvent( const EventRecord& event )
  : UserEvent( event ),
	 global( event.where ),
	 part( event.where ),
	 local( event.where )
  {
	if ( part.HasWindow() )
		local += part.Window().Port().GlobalToLocal();
  }
