// UserEvent.h

#ifndef UserEvent_h
#define UserEvent_h

#ifndef Event_h
#include "Event.h"
#endif

class UserEvent: public Event
  {
	private:
		bool shift;
		bool control;
		bool option;
		bool command;
		bool capsLock;

		bool rightShift;
		bool rightControl;
		bool rightOption;
		
	public:
		UserEvent( const EventRecord& );
		
		bool Shift() const				{ return shift; }
		bool Control() const				{ return control; }
		bool Option() const				{ return option; }
		bool Command() const				{ return command; }
		bool CapsLock() const			{ return capsLock; }
		
		bool RightShift() const			{ return rightShift; }
		bool RightControl() const		{ return rightControl; }
		bool RightOption() const		{ return rightOption; }
  };

#endif
