// WindowEvent.h

#ifndef WindowEvent_h
#define WindowEvent_h

#ifndef Event_h
#include "Event.h"
#endif

class AbstractWindow;

class WindowEvent: public Event
  {
	private:
		AbstractWindow& window;

	public:
		WindowEvent( const EventRecord& event );

		AbstractWindow& Window() const		{ return window; }
  };

#endif
