// Quitter.h

#ifndef Quitter_h
#define Quitter_h

#ifndef Quitting_h
#include "Quitting.h"
#endif

class Quitter: public Quitting
  {
	private:
		bool quitting;
		SavingOption savingOption;
	
		Quitter();
		~Quitter()		{}
				
	public:
		static Quitter& The();
		
		virtual bool IsQuitting() const				{ return quitting; }

		virtual bool CanStartQuitting() const;
		virtual bool CanStopQuitting() const;
		
		virtual void StartQuitting( SavingOption save = SavingOption::ask );
		virtual void StopQuitting();
		
		virtual bool ApplicationCanExit() const;
  };

#endif
