// Drive.h

#ifndef Drive_h
#define Drive_h

#ifndef Volume_h
#include "Volume.h"
#endif

class Drive
  {
	private:
		int16 refNum;
	
		static void ThrowError( OSErr );

	public:
		explicit Drive( int16 value )
		  : refNum( value )
		  {}
	
		int16 RefNum() const							{ return refNum; }
		
		bool operator==( Drive f ) const			{ return refNum == f.refNum; }
		bool operator!=( Drive f ) const			{ return refNum != f.refNum; }

		Volume Mount();
  };

#endif
