// FolderInfoLoop.cp

#ifndef FolderInfoLoop_h
#include "FolderInfoLoop.h"
#endif

void FolderInfoLoop::AdvanceToNextMatch()
  {
	while ( Unfinished() && !(*this)->IsDirectory() )
		CatInfoLoop::operator++();
  }

FolderInfoLoop::FolderInfoLoop( Directory folder )
  : CatInfoLoop( folder )
  {
	AdvanceToNextMatch();
  }

void FolderInfoLoop::Start( Directory folder )
  {
	CatInfoLoop::Start( folder );
	AdvanceToNextMatch();
  }

void FolderInfoLoop::operator++()
  {
	CatInfoLoop::operator++();
	AdvanceToNextMatch();
  }
