// VolumeError.h

#ifndef VolumeError_h
#define VolumeError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class VolumeError: public OSError
  {
	public:
		VolumeError( OSErr error )
		  : OSError( error )
		  {}
  };

inline void ThrowVolumeError( OSErr e )
  {
	if ( e != noErr )
		throw VolumeError(e);
  }

#endif
