// VolumeLoop.cp

#ifndef VolumeLoop_h
#include "VolumeLoop.h"
#endif
#ifndef NoSuchVolume_h
#include "NoSuchVolume.h"
#endif

VolumeLoop::VolumeLoop()
  : index( 1 ),
	 unfinished( true )
  {
	GetInfo();
  }

void VolumeLoop::operator++()
  {
	Assert( unfinished );
	index++;
	GetInfo();
  }

void VolumeLoop::GetInfo()
  {
	Assert( unfinished );
	unfinished = info.TryToGet( index );
  }
