// FixedFaceMetrics.cp

#ifndef FixedFaceMetrics_h
#include "FixedFaceMetrics.h"
#endif
#ifndef TemporaryPort_h
#include "TemporaryPort.h"
#endif
#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

FixedFaceMetrics::FixedFaceMetrics( const Face& face )
  {
	TemporaryPort port;
	port.Port().SetFace( face );
	FontMetrics( this );
  }

const FixedFaceMetrics& FixedFaceMetrics::Current()
  {
	static FixedFaceMetrics metrics;
	FontMetrics( &metrics );
	return metrics;
  }
