// FixedFaceMetrics.h

#ifndef FixedFaceMetrics_h
#define FixedFaceMetrics_h

#include <Fonts.h>

class Face;

class FixedFaceMetrics: public FMetricRec
  {
	public:
		FixedFaceMetrics()							{}
		FixedFaceMetrics( const Face& );
		
		static const FixedFaceMetrics& Current();
		
		Fixed Ascent() const				{ return ascent; }
		Fixed Descent() const			{ return descent; }
		Fixed Leading() const			{ return leading; }
		Fixed UnleadedHeight() const	{ return ascent + descent; }
		Fixed LeadedHeight() const		{ return ascent + descent + leading; }
  };

#endif
