// IntegerFaceMetrics.cp

#ifndef IntegerFaceMetrics_h
#include "IntegerFaceMetrics.h"
#endif
#ifndef TemporaryPort_h
#include "TemporaryPort.h"
#endif
#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

IntegerFaceMetrics::IntegerFaceMetrics( const Face& face )
  {
	TemporaryPort port;
	port.Port().SetFace( face );
	GetFontInfo( this );
  }

const IntegerFaceMetrics& IntegerFaceMetrics::Current()
  {
	static IntegerFaceMetrics metrics;
	GetFontInfo( &metrics );
	return metrics;
  }
