// ScriptID.h

#ifndef ScriptID_h
#define ScriptID_h

#ifndef Integers_h
#include "Integers.h"
#endif

#include <Script.h>

class ScriptID
  {
	private:
		ScriptCode id;
			
	public:
		explicit ScriptID( ScriptCode value )
		  : id( value )
		  {}
	
		static ScriptID System();
		
		static ScriptID Roman()						{ return ScriptID( smRoman ); }
		
		ScriptCode ID() const						{ return id; }
		
		bool operator==( ScriptID s ) const		{ return id == s.id; }
		bool operator!=( ScriptID s ) const		{ return id != s.id; }
  };

#endif
