// RepeatingMethod.h

#ifndef RepeatingMethod_h
#define RepeatingMethod_h

#ifndef Method_h
#include "Method.h"
#endif
#ifndef Repeater_h
#include "Repeater.h"
#endif

template < class TargetType >
class RepeatingMethod: public Repeater
  {
	private:
		Method< void (TargetType::*)() > action;
	
	public:
		RepeatingMethod( TargetType &t,
							  void (TargetType::*m)(),
							  bool startEnabled = true )
		  : action( t, m ),
			 Repeater( action, startEnabled )
		  {}
  };

#endif
