// Integers.h

#ifndef Integers_h
#define Integers_h

#include <stddef.h>

typedef signed char int8;
const int8 minint8 = -0x7f-1;
const int8 maxint8 =  0x7f;

typedef unsigned char uint8;
const uint8 maxuint8 = 0xff;

typedef short int16;
const int16 minint16 = -0x7fff-1;
const int16 maxint16 =  0x7fff;

typedef unsigned short uint16;
const uint16 maxuint16 = 0xffff;

typedef long int32;
const int32 minint32 = -0x7fffffffL-1;
const int32 maxint32 =  0x7fffffffL;

typedef unsigned long uint32;
const uint32 maxuint32 = 0xffffffffuL;

typedef long long int64;
const int64 minint64 = -0x7fffffffffffffffLL - 1;
const int64 maxint64 =  0x7fffffffffffffffLL;

typedef unsigned long long uint64;
const uint64 maxuint64 = 0xffffffffffffffffuLL;

#endif
