// FixedMenuSection.h

#ifndef FixedMenuSection_h
#define FixedMenuSection_h

#ifndef MenuSection_h
#include "MenuSection.h"
#endif

class FixedMenuSection: public MenuSection
  {
	public:
		FixedMenuSection( Menu&, uint16 length );
	
		uint16 Length() const							{ return maxLength; }
		
		MenuItem operator[]( uint16 index );
		
		void EnableAll();
		void DisableAll();
  };

#endif
