// MenuSection.cp

#ifndef MenuSection_h
#include "MenuSection.h"
#endif

MenuSection::MenuSection( Menu& theMenu, uint16 length )
  : menu( theMenu ),
	 firstItem( theMenu.NextItem() ),
	 maxLength( length )
  {
	theMenu.AddFixedSection( *this, length );
  }

MenuSection::MenuSection( Menu& theMenu, Extensible )
  : menu( theMenu ),
	 firstItem( theMenu.NextItem() ),
	 maxLength( maxuint16 - theMenu.NextItem() )
  {
	theMenu.AddExtensibleSection( *this );
  }
