// MenuBarObject.cp

#ifndef MenuBarObject_h
#include "MenuBarObject.h"
#endif
#ifndef SplitIntegers_h
#include "SplitIntegers.h"
#endif

MenuResult MenuBarObject::Key( ::Key key )
  {
	MenuResult result = MenuKey( key.Character() );
	if ( !result.Null() )
		return result;
	
	KCHRCache *kchr = Key::GetKCHRCache();
	
	result = MenuKey( Byte0( key.WithModifiers( 0, kchr ) ) );
	if ( !result.Null() )
		return result;

	return MenuKey( Byte0( key.WithModifiers( shiftKey, kchr ) ) );
  }
