// A5.h

#ifndef A5_h
#define A5_h

#ifndef Registers_h
#include "Registers.h"
#endif

#if GENERATINGCFM

	class A5
	  {
		public:
			void Restore() const		{}
	  };

#else

	class A5
	  {
		private:
			void *const a5;
		
		public:
			A5()
			  : a5( RegisterA5() )
			  {}
			
			void Restore() const	{ SetRegisterA5( a5 ); }
			
			void *Address() const	{ return a5; }
	  };

#endif

#endif
