// Patch.cp

#ifndef Patch_h
#include "Patch.h"
#endif

PatchBase::PatchBase( TrapType theType,
							 int16 theTrapNumber,
							 int32 theProcInfo,
							 const RoutineDescriptor *patch )
  : old( NGetTrapAddress( theTrapNumber, theType ) ),
	 procInfo( theProcInfo ),
	 trapNumber( theTrapNumber ),
	 type( theType )
  {
	NSetTrapAddress( const_cast<RoutineDescriptor *>( patch ),
						  trapNumber,
						  type );
  }

PatchBase::~PatchBase()
  {
	NSetTrapAddress( old, trapNumber, type );
  }
