// Opener.cp

#ifndef Opener_h
#include "Opener.h"
#endif
#ifndef RedBlackLinkTree_h
#include "RedBlackLinkTree.h"
#endif
#ifndef OpenerList_h
#include "OpenerList.h"
#endif

Opener::Opener( FileType type )
  : link( type.Type(), this )
  {
	Assert( OpenerList::The().OpenerFor( type ) == 0 );
	OpenerList::The().tree.Add( link );
  }

Opener::~Opener()
  {
  }

bool Opener::CanOpen( const CatInfo& ) const
  {
	return true;
  }

bool Opener::CanPrint( const CatInfo& ) const
  {
	return true;
  }
