// Opener.h

#ifndef Opener_h
#define Opener_h

#ifndef RedBlackLink_h
#include "RedBlackLink.h"
#endif
#ifndef FileType_h
#include "FileType.h"
#endif

class CatInfo;

class Opener
  {
	private:
		RedBlackLink< uint32, Opener > link;
	
	public:
		Opener( FileType );
		~Opener();
		
		virtual bool CanOpen( const CatInfo& ) const;
		virtual bool CanPrint( const CatInfo& ) const;
		
		virtual void Open( const CatInfo& ) = 0;
		virtual void Print( const CatInfo& ) = 0;
  };

#endif
