// UnopenableFileType.h

#ifndef UnopenableFileType_h
#define UnopenableFileType_h

#ifndef FileLocation_h
#include "FileLocation.h"
#endif
#ifndef FileType_h
#include "FileType.h"
#endif

class UnopenableFileType
  {
	private:
		FileLocation file;
		FileType type;
	
	public:
		UnopenableFileType( const FileLocation& theFile,
								  const FileType& theType )
		  : file( theFile ),
			 type( theType )
		  {}
		
		const FileLocation& File() const		{ return file; }
		const FileType& Type() const			{ return type; }
  };

#endif
