// PrintCopyLoop.cp

#ifndef PrintCopyLoop_h
#include "PrintCopyLoop.h"
#endif
#ifndef PrintJob_h
#include "PrintJob.h"
#endif

PrintCopyLoop::PrintCopyLoop( PrintJob& theJob )
  : batch( theJob ),
	 number( 1 ),
	 stop( theJob.CopyCount() + 1 )
  {
	if ( Unfinished() )
		batch.Start();
  }

void PrintCopyLoop::operator++()
  {
	Assert( Unfinished() );
	
	batch.End();
	
	number++;
	
	if ( Unfinished() )
		batch.Start();
  }

