// PrintManager.h

#ifndef PrintManager_h
#define PrintManager_h

#ifndef HandleTo_h
#include "HandleTo.h"
#endif

#include <Printing.h>

class PrintManager
  {
	friend class PrintJobInfo;
	friend class PageSetupInfo;
	friend class PrintJob;
	
	private:
		HandleTo<TPrint> printHandle;
		static bool isOpen;
		
		// not implemented:
			PrintManager( const PrintManager& );
			void operator=( const PrintManager& );
		
	public:
		PrintManager();
		~PrintManager();
		
		static bool IsOpen()		{ return isOpen; }
  };

#endif
