// PrintPage.h

#ifndef PrintPage_h
#define PrintPage_h

#ifndef Integers_h
#include "Integers.h"
#endif

#include <Printing.h>

class PrintManager;

class PrintPage
  {
	private:
		TPrPort *port;
		
		static bool pageExists;
		
		// not implemented:
			PrintPage( const PrintPage& );
			void operator=( const PrintPage& );
	
	public:
		PrintPage();
		~PrintPage();
		
		void Start( TPrPort& );
		void End();
  };

#endif
