// ProcessError.h

#ifndef ProcessError_h
#define ProcessError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class ProcessError: public OSError
  {
	public:
		ProcessError()											{}
		ProcessError( OSErr e )			: OSError( e )	{}
		ProcessError( OSError& e )		: OSError( e )	{}
  };

inline void ThrowProcessError( OSErr e )
  {
	if ( e != noErr )
		throw ProcessError(e);
  }

#endif
