// Proxy.h

#ifndef Proxy_h
#define Proxy_h

#ifndef ConstProxy_h
#include "ConstProxy.h"
#endif

template < class StoodFor >
class Proxy: public ConstProxy< StoodFor >
  {
	protected:
		~Proxy()				{}
	
	public:
		virtual void Set( StoodFor ) = 0;

		void operator=( const StoodFor& s )			{ Set( s ); }
  };

#endif
