// ResourceID.h

#ifndef ResourceID_h
#define ResourceID_h

#ifndef Integers_h
#include "Integers.h"
#endif

class ResourceID
  {
	private:
		int16 id;
	
	public:
		explicit ResourceID( int16 theID )	:id( theID )	{}
		
		int16 Value() const								{ return id; }

		bool operator==( ResourceID r ) const		{ return id == r.id; }
		bool operator!=( ResourceID r ) const		{ return id != r.id; }
  };

#endif
