// TextEditCutter.h

#ifndef TextEditCutter_h
#define TextEditCutter_h

#ifndef Cutter_h
#include "Cutter.h"
#endif
#ifndef TextEditClipboard_h
#include "TextEditClipboard.h"
#endif

#include <TextEdit.h>
#include <Dialogs.h>

class TextEditCutter: public Cutter
  {
	public:
		TextEditCutter()
			: Cutter( TextEditClipboard::The() )
			{}

		void Cut( TEHandle te )				{ TECut( te ); Approve(); }
		void Copy( TEHandle te )			{ TECopy( te ); Approve(); }

		void Cut( DialogRecord& d )		{ DialogCut( &d.window.port ); Approve(); }
		void Copy( DialogRecord& d )		{ DialogCopy( &d.window.port ); Approve(); }
  };

#endif
