// LinkLoop.h

#ifndef LinkLoop_h
#define LinkLoop_h

#ifndef DowncastLoop_h
#include "DowncastLoop.h"
#endif

template < class Inherited,
			  class HeadType,
			  class HeadBase,
			  class NodeType,
			  class NodeBase,
			  class Content >
class LinkLoop: public DowncastLoop< Inherited,
												 HeadType,
												 HeadBase,
												 NodeType,
												 NodeBase >
  {
	private:
		typedef DowncastLoop< Inherited,
									 HeadType,
									 HeadBase,
									 NodeType,
									 NodeBase > BaseLoop;
	
	public:
		const Content& operator*() const		{ return *BaseLoop::operator*() ); }
		const Content *operator->() const	{ return &*BaseLoop::operator*() ); }
  };

#endif
