// RedBlackLink.cp

#ifndef RedBlackLink_h
#include "RedBlackLink.h"
#endif
#ifndef RedBlackLinkTree_h
#include "RedBlackLinkTree.h"
#endif

template < class Key, class Content >
RedBlackLinkTree<Key,Content>& RedBlackLink<Key,Content>::DownCast( TreeBase& t )
  {
	return static_cast< TreeType& >( t );
  }

template < class Key, class Content >
const RedBlackLinkTree<Key,Content>& RedBlackLink<Key,Content>::DownCast( const TreeBase& t )
  {
	return static_cast< const TreeType& >( t );
  }
