// RedBlackLinkTree.cp
#define RedBlackLinkTree_cp

#ifndef RedBlackLinkTree_h
#include "RedBlackLinkTree.h"
#endif
#ifndef RedBlackLink_h
#include "RedBlackLink.h"
#endif

template < class Key, class Content >
RedBlackLink<Key,Content> *RedBlackLinkTree<Key,Content>::DownCast( NodeBase *n )
  {
	return static_cast< Node* >( n );
  }

template < class Key, class Content >
const RedBlackLink<Key,Content> *RedBlackLinkTree<Key,Content>::DownCast( const NodeBase *n )
  {
	return static_cast< const Node* >( n );
  }
