// ThemeBackgroundCell.cp

#ifndef ThemeBackgroundCell_h
#include "ThemeBackgroundCell.h"
#endif
#ifndef ThemeBackgroundMaintainer_h
#include "ThemeBackgroundMaintainer.h"
#endif
#ifndef CanvasScreenLoop_h
#include "CanvasScreenLoop.h"
#endif

void ThemeBackgroundCell::Draw( const Canvas& canvas ) const
  {
	for ( CanvasScreenLoop screenCanvas( canvas );
			screenCanvas.Unfinished();
			screenCanvas++ )
	  {
		ThemeBackgroundMaintainer bm( brush, screenCanvas.Screen() );
		EraseRect( &screenCanvas->OnScreen() );
	  }
  }
