// ThemeBackgroundCell.h

#ifndef ThemeBackgroundCell_h
#define ThemeBackgroundCell_h

#ifndef ViewCell_h
#include "ViewCell.h"
#endif
#ifndef __APPEARANCE__
#include <Appearance.h>
#endif

class ThemeBackgroundCell: virtual public ViewCell
  {
	private:
		ThemeBrush brush;
	
	public:
		ThemeBackgroundCell( ThemeBrush theBrush )
		  : brush( theBrush )
		  {}
		
		virtual void Draw( const Canvas& ) const;
  };

#endif
