// FirstCanvas.cp

#ifndef FirstCanvas_h
#include "FirstCanvas.h"
#endif
#ifndef QuickDrawUser_h
#include "QuickDrawUser.h"
#endif

FirstCanvas::~FirstCanvas()
  {
	if ( validCanvas.Unfinished() )
		for ( validCanvas++; validCanvas.Unfinished(); validCanvas++ )
			validCanvas->Invalidate();
  }

const Canvas& FirstCanvas::operator*() const
  {
	if ( validCanvas.Unfinished() )
		return *validCanvas;
	
	static Canvas noCanvas( QuickDrawUser().NoPort() );
	return noCanvas;
  }
