// InvalidCanvasLoop.cp

#ifndef InvalidCanvasLoop_h
#include "InvalidCanvasLoop.h"
#endif

void InvalidCanvasLoop::AdvanceToInvalid()
  {
	for ( ; Unfinished(); CanvasLoopBase::operator++() )
	  {
		Canvas().RestrictToInvalid();
		
		if ( Canvas().Visible() )
		  {
			canvasMaintainer.Use( Canvas() );
			return;
		  }
	  }
	canvasMaintainer.UseNone();
  }

InvalidCanvasLoop::InvalidCanvasLoop( const DrawsSpontaneously& view )
  : CanvasLoopBase( view )
  {
	AdvanceToInvalid();
  }

void InvalidCanvasLoop::operator++()
  {
	CanvasLoopBase::operator++();
	AdvanceToInvalid();
  }
