// ValidAndInvalidCanvasLoop.cp

#ifndef ValidAndInvalidCanvasLoop_h
#include "ValidAndInvalidCanvasLoop.h"
#endif

ValidAndInvalidCanvasLoop::ValidAndInvalidCanvasLoop( const DrawsSpontaneously& view )
  : CanvasLoopBase( view )
  {
	if ( Unfinished() )
		canvasMaintainer.Use( Canvas() );
	 else
		canvasMaintainer.UseNone();
  }

void ValidAndInvalidCanvasLoop::operator++()
  {
	CanvasLoopBase::operator++();
	if ( Unfinished() )
		canvasMaintainer.Use( Canvas() );
	 else
		canvasMaintainer.UseNone();
  }
