// HorizontalBar.h

#ifndef HorizontalBar_h
#define HorizontalBar_h

#ifndef SuggestsPaneSize_h
#include "SuggestsPaneSize.h"
#endif

template <int32 height>
class HorizontalBar: public SuggestsPaneSize
  {
	public:
		virtual int32 MinimumHeight() const						{ return height; }
		virtual int32 MaximumHeight() const						{ return height; }
		virtual int32 BestWidth( Range32 bound ) const		{ return bound.Start(); }
  };

#endif
