// GrafPortRootPane.h

#ifndef GrafPortRootPane_h
#define GrafPortRootPane_h

#ifndef Pane_h
#include "Pane.h"
#endif
#ifndef UPoint32_h
#include "UPoint32.h"
#endif

class GrafPortObject;
class UPoint32;

class GrafPortRootPane: public Pane
  {
	private:
		GrafPortObject& port;
		
	public:
		GrafPortRootPane( GrafPortObject& );

		const UPoint32 Size() const;
		
		virtual void Adjust( Canvas& ) const;

		void Deliver( CellVisitor& ) const;
  };

#endif
