// TiledPane.h

#ifndef TiledPane_h
#define TiledPane_h

#ifndef TiledView_h
#include "TiledView.h"
#endif
#ifndef RectangularPane_h
#include "RectangularPane.h"
#endif
#ifndef ListLink_h
#include "ListLink.h"
#endif

class TiledPane: public RectangularPane
  {
	friend class TiledView;
	
	private:
		ListLink<TiledPane> link;

	public:
		TiledPane()
		  : link( this )
		  {}
	  
	  int32 proposedSize;
	  TiledPane *shuffleNext;
	  Rectangle32 proposedBounds;
  };

#endif
