// GrayRegion.cp

#ifndef GrayRegion_h
#include "GrayRegion.h"
#endif

#include <Windows.h>

GrayRegion::GrayRegion()
  : region( GetGrayRgn() )
  {
  }

const GrayRegion& GrayRegion::The()
  {
	static GrayRegion gray;
	return gray;
  }

Rectangle GrayRegion::Bounds() const
  {
	return (*region)->rgnBBox;
  }
