// WindowDefaults.cp

#ifndef WindowDefaults_h
#include "WindowDefaults.h"
#endif
#ifndef GraphicsDeviceObject_h
#include "GraphicsDeviceObject.h"
#endif
#ifndef Str_h
#include "Str.h"
#endif

GDHandle WindowDefaults::DefaultScreen() const
  {
	return GraphicsDeviceObject::Main();
  }

void WindowDefaults::GetDefaultName( String255& name ) const
  {
	name.SetLength( 0 );
  }

uint32 WindowDefaults::DefaultIndex() const
  {
	return 1;
  }

bool WindowDefaults::DefaultVisibility() const
  {
	return true;
  }
