// WindowDefaults.h

#ifndef WindowDefaults_h
#define WindowDefaults_h

#ifndef Rectangle_h
#include "Rectangle.h"
#endif

#include <QuickDraw.h>

class String255;

class WindowDefaults
  {
	public:
		virtual GDHandle DefaultScreen() const;
		virtual Rectangle DefaultPosition( GDHandle screen ) const = 0;
		
		virtual void GetDefaultName( String255& ) const;
		
		virtual uint32 DefaultIndex() const;
		
		virtual bool DefaultVisibility() const;
  };

#endif
