// WindowLocation.h

#ifndef WindowLocation_h
#define WindowLocation_h

#ifndef Rectangle_h
#include "Rectangle.h"
#endif

class WindowLocation
  {
	private:
		PointObject location;
		PointObject stop;
		bool finished;
		
	public:
		WindowLocation( Rectangle available, PointObject reasonableSize );
		
		bool Finished() const							{ return finished; }
		bool Unfinished() const							{ return !finished; }
		
		void operator++();
		void operator++(int)								{ operator++(); }
		
		const PointObject& operator*() const		{ return location; }
		const PointObject *operator->() const		{ return &location; }
  };

#endif
