// WindowUpdater.h

#ifndef WindowUpdater_h
#define WindowUpdater_h

#ifndef WindowObject_h
#include "WindowObject.h"
#endif

class WindowUpdater
  {
	private:
		WindowObject& window;
		
	public:
		WindowUpdater( WindowObject& theWindow )
		  : window( theWindow )
		  {
			BeginUpdate( &window.Port() );
		  }
		
		~WindowUpdater()
		  {
			EndUpdate( &window.Port() );
		  }
  };

#endif
