// BufferMaster.cp

#ifndef BufferMaster_h
#include "BufferMaster.h"
#endif

void BufferMaster::ShiftOut( uint32 amount )
  {
	Assert( amount <= UsedLength() );
	
	const uint8 *from = start + amount;
	uint8 *to = start;
	
	while ( from < unused.Start() )
		*to++ = *from++;
	
	unused = Data( to, unused.End() );
  }
