// PatternMatcher.h

#ifndef PatternMatcher_h
#define PatternMatcher_h

#ifndef ConstData_h
#include "ConstData.h"
#endif

class PatternMatcher
  {
	private:
		ConstData target;
		uint8 advance[ maxuint8 + 1 ];
	
	public:
		PatternMatcher( ConstData theTarget )	{ SetTarget( theTarget ); }
		
		void SetTarget( ConstData );
		ConstData Target() const					{ return target; }
		
		uint32 Length() const						{ return target.Length(); }
		
		uint8 Advance( uint8 c ) const			{ return advance[c]; }
  };

#endif
